SSH: Introduction

Introduction

The SSH Secure Shell for Workstations (SSH2 client) is a program that allows secure network services over an insecure network.

SSH Secure Shell for Workstations replaces other, insecure terminal applications, such as Telnet and FTP. It allows you to securely login to remote host computers, to execute commands safely on a remote computer, and to provide secure encrypted and authenticated communications between two hosts in an untrusted network. X11 connections and arbitrary TCP/IP ports can also be forwarded over the secure channel, expanding SSH Secure Shell for Workstations's usability even further.

SSH Secure Shell for Workstations with its array of unmatched security features is an essential tool for today's network environment. It is a powerful guardian against the numerous security hazards that threaten network communications.

Network Security Risks

Different Secure Shell Versions

SSH2 Protocol Features

New Features

System Requirements

Installation

Desktop Icons

Support

Licensing


SSH: Network Security Risks

Network Security Risks

The open architecture of Internet Protocol (IP) makes it a highly efficient, cost-effective, and flexible communications protocol for local and global communications. It has been widely adopted, not only on the global Internet, but also on the internal networks of large corporations.

Internet Protocol was designed to be highly reliable against random network errors. However, it was not designed to be secure against a malicious attacker. In fact, it is vulnerable to a number of well-known attacks. This is preventing it from being used to its fullest for business and other purposes involving confidential or mission-critical data.

Security of Internet Protocol


SSH: Security of Internet Protocol

Security of Internet Protocol

The IP protocol suite, including TCP/IP, was designed to provide reliable and scalable communications over real-world networks. It has served this goal well. However, it was designed twenty years ago in a world where the Internet consisted of a few hundred closely controlled hosts. The situation has changed. The Internet now connects tens of millions of computers, controlled by millions of individuals and organizations. The core network itself is administered by thousands of competing operators, and the network spans the whole globe, connected by fibers, leased lines, dialup modems, and mobile phones.

The phenomenal growth of the Internet has peaked the interest of businesses, military organizations, governments, and criminals. Suddenly, networks are changing the way business is done. They have changed the nature of trade and distribution networks, and the way individual people communicate with each other.

This upsurge of business communications, scientific communications and political communications on the Internet has also brought out negative elements. Criminals are looking for ways of getting a cut of the emerging business. Industrial espionage has become a reality. Intelligence agencies are showing growing interest towards networked communications, and they often exchange information with domestic commercial interest and political groups. Crackers, exchanging information and source code, make attacks that ten years ago were thought to be only within the reach of superpowers' intelligence agencies.

Consequently, the IP protocol, while very tolerant of random errors, is vulnerable to malicious attacks. The most common types of attacks include:

  • Eavesdropping on a transmission, for example, looking for passwords, credit card numbers, or business secrets.
  • Hijacking, or taking over a communication in such a way that the attacker can inspect and modify any data being transmitted between the communicating parties.
  • IP spoofing, or faking network addresses or host names in order to fool access control mechanisms based on them or to redirect connections to a fake server.

The SSH2 protocol is designed to protect network communications against security hazards like these.


SSH: Different Secure Shell Versions

Different Secure Shell Versions

Several different Secure Shell client and server versions exist. The different versions use different implementations of the SSH protocol.

SSH Secure Shell for Workstations uses the Secure Shell protocol version 2 (SSH2), but also supports connections to Secure Shell version 1 (SSH1) servers. Note, however, that Secure Shell version 2 (SSH2) is a more advanced protocol than the legacy version SSH1. For more information on the implications of using an SSH1 connection, see the SSH web site http://www.ssh.com/company/newsroom/article/210/.

Note: SSH Communications Security has deprecated the SSH1 protocol and does not recommend using it.

The SSH2 protocol provides a set of radical improvements to SSH1. These improvements include:

  • A much better understood and more secure protocol.
  • A new design which requires much less code to be run with administrative privileges.
  • Totally rewritten code that improves security.
  • New routines for cryptography and mathematics, resulting in considerable improvements in speed.
  • Support for multiple public key algorithms, including RSA, DSA and Diffie-Hellman key exchange.
  • Easy to use file transfers using the integrated file transfer agent in SSH Secure Shell for Workstations, and the scp2 (secure file copy) and sftp2 (secure file transfer protocol) command line applications.


SSH: SSH2 Protocol Features

SSH2 Protocol Features

The SSH2 protocol contains the following features:

  • Secure terminal sessions utilizing secure encryption.
  • Full, secure replacement for FTP and Telnet, as well as the UNIX r-series of commands: rlogin, rsh, rcp, rexec.
  • Multiple high security algorithms and strong authentication methods that prevent such security threats as identity spoofing and man-in-the-middle attacks.
  • Multiple ciphers for encryption, including e.g. 3DES, Blowfish and AES.
  • Password, public key, certificate, smart card, PAM and SecurID authentication methods.
  • Transparent and automatic tunneling of X11 connections and arbitrary TCP/IP-based applications, such as e-mail.
  • Automatic and secure authentication of both ends of connection. Both the server and the client are authenticated to prevent identity spoofing, Trojan horses, etc.
  • Unique secure file transfer interface (SFTP) fully integrated in the client software.
  • Multiple channels that allow you to have multiple terminal windows and file transfers going through one secure and authenticated connection.


SSH: New Features

New Features

This version of SSH Secure Shell for Workstations contains the following new features and enhancements.

  • ASN1 buffer overflow fix

    A vulnerability in the SSH ASN.1 library handling the decoding of BER/DER encoded data packets has been fixed.

  • New configuration file options

    Now it is possible to define the hash format used and to disable fallback compatibility code by utilizing new configuration file options, Cert.RSA.Compat.HashScheme (with valid values of md5 and sha1) and DisableVersionFallback, respectively. These settings have to be changed by editing the global.dat configuration file - they cannot be altered by using the GUI.

  • Various bug fixes

    This version also contains fixes for various minor bugs found in previous releases.


SSH: System Requirements

System Requirements

The SSH Secure Shell for Workstations does not have any special hardware or software requirements. Any computer capable of running a current version of the Microsoft Windows operating system (Windows 98 or 98 SE, Windows Me, Windows NT 4 (with Service Pack 5 or 6 installed), Windows 2000 (with Service Pack 1 or 2 installed), or Windows XP), and equipped with a functional connection to a remote host computer can be used.

The SSH Secure Shell for Workstations installation requires about 4 megabytes of disk space. Note that the client will save each user's settings in that particular user's personal directory.


SSH: Desktop Icons

Desktop Icons

When you have installed the client, you will have two separate program icons on the Windows desktop as well as in the Windows Start menu (by default under Start -> Programs -> SSH Secure Shell for Workstations).

The SSH Secure Shell for Workstations icon and the file transfer icon both start the same application, SSH Secure Shell for Workstations. The difference between the icons is that they use different settings files. The client icon uses a settings file called default.ssh2, and the file transfer icon uses a settings file called defaultsftp.ssh2.

By default the settings files have been configured so that they open the appropriate SSH Secure Shell for Workstations window, either the terminal window or the file transfer window. If you want to change the default configuration, you can save your settings by using the Save Settings option from the File menu.

You can also save the window position by using the Save Layout option from the File menu. If you open the file transfer client by clicking the appropriate icon, then open a terminal window or two, and then save the layout, the 'extra' terminal windows will appear the next time you click the file transfer icon. If you then close the file transfer window and save your settings again, the next time you will see no file transfer window at all.

Do not be alarmed by this - you can always open a new terminal or file transfer window by clicking the appropriate toolbar button or selecting the appropriate menu item. If you then save your settings again, the new window positions will be used as default values for new connections.

For more information saving the current settings, see section Saving Settings.


SSH: Installation

Installation

The installation is carried out by a standard installation wizard. The wizard will prompt you for information and will copy the program files and set up the client.

If you want to upgrade a previous installation of SSH Secure Shell for Workstations, please see Section Upgrading the Installation.

To install SSH Secure Shell for Workstations, follow these steps:

  1. Locate the installation file SSHTectiaClient-x.y.z.exe (where x.y.z corresponds to the version number), either on the installation CD or in the download directory, depending if you purchased SSH Secure Shell for Workstations on CD or downloaded it. Double-click the installation file, and the installation wizard will start.
  2. Follow the wizard through the installation steps and fill in information as requested.

The default installation directory is Program Files\SSH Communications Security\SSH Secure Shell for Workstations located on your system partition (typically the C drive).

The installation will also create a new program group in the Programs menu under the Start menu. The default name for this program group is SSH Secure Shell for Workstations .

Figure : The SSH Secure Shell for Workstations program group

Silent Installation

Upgrading the Installation

Removing the Installation


SSH: Silent Installation

Silent Installation

The client can also be installed silently on a workstation. This option is especially useful for system administrators, as it allows remotely operated automated installations.

Silent (non-interactive) installation means that the installation procedure will not display any user interface and will not pose any questions to the user. Instead, the installation programs picks up the setup data from a response file, setup-client.iss, that the system administrator has previously prepared for this purpose.

A default response file is supplied with the installation package. The default options of the silent installation can be customised by editing the setup-client.iss file.

Silent installation is activated by giving the following command on the Windows command line:

SSHSecureShellClient-x.y.z.exe -s -a -s -f1<path_to_iss>

where x.y.z corresponds to the version number and path_to_iss points to the setup-client.iss file.

When the installation is complete, the status of the installation procedure is stored in the setup.log file located in the system TEMP folder. A succesfull installation will leave ResultCode 0 in the setup.log file.

The default contents of the setup-client.iss file are the following:

[InstallShield Silent]
Version=v6.00.000
File=Response File
[File Transfer]
OverwrittenReadOnly=NoToAll
[{74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-DlgOrder]
Dlg0={74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdWelcome-0
Count=7
Dlg1={74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdLicense-0
Dlg2={74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdAskDestPath-0
Dlg3={74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdSelectFolder-0
Dlg4={74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdComponentTree-0
Dlg5={74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdStartCopy-0
Dlg6={74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdFinish-0
[{74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdWelcome-0]
Result=1
[{74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdLicense-0]
Result=1
[{74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdAskDestPath-0]
szDir=C:\Program Files\SSH Communications Security\SSH Secure Shell for Workstations
Result=1
[{74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdSelectFolder-0]
szFolder=SSH Secure Shell for Workstations
Result=1
[{74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdComponentTree-0]
szDir=C:\Program Files\SSH Communications Security\SSH Secure Shell for Workstations
Component-type=string
Component-count=4
Component-0=Optional Files\Desktop Icons
Component-1=Optional Files\Documentation
Component-2=Optional Files\Command Line Tools
Component-3=Optional Files\Add Command Line Tools to Path
Result=1
[{74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdStartCopy-0]
Result=1
[Application]
Name=SSH Secure Shell for Workstations
Version=3.2
Company=SSH Communications Security
Lang=0009
[{74E2CD0C-D4A2-11D3-95A6-0000E86CFDE5}-SdFinish-0]
Result=1
bOpt1=0
bOpt2=0

The following lines can be customized by the system administrator:

  • szDir=C:\Program Files\SSH Communications Security\SSH Secure Shell for Workstations

    This line specifies the installation directory on the workstation.

  • szFolder=SSH Secure Shell for Workstations

    This line specifies the name of the program group.

  • szDir=C:\Program Files\SSH Communications Security\SSH Secure Shell for Workstations

    The contents of this line should match the previous szDir definition.

  • Component-count=4

    This line specifies the number of optional components to be installed. This number should match the number of components specified on the lines below.

  • Component-0=Optional Files\Desktop Icons

    This line specifies that SSH Secure Shell for Workstations icons will be installed on the Windows desktop. See Section Desktop Icons) for more information.

  • Component-1=Optional Files\Documentation

    This line specifies that the documentation files will be installed on the workstation.

  • Component-2=Optional Files\Command Line Tools

    This line specifies that command line tools will be installed. See Appendices for more information.

  • Component-3=Optional Files\Add Command Line Tools to Path

    This line specifies that the directory where the command line tools are installed will be added to the Windows path definition - i.e. that the command line tools are easily accessible from any directory.


SSH: Upgrading the Installation

Upgrading the Installation

A previous installation of SSH Secure Shell for Workstations can be upgraded simply by installing a newer version of the software on top of the older version. There is no need to uninstall the previous version first. The already defined configuration will be preserved untouched.


SSH: Removing the Installation

Removing the Installation

To remove the SSH Secure Shell for Workstations installation, perform the following steps:

  1. Open the Control Panel and double-click the Add/Remove Programs option.
  2. Select SSH Secure Shell for Workstations from the list of installed programs and click the Add/Remove button.

Note: The uninstallation procedure removes only the files that were created when installing the software. Any configuration files have to be removed manually.


SSH: Support

Support

The most current version of the SSH Secure Shell for Workstations online help is available on the SSH Web pages: http://www.ssh.com/support/documentation/online/ssh/winhelp/.

Frequently asked questions specific to the SSH Secure Shell for Workstations are answered in the SSH Secure Shell for Workstations FAQ: http://www.ssh.com/support/faq/.

If the product documentation and the FAQ do not answer your questions and you have purchased the software, you can contact SSH technical support. Use the online support form available at http://www.ssh.com/support/ for support requests and http://www.ssh.com/support/contact/bug-report- shell.mpl for bug reports.

Please see the SSH Web site (http://www.ssh.com/support/) for more information on the terms and conditions of obtaining technical support for SSH Secure Shell for Workstations from SSH Communications Security.


SSH: Licensing

Licensing

SSH Secure Shell for Workstations (SSH Secure Shell) versions 3.1.1 and later require a license file (license_ssh2.dat) to enable the full features of the software.

If you have purchased the software from the SSH Online Store (http://www.ssh.com/company/sales/store/), you can download the license file separately.

If you have purchased the software on CD-ROM, the license file can be found on the supplied CD-ROM media, in the install directory for the operating system you are using.

Please follow the appropriate instructions below to install the license file to ensure proper operation of the software.

Windows Server

Windows Client


SSH: Windows Server

Windows Server

The Windows server includes the required license file in the installation executable. No separate license installation is necessary.


SSH: Windows Client

Windows Client

SSH Secure Shell for Workstations (SSH Secure Shell) version 3.1.1 and later require a license file to function in commercial mode (without the license file, the software will function in non-commercial mode, with PKI functionality disabled).

In commercial distributions, the license file is already included in the installation executable, and no separate license installation is necessary.

However, in some cases, such as when installing SSH Secure Shell for Workstations in a corporate environment, the license file may be available separately and requires that it is imported in the SSH Secure Shell for Workstations. For more information, see Section Import License File.


SSH: Configuration

Configuration

Before establishing a connection to a remote host computer, you should first check your connection settings. The connection settings can be changed by using the Profiles option of the profiles toolbar (see section Profiles), or alternatively by using the Settings option (see section Settings, found on the toolbar and the Edit menu).

The Profiles dialog can be used to configure the profile settings that are associated with a single remote host computer. With the Settings dialog you can control also the global settings that affect all connections.

To open the Settings dialog, click the Settings button on the toolbar or select the Settings option from the Edit menu.

The different settings categories are visible on the left hand side of the Settings dialog as a tree structure. Branches that have a plus sign (+) next to them can be expanded by clicking on the plus sign. Branches that have a minus sign (-) next to them can be collapsed by clicking on the minus sign.

Click on a branch to display the settings associated with it. You can change the settings by changing the selections displayed on the right hand side of the settings window. Note that some of the settings do not take effect until you save the settings and then open a new terminal or file transfer window, or start a new connection.

Saving Settings

Loading Settings

Profile Settings

Global Settings

Customize


SSH: Saving Settings

Saving Settings

When you have made changes to the settings, an asterisk (*) is displayed on the SSH Secure Shell for Workstations title bar, after the name of the current settings file (for example: default*). This indicates that the changed settings are not yet permanent - they have not been saved yet.

If you want to make the changes permanent, you can save them for later use. Click the Save button on the toolbar, or select the Save Settings option from the File menu to save any changes you have made to your current settings. The changes will be saved in the default settings file, default.ssh2.

The default settings file is loaded automatically when you start the client. Therefore all the settings that you save in the default settings file take effect immediately when you launch the client. These settings are also used for connections started with the Quick Connect option (see section Quick Connect).

The positions of the currently open terminal and file transfer windows can be saved separately with the Save Layout option of the File menu. If you arrange your window positions to suit your own taste and save the layout settings in the default settings file, the windows will be automatically positioned the way you prefer them when you next run the client.

Note that by default all of the windows will be opened at once. This can be changed on the Appearance page of the Settings dialog so that the previously positioned windows are opened on demand when you open new terminal and File Transfer windows - see Section Appearance.

If you spend a lot of effort specifying your own settings, it is a good idea to create backup copies of the modified settings files (*.ssh2) and store them in a safe location. This way you will not have to create your personal settings again, if your settings files are later lost for some reason (such as a hardware failure).

Multiple Settings Files


SSH: Loading Settings

Loading Settings

It is easy to take into use a profile that has been previously saved. Select the Profiles option (from the Profiles toolbar or the File menu), and you will see a menu of previously saved profiles. Click on a profile, and a connection using the profile settings will immediately be started.

Note that this also works when you are already connected to a remote host computer. The profile will start a new, separate connection.

Another way to load the settings for a particular connection is to double-click the settings file name, for example in Windows Explorer. When SSH Secure Shell for Workstations is installed, files with the extension .ssh2 are associated with SSH Secure Shell for Workstations. This means that you can start SSH Secure Shell for Workstations with any settings file loaded by just doubleclicking on that settings file.

If you regularly connect to several remote host computers, you can create shortcuts to the corresponding settings files for example on the Windows desktop. This way you can quickly open the desired connection with the relevant settings already defined, just by clicking on an icon on the desktop.


SSH: Profile Settings

Profile Settings

With the Profile Settings page of the Settings dialog you can configure separate connection settings for each particular remote host computer. To display the profile settings, open the Settings dialog and click on the Profile Settings text on the left hand side of the dialog.

Figure : The Profile Settings page of the Settings dialog.

  • User Settings Folder

    The directory path to your personal data files is displayed in the text field next to the Open button.

    The default location for the user settings is under the profile folder of the current Windows user account (for example C:\WINNT\Profiles\username\Application Data\SSH). Note that this is not an editable field, but the location of these files can be set by defining the SSHCLIENT_USERPROFILE environment variable. For more information, see the SSH Secure Shell for Workstations FAQ (http://www.ssh.com/support/faq/).

    Your personal files include the settings file (default name default.ssh2), your public and private keys, host keys and the keyboard mapping file (for example yourmapfile.sshmap).

    Click the Open button to quickly access your personal data files. The folder where the settings files are saved will open. This is useful if you wish to copy or backup your personal settings.

    Note: Your private keys should always be kept secret. This is important to remember if you are sharing your local computer with other users. In such case, it is not advisable to store your private keys on the local disk.

    Warning: If you are using the Windows roaming profiles functionality, your personal settings will be replicated with the roaming profile server. If you store your private keys in the default location (under the profile folder of your Windows user account) your private keys may be suspected to a malicious user listening to the network traffic. Therefore the User Settings folder should be changed into a location that will not be affected by profile roaming.

    For more information on user key files, see section Using Public-Key Authentication.

  • Desktop Shortcut

    Click the Create Shortcut button to create a shortcut to the currently defined profile on the Windows desktop. The shortcut will be have the name of the current profile (typically the remote host computer that you are connected to). When you later click on the shortcut, SSH Secure Shell for Workstations will be launched with the settings that have been saved for the profile.

  • OK

    Click the OK button to start using the specified settings.

  • Cancel

    Click the Cancel button to abort any changes you have made to the settings.

  • Help

    Click the Help button to see the relevant help section.

Connection

Cipher List

Authentication

Colors

Keyboard

Keymap Editor

Tunneling

File Transfer

Favorites


SSH: Connection

Connection

The protocol settings used in the connection are configured using the Connection page of the Settings dialog. Any changed connection settings will take effect the next time you login.

Figure : The Connection page of the Settings dialog.

  • Host Name

    Type the name of the remote host computer which you will connect to using this profile. If you specify * (an asterisk) as the host name, you will be prompted to type in the host name when connecting.

  • User Name

    Type the user name you want to use when connecting to the remote host computer. If you specify * (an asterisk) as the user name, you will be prompted to type in the user name when connecting.

  • Port Number

    Type the port number you want to use for the SSH2 connection. The default port is 22.

    Note: that an sshd2 daemon program must be listening on the specified port on the remote host computer or the connection attempt will not succeed. If you are unsure of which port the remote host computer is listening to, contact the system administrator of the remote host.

  • Encryption Algorithm

    Select the desired encryption algorithm from the dropdown menu. Valid choices are 3DES, Blowfish, Twofish, AES, Arcfour, and CAST. Also DES is supported for compatibility reasons, however it is no longer considered cryptographically secure. You can also select whatever default that is used by the remote host computer, use no enryption (none) at all, or create your own cipher list. For more information on the Cipher List option, see section Cipher List.

    For the AES and Twofish algorithms you can also choose the strength of encryption, ie. how many bits will be used. Greater values are more secure, but slower to use. Possible values are 128, 192 or 256 bits.

    Note: If you select none as the encryption algorithm, the communications for this profile will not be encrypted and all information will be sent as plaintext. The none encryption method is not secure and its use is not recommended. Use it only for testing purposes! If you select this option, a warning dialog will be displayed.

  • MAC Algorithm

    Select the desired Message Authentication Code (MAC) algorithm (hash algorithm) from the dropdown menu. Valid choices are HMAC-MD5 and HMAC-SHA1. You can also select whatever default that is used by the remote host computer, or select to use no message authentication code at all (none). If you select not to use any MAC algorithm, a confirmation dialog will be displayed.

  • Compression

    Select the desired compression setting from the dropdown menu. Valid choices are zlib and none. Compression is disabled by default.

  • Terminal Answerback

    Select the desired terminal answerback from the dropdown menu. Possible choices are ansi, vt100, vt102, vt220, vt320 and xterm.

  • Connect through Firewall

    Select the checkbox if you are connecting through a firewall. For more information on the firewall settings, see section Firewall.

  • Request Tunnels Only (Disable Terminal)

    Select the Request Tunnels Only checkbox if you wish to only set up the specified tunnels and not request a terminal or file transfer session.


SSH: Cipher List

Cipher List

With the Cipher List page of the Settings dialog you can control which ciphers can be used for the connection. This selection defines what encryption methods will be available when using the Cipher List encryption algorithm setting.

Figure : Select your preferred encryption algorithms with the Cipher List page.

The following algorithms can be selected:

  • AES128

  • AES192

  • AES256

  • 3DES

  • Blowfish

  • CAST

  • Twofish128

  • Twofish192

  • Twofish256

  • Arcfour

  • DES

    DES is a legacy cipher that is not considered to be cryptographically secure. DES is only included for compatibility with some older protocol versions. It is strongly recommended that DES is not used.

You can change the ciphers' order of preference with the Up and Down buttons.

  • Up

    You can give a cipher a higher priority by clicking it with the mouse, and then clicking the Up button. The marked algorithms that are located on the top of the list are preferred.

    SSH Secure Shell for Workstations will try to use the first marked algorithm in the connection. If that algorithm is not supported by the remote host computer, the client software will try the next marked algorithm on the list, and so on.

  • Down

    To give a cipher a lower priority rating, select it with the mouse, and then click the Down button.

Select the checkbox next to each algorithm to include or exclude it in the list of available algorithms. An algorithm marked with a check mark is available for use.

To use your personal list of preferred encryption algorithms, select Cipher List as the encryption algorithm on the Connection page of the Settings dialog. For more information, see section Connection.


SSH: Authentication

Authentication

With the Authentication page of the Settings dialog, you can define customized authentication methods. Two lists are displayed on the page, the upper list for general authentication, and the lower list for authentication methods user for public-key authentication.

The icons displayed above the list can be used to add a new authentication method, delete an existing authentication method and move the authentication methods upwards or downwards in the preference list. Authentication methods higher up in the list will be attempted first. Usually authentication methods that require user interaction should be attempted last.

Figure : Defining the authentication settings

Authentication Methods

Possible methods for general authentication are the following:

  • Public Key

    Use public-key authentication.

  • Password

    Use password for authentication.

  • Keyboard-Interactive

    Keyboard-Interactive is designed to allow the Secure Shell client to support several different types of authentication methods. For more information on Keyboard-Interactive, see Section Keyboard-Interactive Authentication.

  • SecurID

    Using SecurID authentication requires that you have a SecurID device that generates the numeric codes that are needed to login.

  • PAM

    Use Pluggable Authentication Modules (PAM) for authentication. PAM is an authentication method that has gained wide popularity especially on UNIX platforms.

The default authentication methods are public-key authentication, Keyboard-Interactive and password authentication.

Public-Key Authentication Methods

Possible methods for public-key authentication are the following:

  • SSH Accession Certificates

    Use SSH Accession certificates for authentication. SSH Accession is a separate software product by SSH Communications Security that offers an easy method for accessing authentication credentials on smart cards and other hardware tokens. It can be also used as an authentication agent. For more information, see http://www.ssh.com/products/accession/.

  • SSH Accession Keys

    Use SSH Accession keys for authentication. SSH Accession is a separate software product by SSH Communications Security that offers an easy method for accessing authentication credentials on smart cards and other hardware tokens. It can be also used as an authentication agent. For more information, see http://www.ssh.com/products/accession/.

  • PKCS #11 Certificates

    Authenticate by using PKCS #11 certificates (certificates stored for example on a smart card or a USB token). For more information on using PKCS #11 certificates, see section PKCS 11.

  • PKCS #11 Keys

    Authenticate by using PKCS #11 keys (keys stored for example on a smart card or a USB token). For more information on using PKCS #11 keys, see section PKCS 11.

  • User Certificates

    Use user certificates for authentication. For more information on using certificates, see section Certificates.

  • User Keys

    Use user keys for authentication. For more information on using user keys, see section User Keys.

Note: The automatically handled authentication methods should always be listed first, i.e. public-key authentication should preceed password authentication. This way the automatically handled method will be used whenever possible.

Authentication Agent Forwarding

Authentication agent is a program to automatize the use of authentication private keys. SSH Accession can provide agent functionality for SSH Secure Shell for Workstations.

When you use the agent, it will be automatically used for public-key authentication. This way, you only have to type the passphrase of your private key once to the agent. Furthermore, authentication data does not have to be stored on any other machine than the local machine, and authentication passphrases or private keys never go over the network.

Agent forwarding can be enabled or disabled based on the Secure Shell protocol used. Select the checkbox for any of the options you want to use:

  • Enable SSH2 connections

    Select this checkbox to allow authentication agent forwarding to be used for connections using the SSH protocol version 2.

  • Enable SSH1 agent forwarding for SSH2 connections

    Select this checkbox to allow authentication agent forwarding with the SSH protocol version 1 to be used for connections that use the SSH protocol version 2.

  • Enable for SSH1 connections

    Select this checkbox to allow authentication agent forwarding to be used for connections using the SSH protocol version 1.


SSH: Colors

Colors

The colors used in the terminal window can be selected using the Colors page of the Settings dialog. The new color settings are active immediately when you click the OK button.

You can select from the following 16 colors: black, maroon, green, olive, navy, purple, teal, silver, gray, red, lime, yellow, blue, fuchsia, aqua and white.

Note that changing the terminal colors does not affect what is already visible on the terminal window, but the text output from this point onwards will use the set color scheme.

To discard your changes, click the Cancel button.

Figure : The Colors page of the Settings dialog.

  • Use Global Colors

    Select the Use Global Colors checkbox if you want to use the same color settings for each connection. If the checkbox is selected, you cannot specify different color settings for each connection profile (the other color settings are grayed out).

    The Use Global Colors checkbox is visible only on the Colors page that is located under Profile Settings in the Settings dialog.

Text Colors

The text colors affect the terminal window background color and the color of text in both a connected window and a disconnected window.

  • Foreground

    Select the desired foreground color from the dropdown menu. Foreground color is used for text in a window that has a connection to a remote host computer. Sixteen colors are available for your selection. Black is the default foreground color.

  • Background

    Select the desired background color from the dropdown menu. Sixteen colors are available for your selection. White is the default background color.

  • Selection

    Use the dropdown menu to select the color that will be used as the background color when selecting text with the mouse. Sixteen colors are available for your selection. Aqua is the default selection color.

  • Disconnected

    Use the dropdown menu to select the color that will be used as the foreground color in a terminal window that has no connection to a remote host computer. Sixteen colors are available for your selection. Gray is the default foreground color for a disconnected terminal window.

Cursor Color

Select the desired cursor color from the dropdown menu. Sixteen colors are available for your selection. Navy is the default cursor color.

ANSI Colors

With ANSI control codes it is possible to change the color of text in a terminal window. With the ANSI Colors setting you can select if you want to allow this feature or not. Even if you disable ANSI colors, you can still select your favorite text and background colors to be used in the terminal window.

  • Enable ANSI Colors

    Select the Enable ANSI Colors checkbox to allow ANSI colors to be used in the terminal window. By default, ANSI colors are on.

Reverse Colors

By reversing the display colors you can quickly change the display from positive (dark on light) to negative (light on dark) to improve visibility.

  • Reverse Video

    Select the Reverse Video checkbox to change the foreground color into background color and vice versa. This setting affects the whole terminal window as soon as you click the OK button.


SSH: Keyboard

Keyboard

The keyboard settings used for the connection are configured using the Keyboard page of the Settings dialog. Keyboard mappings take effect when you start a new connection or reset the terminal.

Figure : The Keyboard page of the Settings dialog.

  • User Defined Keymap File

    With the User Defined Keymap File option you can create additional keyboard shortcuts or modify the existing ones. The additional key mappings are saved into a separate file with the .sshmap file extension. The current keymap file is displayed on the text field.

    You can modify the current key mappings by clicking the Edit button. The Keymap Editor dialog will appear. For more information on using the Keymap Editor, see section Keymap Editor.

    If you have an alternative keymap settings file already defined, you can load it by typing the path and file name in the text field, or by clicking on the button on the righthand side of the text field. Clicking the button will open an Open dialog that allows you to locate an alternative keymap file.

  • Backspace sends Delete

    Select the Backspace sends Delete checkbox if you want to map the Backspace key to the Delete operation.

  • Delete Sends Backspace

    Select the Delete Sends Backspace checkbox if you want to map the Delete key to the Backspace operation.

  • Enter sends CR + LF

    Select the Enter sends CR + LF checkbox if you want to map the Enter key to send the carriage return (CR) and line feed (LF) characters. Otherwise only the line feed character will be sent.

  • Lock Function Keys

    Select the Lock Function Keys checkbox if you want to lock the function keys.

  • Line Wrap

    Select the Line Wrap checkbox if you want the text lines to wrap on the terminal window's edge. By default, line wrapping is on.

  • Use Alt as meta key (send Escape)

    Select the Use Alt as meta key (send Escape) checkbox if you want the Alt key to function as the meta key in the same way as the Escape key. If this option is selected, you can for example press the Alt+X key combination to simulate the Escape followed by X.

  • Keypad Mode

    Select how you want the numeric keypad on the right hand side of the regular keyboard to function.

    Numeric Keypad: The keypad is used to type numbers.

    Application Keypad: The keypad is used for application control (with the keypad keys functioning as cursor keys, Home, End, Page Up, Page Down, Insert and Delete).

  • Kanji Encoding

    Specify how the Japanese Kanji characters are encoded by the remote host computer.

    Possible values are the following:

    • EUC-JP

      Use the EUC-JP encoding system.

    • JIS

      Use the JIS 7 bit encoding system.

    • S-JIS

      Use the Shift-JIS encoding system.

    If the Secure Shell server is running on Windows, you should choose Shift-JIS encoding, while most UNIX servers support EUC-JP encoding as default.

  • Kanji-in, Kanji-out

    Choose the escape sequence character from the dropdown menu. The escape sequence is a string of characters that is used when double byte Kanji characters are mixed in a text that uses the 7 bit JIS encoding system.

    Possible values for Kanji-in are ^[$@ or ^[$B.

    Possible values for Kanji-out are ^[(B or ^[(J.

  • Use SI/SO for single byte Katakana

    Select this checkbox if the remote host computer supports single byte katakana for JIS encoding.


SSH: Keymap Editor

Keymap Editor

The Keymap Editor dialog displays any modifications made to the current keymap. Using the editor you can define additional key mappings, open saved keymap files and create new keymap files.

Figure : Customizing the keymap

The icons on the top of the Keymap Editor dialog allow you to start a new keymap file from scratch, to open an already defined keymap file, or to save the current keymap modification into a keymap file:

  • New

    Click the New button to start creating a new keymap file. This will clear all the current keymap modifications.

  • Open

    Click the Open button to load an already defined keymap file for further modification. The Open dialog will appear, allowing you to locate the desired keymap file.

  • Save

    Click the Save button to save the current keymap modifications to the currently open keymap file. If no keymap file has been loaded, the Save As dialog will open, allowing you to specify the file name for a new keymap file.

  • Save As

    Click the Save As button to save the current keymap modifications into a different keymap file. The Save As dialog will open, allowing you to specify the file name for a new keymap file.

The large area in the center of the Keymap Editor dialog displays the defined keymap modifications. The Key column on the left displays the key combination whose function has been modified and the Function column displays the effect that pressing this particular key combination will cause.

The buttons on the bottom of the Keymap Editor dialog allow you to modify the keymap settings of the current keymap file:

Figure : Modifying a keymap

  • Add

    Click the Add button to add a new keymap modification. A small Keymap Editor dialog appears. Place the cursor on the Shortcut Key line and press a key combination on the keyboard to select which key binding you want to modify. The select the desired function for that keypress from the Function drop-down menu.

  • Edit

    Select an already defined keymap and click the Edit button to modify the selected keymap.

  • Remove

    Select an already defined keymap and click the Remove button to delete the selected modification.

  • Exit

    Click the Exit button to close the Keymap Editor dialog. If you have not saved all your keymap modifications, a Confirm dialog will open, asking if you want to save the changes you have made or cancel the exit operation.


SSH: Tunneling

Tunneling

Tunneling, or port forwarding, is a way to forward otherwise insecure TCP traffic through an encrypted Secure Shell tunnel. You can secure for example POP3, SMTP and HTTP connections that would otherwise be insecure.

Note: The client-server applications using the tunnel will carry out their own authentication procedures (if any) the same way they would without the encrypted tunnel.

For a more thorough explanation of tunneling, see Section Tunneling Explained. For practical tunneling examples, see sections Tunneling Example - Email and Tunneling Example - FTP.

Tunneling settings are configured using the Tunneling page of the Settings dialog. Any changed tunneling settings will take effect the next time you login.

Figure : The Tunneling page of the Settings dialog.

The outgoing and incoming tunnel settings are configured using the Outgoing and Incoming tabs of the Tunneling page.

Outgoing

Outgoing tunnels protect TCP connections that your local computer forwards from a specified local port to the specified port on the remote host computer you are connected to.

Figure : Tunneling an IMAP connection for secure email.

It is also possible to forward the connection beyond the remote host computer, however the connection is encrypted only between the client (local computer) and the Secure Shell server. See Forwarding to a third host.

Figure : Forwarding to a third host.

Click the Outgoing tab to edit outgoing tunnel definitions.

The following fields are used to define an outgoing tunnel. These values can be edited by clicking the Add or Edit buttons on the Outgoing page of the Settings dialog.

  • Name

    The name of the tunnel definition. You can use this field to type in a descriptive name that will help you to recognize this tunnel definition later on.

  • Listen Port

    This is the number of the local port that the tunnel 'listens to', or captures.

    Note: The protocol or application that you wish to create the tunnel for may have a fixed port number (for example, 143 for IMAP) that it needs to use to successfully connect. Some other protocol or applications may require an offset (e.g. 5900 for VNC) that you will have to take into an account.

  • Destination Host

    This field defines the destination host for the port forwarding. The default value is localhost.

    Note: The value of localhost is resolved after the Secure Shell connection has been established - so here localhost refers to the remote host computer you have connected to.

  • Destination Port

    The destination port defines what port will be used for the forwarded connection on the destination host.

  • Allow Local Connections Only

    Leave a check mark in this box if you allow only local connections to be made. This means that other computers will not be able to use the tunnel created by you. By default, only local connections are allowed. This is the right choice for most situations. You should carefully consider the security implications if you decide to also allow outside connections.

  • Type

    Select the type of the tunnel from the dropdown list. Valid choices are TCP and FTP.

Incoming

Incoming tunnels protect TCP connections that the remote host forwards from a specified remote port to the specified port on your local computer. Click the Incoming tab to edit incoming tunnel definitions.

Figure : Redirecting the HTTP connection to a remote host port 8080 to your local computer's port 80.

The following fields are used to define an incoming tunnel. These values can be edited by clicking the Add or Edit buttons.

  • Name

    The name of the tunnel definition. You can use this field to type in a descriptive name that will help you to recognize this tunnel definition later on.

  • Listen Port

    The port that the tunnel 'listens to', or captures from the remote host computer.

    Note: Privileged ports (above 1023) can be forwarded only when logging in with root privileges on the remote host computer.

  • Destination Host

    This field defines the destination host for the port forwarding. The default value is localhost.

    Note: Here localhost refers to your local computer. Also note that if the connection from the remote host computer is forwarded beyond your local computer, that connection will be insecure.

  • Destination Port

    The destination port defines what port will be used for the forwarded connection on the destination host.

  • Type

    Select the type of the tunnel from the dropdown list. Valid choices are TCP and FTP.

Configuring Tunnels

The following buttons are available for configuring outgoing and incoming tunnels.

  • Add

    Click the Add button to add a tunnel definition. An Add New Tunnel dialog appears, allowing you to define the name, type, listen port, destination host, and destination port for the port forwarding. With outgoing tunnels you can also define if you allow local connections only.

    Note: If you are tunneling an FTP connection, you must set the tunnel type as FTP.

    If the SSH server and the FTP server are located on separate host computers, FTP tunneling works only if FTP is set to run in passive mode. If the SSH server and the FTP server are located on the same computer, tunneling works regardless of whether FTP is running in passive or active mode.

  • Edit

    Select a tunnel definition from the displayed list and click the Edit button to edit a previously defined tunnel. An Edit Tunnel dialog appears, allowing you to edit the name, listen port, destination host, and destination port of the outgoing tunnel. With outgoing tunnels you can also define if you allow local connections only.

  • Remove

    Select a tunnel definition from the displayed list and click the Remove button to remove a previously defined tunnel. Note that the selected tunnel will be removed immediately, with no confirmation dialog being displayed.

X11 Tunneling

The Secure Shell 2 client can securely tunnel (forward) X11 graphic connections from the remote host computer to an X- Windows server running on the local computer.

Note: You must also be running an X emulator such as Exceed or Reflection X in passive mode on the Windows computer for X11 tunneling to work.

To tunnel (forward) X11 traffic, perform the following tasks:

  1. Install an X server (X emulation) program on Windows (eXceed, Reflection X, or the like).
  2. Start SSH Secure Shell for Workstations.
  3. Select the Edit -> Settings... -> Tunneling option and make sure that the Tunnel X11 connections checkbox is selected.
  4. Save your settings for SSH Secure Shell for Workstations.
  5. Quit the client, start it again and log into the remote host.
  6. Start the X server (X emulation) program.
  7. Run xterm or xclock from Secure Shell, and it should work.


SSH: File Transfer

File Transfer

The profile-specific file transfer settings can be configured using the File Transfer page located on the Profile Settings branch of the Settings dialog. The new settings will affect subsequently started File Transfer windows.

The profile-specific file transfer settings affect how ASCII (plain text) files are handled. On Windows systems, a line break is specified by using two special characters, Carriage Return and Linefeed (CRLF, with ASCII values of 13 and 10). Unix systems use only Linefeed (LF, or the ASCII value 10) for this purpose. When the correct ASCII transfer settings are specified, SSH Secure Shell for Workstations will perform the required line break conversion automatically.

Note: If you are connecting to an SSH Secure Shell for Workstations (SSH Secure Shell) version 3.2 server or newer, the host type does not need to be configured. If the server version is older or produced by some other vendor, the host type may need to be specified.

Figure : The profile-specific File Transfer page of the Settings dialog.

ASCII transfer with old servers

  • Detect Windows server from the version string

    Select this checkbox to automatically detect Windows servers and use the correct setting for them. For this feature to work correctly, the Windows server has to specify "windows" in its version string.

  • Unix

    Select the Unix checkbox to use Unix compatible line breaks (LF).

  • Windows

    Select the Windows checkbox to use Windows compatible line breaks (CRLF).

  • Ask before ASCII transfer

    If you select this checkbox, the client will ask you to specify the server type before each ASCII file transfer.


SSH: Favorites

Favorites

On the Favorites page of the Settings dialog you can create a list of commonly used directories. These favorites can then be easily selected from a drop-down menu in the File Transfer window.

Figure : Creating a list of most commonly used directories.

Favorite Folders

This list contains the favorite folders you have defined for the current connection profile. You can add, remove and sort the favorites by using the icons displayed above the list:

  • New

    Click the New button to add a new favorite, and then type the path to the desired folder.

    If you are defining a remote favorite that is located on a Windows Secure Shell server, the folder on the Windows server must be specified as follows:

    /drive:/folder/subfolder/

    A valid favorite folder definition would be for example /C:/WINNT/Profiles/username/.

  • Delete

    Select an already defined favorite from the list and then click the Delete button to remove it from the list.

  • Up

    Select an already defined favorite from the list and then click the Up button to move it higher in the list.

  • Down

    Select an already defined favorite from the list and then click the Down button to move it lower in the list.

Home Folder

In the Home Folder field you can type the directory where any new connections associated with this profile will start. If you leave the field empty, new connections will use the remote home folder that has been specified for your user account on the remote host computer.


SSH: Global Settings

Global Settings

Global configuration settings are configured using the Global Settings page of the Settings dialog. Global settings are common for all connections to remote host computers.

Global settings are saved at the same time as profile settings. Global settings are always saved in the user profile directory with the filename global.dat.

Figure : The Global Settings page of the Settings dialog.

Appearance

Font

Colors

Messages

User Authentication

Keys

Certificates

Certificate Enrollment Wizard

SSH Accession

PKCS #11

Configuration

PKCS #11 Provider

Server Authentication

Host Keys

CA Certificates

LDAP Servers

File Transfer

Advanced

Mode

Local Favorites

Firewall

Security

Printing


SSH: Appearance

Appearance

The appearance of the application and the terminal window is configured using the Appearance page of the Settings dialog.

Figure : The Appearance page of the Settings dialog.

  • Office XP Look

    Select the Office XP Look check box to change the way the menu bar and tool bar are displayed to match the visual style of Microsoft Office XP.

  • Show the Add Profile Dialog when connected using Quick Connect

    Select the Show the Add Profile Dialog when connected using Quick Connect check box to briefly display the Add Profile dialog when connecting to a remote host computer using Quick Connect. This allows you to create a profile for the host simply by typing in the profile name.

Terminal Settings

With the Terminal Settings options you can define how the terminal window works.

  • Paste on Right Mouse Click

    Select the Paste Selection on Right Mouse Click check box to enable fast copying of text on the terminal display. When you have this option selected, you can copy text simply by highlighting it and then paste it by clicking the right mouse button.

  • Scroll Bottom on Output

    Select the Scroll Bottom on Output checkbox to have the terminal window scroll to the bottom whenever new text is output. If this option is not selected, you can view the terminal window without the windows scrolling to the bottom every time a new line of text is displayed. By default, this option is on.

  • Scrollback Buffer Size

    Type in the Terminal Scrollback Size field the number of lines that you want to collect in the scrollback buffer. The larger the value, the more you can scroll back the terminal display to view previous terminal output. The default value is 500 lines.

Window Caption

The Window Caption settings affect what is displayed in the title bar of the terminal window and the file transfer window.

  • Display Profile Name

    Select the Display Profile Name check box to have the name of the current profile to be displayed on the title bar.

  • Display Host Name

    Select the Display Host Name check box to have the host name of the currently connected remote host computer to be displayed on the title bar.

Window Layout

If you have created a connection profile with several windows open at the same time and saved the layout, all of the windows associated with the profile are normally opened when you select the profile. With the Window Layout option you can override this behavior.

  • Open all windows of the profile

    Select the Open all windows in the profile check box to open all the windows associated with a profile when the profile is selected. If this option is not selected, the other windows open in their configured positions when you open new windows. By default, this option is on.


SSH: Font

Font

The font used in the terminal window can be selected using the Font page of the Settings dialog. The new font setting affects the terminal window immediately when you click the OK button. To discard the changes, click the Cancel button.

Figure : The Font page of the Settings dialog.

  • Font Name

    Select the desired font from the Font Name list. The list displays the non-proportional (fixed-width) fonts installed in your local computer. Note that proportional fonts are not suitable for the terminal window and therefore are not available for selection.

  • Font Size

    Select the desired font size from the Font Size list. Note that the font size affects the size of the terminal window: the smaller font you select, the smaller the terminal window will be, and vice versa. However, after this operation the size of the terminal window can be modified to suit your tastes.


SSH: Messages

Messages

On the Messages page of the Settings dialog you can configure default replies to standard messages that normally ask for user confirmation.

The messages are listed under several categories. Categories that have a plus sign (+) next to them can be expanded by clicking on the plus sign. Expanded categories have a minus sign (-) next to them and can be closed by clicking on the minus sign.

Figure : Specifying which confirmation dialogs are displayed

Each confirmation can be set to automatically accept (Yes) or reject (No) the action, or to ask the user for confirmation (Ask). By default all messages ask the user to confirm the action.


SSH: User Authentication

User Authentication

There are several different methods that can be used to authenticate the user when connecting to a remote host computer. In most situations, the most convenient user authentication methods are public-key authentication, certificate authentication or authentication with hardware tokens (smart cards).

Figure : The User Authentication page of the Settings dialog.

To use public-key authentication, you must upload your public key to your home directory on the remote host computer. You also have to modify your authorization file to allow connection with the new key. For more information, see Section Manually Editing the Authorization File. By default, all available public keys and certificates are offered to the remote host computer during public-key authentication.

Certificate authentication is more secure than the traditional public-key authentication, as the system verifies that the user certificate has been issued by a trusted Certificate Authority (CA) and that the certificate has not been revoked. Certificate authentication is also more convenient, as no local database of user public keys is required on the remote host computer.

Probably the most convenient method is to use a hardware token (smart card) that must be inserted into a card reader device to authenticate the user.

Note: Certificate authentication and PKCS #11 hardware tokens are supported only in the commercial versions of SSH Secure Shell for Workstations.

Token Insertion and Removal

The following options specify how hardware tokens are used for user authentication:

  • Disconnect automatically when token is removed

    Select this checkbox to immediately terminate the connection if your token is removed from the card reader device. This ensures that a connection will be active only when a token is present.

  • Connect automatically when token is reinserted

    Select this checkbox to automatically reconnect when your token is again inserted in the card reader device. This checkbox is active only if the Disconnect automatically when token is removed check box is selected.

  • Seconds to wait before disconnecting

    In the text field you can specify how many seconds the connection will remain open if your token is removed from the card reader device. The default value is zero. This field is active only if the Disconnect automatically when token is removed check box is selected.


SSH: Keys

Keys

Key pairs used for user public-key authentication can be managed using the User Keys page of the Settings dialog.

Before you can use public-key authentication, you must generate a key pair for yourself. Then you must upload your public key to your home directory on the remote host computer. You also have to modify your authorization file to allow connection with the new key. For more information, see Section Key Generation.

Note: Your private keys should always be kept secret. This is important to remember if you are sharing your local computer with other users. In such case, it is not advisable to store your private keys in the local disk, or a directory that will be replicated over a network (as when using the Windows roaming profiles functionality).

For more information on user key files, see section Using Public-Key Authentication.

Figure : The Keys page of the Settings dialog.

Private key file list

The private key file list (located above the buttons on the User Keys page) shows the files used to store your private keys. The public keys are not displayed, as they have the same file names as the private keys, but with .pub as the file extension.

  • Private Key File Name

    The Private Key File Name column displays the file names of your private keys.

  • Comment

    The Comment column displays the comments (if any) associated with your private keys.

Buttons:

Below the private key list there are several buttons that can be used to administer your key files:

  • Generate New Keypair

    Click the Generate New Keypair button to create a new public and private user key pair. This will bring up the Key Generation Wizard. For more information on this procedure, see section Key Generation Wizard.)

  • Delete Keypair

    Select a key file from the private key file list and click the Delete button to delete the key file from your local computer.

  • Export Keypair

    Select a key file from the private key file list and click the Export Keypair button to export the key pair. A Select Folder dialog will open, allowing you to specify the target location.

  • Import Keypair

    Click the Import Keypair button to import a keypair. The Import Keypair - Select Files dialog will open, allowing you to locate the keypair to be imported.

  • View Public Key

    Select a previously generated private key file from the private key file list and click the View Public Key button to display the corresponding public key. The public key file will be displayed in Notepad.

  • Change Passphrase

    Select a previously generated private key file from the private key file list and click the Change Passphrase button to change the passphrase for the key.

  • Upload Public Key

    Clicking the Upload Public Key button while connected to a remote server will automatically upload the selected public key. For more information on this procedure, see section Uploading Your Public Key.

  • Configure Command Line Client ssh2.exe Keys

    Click the button to write the identification file that is used by the command line tool ssh2.exe to specify which keys can be used for authentication. All the keys listed in the private key list will be included in the identification file. If you want to disable some keys, you can then manually delete them from the identication file.

    The identification file will be placed in the user settings folder. The actual directory is displayed on the Profile Settings page of the Settings dialog - see Profile Settings.

    If a previous version of the identification file already exists, it will be overwritten. A confirmation dialog will be displayed asking you to verify that you want to do this.

    For more information on the ssh2.exe command line version of the client, see the Appendix SSH2.


SSH: Certificates

Certificates

Public Key Infrastructure (PKI) is a system where digital certificates are used to increase the reliability and scalability of authentication. Using certificate authentication requires that certificates are first created with certification authority (CA) software. For more information on certificates, see section Public-Key Infrastructure (PKI).

The Certificates page of the Settings dialog can be used to control certificates created by a certification authority (CA) software.

Figure : The Certificates page.

Certificate list

The available certificates are shown in the certificate list, located on the top of the Certificates page. The following fields are displayed on the certificate list:

  • Issued To

    The Issued To field shows the entity to whom the certificate has been issued.

  • Issued By

    The Issued By field shows the entity who has issued the certificate.

  • Expiration Date

    The Expiration Date field shows when the certificate will expire.

Buttons:

The following buttons can be used to control the certificates:

  • Import

    Click the Import button to import a certificate created with certification authority (CA) software. A file selection dialog will open, allowing you to browse your directories for the saved certificate file.

  • Enroll

    Click the Enroll button to start the Certificate Enrollment wizard, which is used to request a certification authority (CA) to issue a certificate. SSH Secure Shell for Workstations supports the CMPv2 enrollment protocol.

    For more information on the process, see section Certificate Enrollment Wizard.

  • Delete

    Click the Delete button to remove a selected certificate.

  • View

    Click the View button to display the contents of a selected certificate.

  • Change Passphrase

    Click the Change Passphrase button to type a new passphrase associated with the selected certificate.


SSH: Certificate Enrollment Wizard

Certificate Enrollment Wizard

The Certificate Enrollment wizard is used to enroll certificates, i.e. to request a certification authority (CA) to issue a certificate. You can start the wizard by clicking on the Enroll button of the Certificates page of the Settings dialog.

Certificate Enrollment - Start

The first page of the Certificate Enrollment wizard displays information on the enrollment process. The enrollment process will create a key pair, consisting of a public and a private key. Please note that the process requires the use of Certificate Management Protocol version 2 (CMPv2).

Figure : The start of the enrollment process.

Click the Next button to continue the process.

Certificate Enrollment - Identity

On the Identity page, enter the parameters of the certificate to be issued. You can suggest a Common Name (e.g. John Smith), Organization Unit (like Marketing), Organization (SSH Communications Security), Country (USA) and Email Address (john.smith@ssh.com).

Figure : Type the parameters of the certificate.

The certification authority can change these fields before issuing the certificate. The Certificate validity period and other parameters are determined by the configuration of the CA software.

Please note that certificate enrollment requiring manual acceptance in the CA software is not supported. You may be able to compensate for this by using PKCS #12 file importing.

Click the Next button to launch the Key Generation Wizard. For more information on the key generation process, see section Key Generation Wizard.

Certificate Enrollment - Firewall

On the Firewall page, you can define the firewall and proxy settings. If your local setup does not require these to be defined, the fields can be left empty.

  • Firewall

    Type the firewall location in the text field.

  • HTTP proxy

    Type the HTTP proxy location in the text field.

Click the Next button to continue.

Certificate Enrollment - CA

On the CA page, fill in the following fields:

  • CMP Service URL

    Type in the address of the server that provides the Certificate Management Protocol (CMP) service.

  • Discover

    Click the Discover button to attempt automatic detection of available certification authority services and CA certificates. The found CA services will be listed in the text field and can be selected from the drop-down menu.

    Please note that not all systems support the automatic detection functionality.

  • CA Certificate

    This dropdown menu will be filled with the CA certificates that were found on the selected CMP service. Select a CA certificate from the list.

    Alternatively, you can directly type in the file name of the certificate, or select the file by clicking on the button on the right hand side of the file name field. The Select CA Certificate dialog will open, allowing you to locate the certificate file.

  • View

    Click the View button to display the contents of the current certificate.

  • Retrieve CA Certificates from CA URL

    Select the desired CA URL from the drop-down list and click the Retrieve CA Certificates from CA URL button to retrieve the CA certificates from the selected CA address.

  • Reference Number

    Type in the reference number.

  • Key

    Type in the key information.

Click the Next button to continue.

Certificate Enrollment - Enrollment

On the Enrollment page the actual enrollment takes place. This may take some time (the exact duration depends on the amount of network traffic, among other factors).

Figure : The enrollment in progress.

When the process is finished, click the Finish button to continue.


SSH: SSH Accession

SSH Accession

On the SSH Accession page of the Settings dialog you can operate the keys and certificates that are available on SSH Accession.

SSH Accession is a separate software product by SSH Communications Security that offers an easy method for utilizing digital certificates and smart cards. An evaluation version of the SSH Accession software is included in the SSH Secure Shell for Workstations distribution.

SSH Accession is a desktop authentication agent application for handling all private-key and sign-on operations for the SSH Secure Shell for Workstations user. With SSH Accession you do not have to provide the password for your private key each time when connecting to an SSH Secure Shell for Workstations server. Also, new connections from a remote server to another can be authenticated with the local private keys managed by SSH Accession (authentication forwarding).

In addition to the software keys, SSH Accession offers you a wide support for various secure hardware tokens such as smart cards and USB tokens. For more information, see the SSH Accession User Manual.

For more information, see http://www.ssh.com/products/security/accession/.

Figure :

  • Go to SSH Accession

    Click the Go to SSH Accession button to launch SSH Accession.

  • Upload Public Key

    Select a public key from the list and click the Upload Public Key button to upload the key.

  • View Certificate

    Select a certificate from the list and click the View Certificate button to display the contents of the certificate.


SSH: PKCS #11

PKCS #11

The PKCS #11 page contains a list showing the configured PKCS #11 providers. Under each provider there is a list of the keys and certificates available. Please note that the list view does not get updated automatically, but only when you close and reopen it.

A new provider can be added to the list on the Configuration page of the Settings dialog. For more information, see section Configuration.

Figure : The PKCS #11 providers list.

You can open the PKCS #11 configuration window by double-clicking the card reader icon located on the right hand side of the terminal window status bar, located on the bottom of the window.

Hardware tokens and PKCS #11 software keys can be used with or without PKI. The standard public-key authentication can be used with PKCS #11 providers.

The following buttons can be used to operate the PKCS # providers:

  • Enable Provider

    Select a PKCS #11 provider from the list and click the Enable Provider button to allow the use of the selected provider.

  • Disable Provider

    Select a PKCS #11 provider from the list and click the Disable Provider button to disallow the use of the selected provider.

  • Upload Public Key

    Select a key from the list and click the Upload Public Key button to upload one of the public keys from the token to the server. This allows you to use a hardware token for your personal authentication. In order to do this, you have to be already connected to a server.

    Please note that an RSA token requires RSA support to be compiled in the server software. See section Uploading Your Public Key for information on how to upload a software public key to the server.

  • View Certificate

    Click the View Certificate button to display the contents of the selected certificate.


SSH: Configuration

Configuration

The Configuration page of the Settings dialog can be used to manually configure PKCS #11 providers.

Figure : Configuring PKCS #11 providers.

The following fields are visible in the provider list, displayed on the top of the Configuration page:

  • Provider Type

    The Provider Type field displays the type of the provider.

  • Initialization String

    The Initialization String field displays the string of characters used for initialization.

  • Enabled

    The Enabled field displays whether the use of the provider is currently allowed or not. To change the Enabled status, click the Edit button.

The following buttons can be used to control the provider settings:

  • Add

    Click the Add button to add a new PKCS #11 provider. The PKCS #11 Provider dialog will open.

  • Edit

    Click the Edit button to change the details of the PKCS #11 provider. The PKCS #11 Provider dialog will open.

  • Remove

    Click the Remove button to delete the PKCS #11 provider definition.

For more information on the PKCS #11 Provider dialog, see section PKCS 11 Provider.


SSH: PKCS #11 Provider

PKCS #11 Provider

The PKCS #11 Provider dialog allows you to view and modify the provider definition.

Figure : The details of the PKCS #11 provider displayed.

The following options are available:

  • Provider Type

    Select the provider type from the dropdown menu.

  • Initialization String

    This field displays the character string used for initialization.

  • Enabled

    Leave the Enabled check box checked, except if you have trouble accessing the token from another application that is running simultaneously. The usability of a PKCS #11 for several simultaneous applications depends on the specific third party PKCS #11 driver.

PKCS #11

Fill in the following text fields to pass other parameters to the PKCS #11 provider:

  • DLL

    Consult the token manufacturer documentation to determine the file name of the PKCS #11 DLL. Type this file name in the DLL field.

  • Slots

    The Slots parameter is not required, but if you have problems accessing a specific key on a hardware token, you may need to modify this parameter accordingly. Consult the third party documentation for the exact requirements of the Slots parameter.

    For example: to use PKCS #11 slots 0 through 10, use the value 0-10, and to use slots 1 through 5 except 3, use the value 1-5,!3.

  • Additional Parameters

    Additional parameters can be specified, if specified in the third party documentation.

When you save the settings (by using the Save Settings option on the File menu) and then restart SSH Secure Shell for Workstations, you should see a small card reader icon on the status bar on the bottom of the terminal window. When a token is inserted, a smart card appears in the card reader in the icon. When a key is acquired from the token, a key symbol appears on top of the card reader icon.

If you do not see the card reader icon, check that the DLL name has been entered correctly. If you cannot get the keys from the token, make sure that the token has been personalized correctly. Please note that hardware tokens are usually shipped uninitialized, so you are required to personalize the token for yourself. To do this, you need to consult the third party documentation included with the token.


SSH: Server Authentication

Server Authentication

There are two different methods that can be used to authenticate the server (remote host computer) you are connecting to: public-key authentication and certificate authentication.

Figure : The Server Authentication page of the Settings dialog.

When public-key authentication is used to authenticate the server, the first connection is very important. The client will ask the user to save the host key to the local database. The fingerprint of the public key should be verified before you save it to the local database and proceed with the connection. If you do not verify the authenticity of the fingerprint, you risk the possibility of a man-in-the-middle attack. For future connections, the local copy of the server's public key will be used in server authentication.

Certificate authentication is more secure than the traditional public-key authentication, as the system verifies that the server certificate has been issued by a trusted Certificate Authority (CA) and that the certificate has not been revoked. When certificate authentication is used, the man-in-the-middle attack is no longer a threat during key exchange, as the system verifies that the server certificate has been issued by a trusted certification authority (CA).

If the server certificate itself does not contain a valid authority information access or a CRL distribution point extension, an LDAP server has to be configured on the client-side to obtain a certificate revocation list (CRL).

Note: Certificate authentication is supported only in the commercial versions of SSH Secure Shell for Workstations.


SSH: Host Keys

Host Keys

Public host keys used in server authentication (remote host authentication) process can be managed using the Host Keys page of the Settings dialog. The keys are listed in the host key file list.

Figure : The Host Keys page of the Settings dialog.

Public host key file list

The host keys in your possession are displayed in the public host key file list (located above the buttons on the Public Keys page).

  • Host Name

    The Host Name column displays the host names of your host keys.

  • Port

    The Port column displays the ports used by the connections associated with each host key.

  • File Name

    The File Name column displays the file name of each host key file.

  • Fingerprint

    The Fingerprint column displays the fingerprint of each host key file. The fingerprint is represented using the SSH Babble format, and it consists of a pronounceable sets of five lowercase letters separated by dashes.

Buttons:

  • View

    Select a host key file from the host key file list and click the View button to display a host key. Alternatively you can just double-click on the key file name.

  • Export Key

    Select a host key and click the Export Key button to export a host key. The Select Folder dialog will open, allowing you to specify the target location.

  • Import Key

    Click the Import Key button to import a host key. The Import Hostkeys - Select Files dialog will open, allowing you to locate the host key to be imported.

  • Delete

    Select a host key file from the host key file list and click the Delete button to remove the key.


SSH: CA Certificates

CA Certificates

On the CA Certificates page of the Settings dialog you can manage the certificates of your trusted certification authorities (CA). For more information on certificates, see section Public-Key Infrastructure (PKI).

Figure : A brief overview of PKI.

CA certificate list

The available CA certificates are shown in the CA certificate list, located on the top of the CA Certificates page.

The following fields are displayed on the CA certificate list:

  • Issued To

    The Issued To field shows the certification authority to whom the certificate has been issued.

  • Issued By

    The Issued By field shows the entity who has issued the CA certificate.

  • Expiration Date

    The Expiration Date field shows when the CA certificate will expire.

Buttons:

The following buttons can be used to control the CA certificates:

  • Import

    Click the Import button to import a CA certificate from an external file. The Import Certificate - Select File dialog will opened, allowing you to locate the certificate file.

  • View

    Click the View button to display the contents of a selected CA certificate.

  • Delete

    Click the Delete button to remove a selected CA certificate.

  • CRL Checking

    Select the Disable check box to prevent the use of a certificate revocation list (CRL). A CRL is used to check if any of the used CA certificates have been revoked.

    Note: Disabling CRL checking is a security risk and should be done for testing purposes only.


SSH: LDAP Servers

LDAP Servers

In order to make use of a certificate, it must be distributed to directories where it is made available to other users. SSH Secure Shell for Workstations supports certificate and certificate revocation lists (CRL) distribution using the Lightweight Directory Access Protocol (LDAP), a de facto standard. This enables interoperability with third party directory servers using the LDAP standard.

For more information on LDAP, see section Directory Services.

The LDAP Servers list displays the available LDAP servers.

Figure : Adding a new LDAP server entry.

To edit an LDAP server entry, doubleclick the appropriate line in the list. To add or delete LDAP server entries, use the buttons located above the LDAP server list:

  • New

    Click the New button (the leftmost button on the top right hand side of the LDAP server list) to add a new LDAP server to the list. Type in the address of the server using URL format (for example ldap://ldap.host.com:389). The keyboard shortcut for the New button is the Ins key.

  • Delete

    Select an unwanted LDAP server entry from the list and then click the Delete button (the rightmost button on the top right hand side of the LDAP server list) to remove the server definition. The keyboard shortcut for the Delete button is the Delete key.


SSH: Advanced

Advanced

On the Advanced page of the Settings dialog you can configure additional file transfer options. The new settings will affect subsequently started File Transfer windows.

Figure : The advanced file transfer options.

  • Preserve Original File Time

    Select the Preserve Original File Time check box if you want that the transferred files retain their original time and date stamp values. If this option is not selected, the transferred files will be stamped with the time of the transfer.

Upload

The following settings affect the upload process:

  • Preserve Original Destination Permissions

    Select this check box to preserve the file permissions of the original file located on the remote host computer. The transferred file will use the same file permissions as the original file.

  • Default File Permissions

    Type the octal UNIX file permission mask (as with the UNIX chmod command) that is to be used as the default value for files. For more information on file permissions, see section Contents of the File Transfer Window.

  • Default Directory Permissions

    Type the octal UNIX directory permission mask (as with the UNIX chmod command) that is to be used as the default value for directories.

File Transfer Send Window

The following settings affect the file transfer process:

  • Number of Buffers

    Type the number of buffers used in file transfer. The default value is 10.

  • Buffer size

    Type the default buffer size (measured in kilobytes). The default value is 32 kilobytes.

Upload Locally Modified Remote Files

This selection affects how SSH Secure Shell for Workstations will react if you edit locally a file stored in the remote host computer.

  • Yes

    If you select the Yes option, the locally modified file will be uploaded to the remote host computer.

  • No

    If you select the No option, the locally modified file will not be uploaded to the remote host computer.

  • Ask

    If you select the Ask option, SSH Secure Shell for Workstations will ask you to decide if you want to upload a locally modified file.


SSH: Mode

Mode

The Mode page of the Settings dialog affects which files will be transferred using ASCII mode.

Figure : Selecting the file transfer mode.

File Transfer Mode

Select the default file transfer mode from the following options:

  • ASCII

    By default all files will be transferred in ASCII mode.

  • Binary

    By default all files will be transferred in binary mode.

  • Auto Select

    The files using a file extension specified on the ASCII Extensions list will be transferred in ASCII mode. All other files will be transferred in binary mode.

ASCII Extensions

Files using a file extension specified in the ASCII Extensions list will be transferred using ASCII mode.

  • New

    Click the New button (the leftmost button on the top right hand side of the ASCII Extensions list) to add a new file extension to the list. The keyboard shortcut for the New button is the Ins key.

    Note that you can use wild cards to specify the file extensions. The ? character matches any 1 character, and the * character matches any 0 or more characters. (For example: htm* would match both htm and html.)

  • Delete

    Select an unwanted file extension entry from the list and then click the Delete button (the rightmost button on the top right hand side of the ASCII Extensions list) to remove the extension. The keyboard shortcut for the Delete button is the Delete key.


SSH: Local Favorites

Local Favorites

On the Local Favorites page of the Settings dialog you can create a list of commonly used directories on your local computer. These favorites can then be easily selected from a drop-down menu in the File Transfer window.

Figure : Creating a list of most commonly used directories.

Favorite Folders

This list contains the favorite folders you have defined for your local computer. Initially the list contains your locally available drives. You can add, remove and sort the favorites by using the icons displayed above the list:

  • New

    Click the New button to add a new favorite, and then type the path to the desired folder.

  • Delete

    Select an already defined favorite from the list and then click the Delete button to remove it from the list.

  • Up

    Select an already defined favorite from the list and then click the Up button to move it higher in the list.

  • Down

    Select an already defined favorite from the list and then click the Down button to move it lower in the list.

Home Folder

In the Home Folder field you can type the directory that is initially displayed in the local view pane of the File Transfer window.


SSH: Firewall

Firewall

The firewall settings can be configured using the Firewall page of the Settings dialog. The firewall should run SOCKS version 4 or 5 software.

Note: SOCKS5 authentication or encryption functionality is not supported.

Connecting through a firewall requires that the Connect through Firewall option on the Connection page has been selected. For more information, see section Connection.

Figure : The Firewall page of the Settings dialog.

  • Firewall URL

    Type the firewall address in URL format (for example socks://host.computer:1080). The default port is 1080.

  • SOCKS Version

    Select the SOCKS version used by the firewall. Available options are SOCKS4 and SOCKS5.


SSH: Security

Security

The security settings can be configured using the Security page of the Settings dialog.

Figure : The Security page of the Settings dialog.

  • Empty Clipboard on Exit

    Select the Empty Clipboard on Exit check box to remove from the clipboard anything that was recently copied using the cut and paste Edit operations.

  • Empty Scrollback Buffer on Session Close

    Select the Empty Scrollback Buffer on Session Close check box to empty any remains of the terminal output from the scrollback buffer.

SSH1 Connections

From SSH Secure Shell for Workstations (SSH Secure Shell) version 2.2.1 onwards, you can connect also to Secure Shell version 1 (SSH1) servers. With the SSH1 Connections selection you can decide if you want to allow SSH1 connections, deny them, or issue a warning when connecting to a remote host computer that is using version 1 of the Secure Shell protocol.

Secure Shell version 2 (SSH2) is a more advanced and secure protocol than the legacy version SSH1. For more information on the status of the SSH1 protocol, see the SSH web site http://www.ssh.com/company/newsroom/article/210/.

Note that when using an SSH1 connection, multiple terminal windows and the file transfer operations are not available.

  • Allow

    Select this option to allow also SSH1 connections.

  • Warn

    Select this option to issue a notice when an SSH1 connection is made.

  • Deny

    Select this option to disallow SSH1 connections.

  • Disable password length masking in SSH1 connections

    Select this check box to not use password length masking when logging in using the SSH1 protocol.


SSH: Printing

Printing

The print settings can be configured using the Printing page of the Settings dialog.

Figure : The Printing page of the Settings dialog.

  • Printer Font

    Select the Font Name and Font Size to be used in the printed output. Any non-proportional font installed on your system can be selected.

  • Margins (mm)

    Select the width of the blank border around the page on printed output. The margins for the top, bottom, left and right of the page can all be specified individually. The default value for all margins is 10 millimeters (or 1 centimeter).

  • Header & Footer

    Select what additional information appears on the printed pages.

    Title appears at the top left of the page and displays the title of the terminal window (for example: remotehost - SSH Secure Shell for Workstations).

    Date appears at the top right of the page and displays the date and time when the page was printed (for example: 15 September 2003, 11:10). The date and time format is the same as used in Windows.

    Page Number appears at the bottom right of the page (for example: Page 1 of 2).


SSH: Customize

Customize

Select the Customize option from the View menu to modify the menu options, toolbars layout, keyboard mapping, menu settings and general preferences. Note that you can have only one terminal window open when using the Customize option.

Figure : Use the Customize dialog to modify the user interface settings.

Click on the tabs on the top of the dialog to switch between different pages:

  • Commands tab

    Select the Commands tab to move individual menu options. Select the menu category from the list on the left, and then use the mouse to drag menu options into the menus or toolbars displayed in the SSH Secure Shell for Workstations window.

  • Toolbars tab

    Select the Toolbars tab to define which toolbars are displayed on the SSH Secure Shell for Workstations window.

    If you have made any changes, you can select the toolbars you want reset and then click the Reset button to return the default toolbar configuration. Click the Reset All button to reset all the toolbars and menus.

    • Reset

      Select a toolbar that you want to restore to its initial settings and then click the Reset button to discard the changes you have made.

    • Reset All

      Click the Reset All button to discard the changes you have made to all of the toolbars.

    • Show Text Labels

      Select either the Profiles or the Toolbar option and then select the Show text labels check box to display text labels on these toolbars. Text labels clarify the toolbar icons, but also take up space.

  • Keyboard tab

    Select the Keyboard tab to define accelerator keys (keyboard shortcuts) for the menu commands.

    Use the Category menu to select the category of the accelerator key you want to modify. The categories are based on the menu hierarchy.

    Use the Commands menu to select a specific command from the selected category.

    The Description box displays a brief description of the currently selected command.

    Use the Set Accelerator for menu to select the profile that you want to associate with the current keyboard configuration.

    The Current Keys field shows the currently assigned accelerator keys.

    Click on the Press New Shortcut Key field to activate it. Then press the combination of keys on the keyboard that you want to associate with the currently selected command.

    • Assign

      Click the Assign button the add the definition from the Press New Shortcut Key field to the Current Keys field.

    • Remove

      Select a key assignment from Current Keys field and click the Remove button to delete the selected assignment.

    • Reset All

      Click the Reset All button to lose all your changes and reset the keyboard assignments. A confirmation dialog will be displayed, asking if you really want to do this.

  • Menu tab

    Select the Menu tab to define the menu settings.

    • Application Frame Menus

      Select the menu setup you want to change from the Show Menus For dropdown menu. By default, only the Default Menu is available for editing.

      Click the Reset button to reset the menus to their original configuration.

    Use the Menu animations dropdown menu to select the type of menu animations. The available options are None, Unfold, Slide and Fade.

    Select the Menu shadows check box to display shadows under open menus.

    • Context Menus

      Use the Select context Menu dropdown menu to display any of the shortcut (or popup) menus:

      • File Local Menu 1 (displayed in the local view of the File Transfer window when you do not have a file selected)
      • File Local Menu 2 (displayed in the local view of the File Transfer window when you have a file selected)
      • File Remote Menu 1 (displayed in the remote view of the File Transfer window when you do not have a file selected)
      • File Remote Menu 2 (displayed in the remove view of the File Transfer window when you have a file selected)
      • Terminal Popup menu (displayed when you right-click in the terminal window).

      Then you can click the Commands tab and drag menu options into the shortcut menus (and remove items from the shortcut menus by dragging them off the menu).

    • Reset

      Click the Reset button to reset the menus to their original configuration.

  • Options tab

    Select the Options tab to change general user interface options.

    Select the Show Screen Tips on toolbars check box to display a short help text, when you place the mouse pointer over a toolbar button.

    Select the Show shortcut keys in Screen Tips check box to see the possible keyboard shortcut displayed in addition to the short help text.

    Select the Large Icons check box to display big toolbar icons.

    Select the Look 2000 check box to enable Windows 2000 style features in the user interface. This option affects mainly the style of the toolbar handles.

  • Help

    Click the Help button to display the online help.

  • Close

    Click the Close button to stop the customization process.


SSH: Connecting

Connecting

SSH Secure Shell for Workstations makes it easy to establish connections to new remote host computers, and to manage the settings required for each different host.

The Quick Connect option allows you to create new connections fast, minimizing the hassle associated with configuring each connection. It is easy to define a profile for new hosts, and save just the right settings for each.

Quick Connect

Profiles

Key Generation

Connecting to a Remote Host Computer

Uploading Your Public Key

Using Public-Key Authentication

Tunneling Explained

Command Line Options


SSH: Quick Connect

Quick Connect

Select the Quick Connect option (from the toolbar or from the File menu) to establish a completely new SSH connection that can be operated independently of any other clients and connections. You can connect to an entirely new remote host computer and still keep the old connection to a different host open.

The Connect to Remote Host dialog will open, automatically filled in with the values defined in the default configuration file (default.ssh2). Therefore it makes sense to use the Settings dialog (see section Saving Settings) to set the most commonly used options and save them in the default.ssh2 configuration file.

When you need to establish a new connection, just click the Quick Connect button to connect to a new host with the default settings. When connected, you can then modify the settings to match your exact requirements for this particular host and save the settings as this host's profile (see section Profiles).

But there is an even faster alternative. When you login using the default settings, the Add Profile dialog is briefly and non-intrusively shown. Click on the dialog and write in the name for the new profile. When you press the Enter key, the profile is automatically saved. It is accessible from the Profiles menu, and can be modified later.


SSH: Profiles

Profiles

If you habitually connect to more than just one remote host computer, you probably want to have different settings defined for each host. Profiles make it easy to manage different host configurations.

You can have an unlimited amount of different profiles designed for different connections.

Note that SSH Secure Shell for Workstations considers the profiles as the user's personal data and saves the profile definition files in the personal folder of the user. This means that every user of the local computer can have his or her own profiles, without affecting other users of the same computer.

Select the Profiles option (from the toolbar or the File menu) to either add a new profile definition or edit an already defined profile.

Add Profile

Edit Profiles


SSH: Add Profile

Add Profile

Adding a new profile is extremely easy. When you have connected to a new host computer, select the Add Profile option. The Add Profile dialog will open.

Figure : Just type in a name for the new profile and you are ready!

Type a name for the profile (the name of the host computer is a good choice) and press Enter. You are ready!

When you later want to connect to the same host, just select its profile under the Profiles option. You will be immediately connected, with all the settings in their proper places - even including the number and positions of SSH Secure Shell for Workstations windows.

By using profiles, you can have just the right connection settings for each host, with no hassle or defining complicated configuration settings. It's that simple.


SSH: Edit Profiles

Edit Profiles

Click the Edit Profiles option to modify profiles that you have saved earlier. The Edit Profiles dialog will open, allowing you to edit all the host specific settings associated with this particular connection.

Click on the tabs on the top of the page to switch between pages. For a closer look on the settings displayed under each tab, see sections Connection, Cipher List, Authentication, Keyboard, Colors, Tunneling, File Transfer and Remote Favorites.

Figure : Use the Profiles dialog to modify settings for each host computer.

You can make changes to several profiles at the same time by changing the profile with the profile tree displayed on the left hand side of the Edit Profiles dialog.

When you are finished with the settings, you can click the OK button to save the new profile definition, or the Cancel button to change your mind and abort your changes.

Note: Before the profile editing operation, the .ssh2 settings are copied into backup files with the file extension .bak. If you remove these backup files, you will not be able to revert back to the old settings.

Profiles Shortcut Menu

Click the profile tree with the right mouse button, and a shortcut menu will open.

If you right-click on a profile, you can select from the following options:

  • Connect

    Select the Connect option to immediately connect to the remote host computer associated with the profile.

  • Copy

    Select the Copy option to copy the profile definition into the clipboard. Now you can click an empty location in the profile tree and paste a copy of the profile there.

  • Cut

    Select the Cut option to remove the profile from its present location in the profile tree. Now you can click an empty location in the profile tree and paste the profile there.

  • Delete

    Select the Delete option to remove the profile. A Confirm Delete dialog will open, asking if you are sure that you want to erase the selected profile.

  • Rename

    Select the Rename option to type in a new name for the profile. It is a good idea to give each profile a descriptive name, so that the profiles are easy to recognize later on.

  • Create Shortcut

    Select the Create Shortcut option to create a shortcut to the currently defined profile on the Windows desktop. The shortcut will be have the name of the current profile (typically the remote host computer that you are connected to). When you later click on the shortcut, SSH Secure Shell for Workstations will be launched with the settings that have been saved for the profile.

If you right-click on an empty spot on the profile tree, you can select from two options:

  • Paste

    Select the Paste option to paste a profile that you have copied.

  • New Folder

    Select the New Folder option to create a new folder in the profile tree.

Organizing Profiles

If you have defined a long list of profiles, it may be a good idea to organize them into folders. Click the profile list with the right mouse button, and select the New Folder option to create a new folder in the profile tree structure. Type a name for the new folder.

Now you can use the mouse to drag and drop the profiles and arrange them into folders so that you can quickly find the profiles you need.

Figure : Creating a new folder for better organization.


SSH: Key Generation

Key Generation

If you are going to connect to a remote host computer using public-key authentication, you will have to generate your key pair before connecting.

Public-key authentication is based on the use of digital signatures. Each user creates a pair of 'key' files. One of these key files is the user's public key, and the other is the user's private key. The server knows the user's public key, and only the user has the private key.

When the user tries to authenticate herself, the server checks for matching public keys and sends a challenge to the user end. The user is authenticated by signing the challenge using her private key.

Remember that your private key file is used to authenticate you. Never expose your private keys. If anyone else can access your private key file, they can attempt to login to the remote host computer as you, and claim to be you. Therefore it is extremely important that you keep your private key file in a secure place and make sure that no one else has access to it.

Do not use public-key authentication on a computer that is shared with other users. Generate keys only on your personal computer that no one else can access!

Also note that if you are using the Windows roaming profiles functionality, your personal settings will be replicated with the roaming profile server. If you store your private keys in the default location (under the profile folder of your Windows user account) your private keys may be suspected to a malicious user listening to the network traffic. Therefore the User Settings folder should not be a directory that will be used in profile roaming.

In order to use public-key authentication, you must first generate your own key pair. You can generate your own key files with the help of a built-in key generation wizard.

Key Generation Wizard

Key Generation - Start

Key Generation - Key Properties

Key Generation - Generation

Key Generation - Enter Passphrase

Key Generation - Finish


SSH: Key Generation Wizard

Key Generation Wizard

To generate a new key pair, open the Settings dialog and select the Keys page (in the User Authentication branch). Then click the Generate New Keypair button to run the key generation wizard.

The wizard will generate two key files, your private key and your public key. The private key file has no file extension, and the public key has the same base file name as the private key, but with .pub as the file extension. The key files will be stored in your local computer, in the user profile directory.

Figure : The Keys page with a key pair already generated.


SSH: Key Generation - Start

Key Generation - Start

The Key Generation - Start page contains important information about safety measures. Read the text and click the Next button.

Figure : The Start page of the key generation wizard.


SSH: Key Generation - Key Properties

Key Generation - Key Properties

On the Key Properties page, select the type of the key to be generated. You can select to generate either an RSA or a DSA key, as well as the key length.

Figure : Selectin the key type

  • Key Type

    Select the type of the key to be generated. Available options are DSA or RSA.

  • Key Length

    Select the length (complexity) of the key to be generated. Available options are 768, 1024, 2048 or 3072 bits. Larger keys are more secure, but also slower to use. The recommended key length for most occasions is 2048 bits.


SSH: Key Generation - Generation

Key Generation - Generation

On the Key Generation - Generation page the computer will generate your key files. This can take several minutes, depending on the chosen key length and the processor speed of the computer.

During the key generation phase an animation of random bits is displayed. When the process is ready, the Next button is ungrayed and you can proceed to the next phase by clicking it.

Figure : Key generation in process.


SSH: Key Generation - Enter Passphrase

Key Generation - Enter Passphrase

On the Key Generation - Enter Passphrase page you can provide information describing the generated key pair, and protect the files with a passphrase.

Figure : Entering a passphrase for a newly generated key pair.

  • File Name

    Type a name for the key file in the File Name field.

  • Comment

    In the Comment field you can write a short comment that describes the key pair - you can for example describe the connection the files are used for. This field is not obligatory, but can be quite useful.

  • Passphrase

    Type a phrase that you have to enter when handling the key. This passphrase works in a similar way to a password and gives some protection for your private key.

    Make the passphrase difficult to guess. Use at least 8 characters, both letters and numbers. Any punctuation characters can be used as well.

    Memorize the passphrase carefully, and do not write it down.

  • Passphrase

    Type the passphrase again. This ensures that you have not made a typing error.

When you have typed in at least the file name and the passphrase (twice), you can click the Next button to proceed to the next phase.


SSH: Key Generation - Finish

Key Generation - Finish

The Key Generation - Finish page displays important information on the use of the key files.

The new public and private keys have been generated. They are currently stored on your local computer. To use these keys for public-key authentication, you have to upload the public keys to the remote host computer.

If you are connected to a remote host, you can automatically have a copy of your new public key uploaded to the server by clicking on the Upload Public Key button. The public key file can be uploaded at a later date as detailed in the Uploading Your Public Key section.

Click the Finish button to exit the key generation wizard.

Figure : Keys have now been generated.


SSH: Connecting to a Remote Host Computer

Connecting to a Remote Host Computer

To connect to a remote host computer, click the Connect icon on the toolbar, select the Connect option from the File menu, or just hit Enter or Space on the keyboard when the (still disconnected) client window is active. This brings up the Connect to Remote Host dialog.

When you connect to a remote host computer for the first time, the host will provide your local computer with a host public key. The host key is the public key for identifying the remote host computer that you're connecting to.

This process will bring up the Host Identification dialog.

Host Identification Dialog

Connect to Remote Host Dialog


SSH: Host Identification Dialog

Host Identification Dialog

When you connect to a remote host computer for the first time using public-key authentication, the host sends your local computer its public key in order to identify itself. This first connection is very important.

To help you to verify the host's identity, the Host Identification dialog displays a fingerprint of the host's public key. The fingerprint is represented using the SSH Babble format, and it consists of a pronounceable series of five lowercase letters separated by dashes.

The fingerprint of the public key should be verified before you save it to the local database and proceed with the connection. If you do not verify the authenticity of the fingerprint, you risk the possibility of a man-in-the-middle attack. For future connections, the local copy of the server's public key will be used in server authentication.

If you have reason to suspect that the public key you have received may be forged, you can for example phone the system administrator of the remote host computer and check if the fingerprint is correct.

If your work requires the strictest degree of absolute security and you cannot trust the network that was used to deliver the host key, you can ask the system administrator of the remote host computer to deliver the host's public key to you personally, for example on a diskette. This way the key is never passed over the network and you can be absolutely sure that it has not been forged. When using that host key with an SSH Secure Shell for Workstations connection, you can be sure that you are connecting to the correct host and that there is no possibility of outside intrusion. However, for ordinary use this procedure can be seen as overkill.

The Host Identification dialog asks if you want to store the host key on your local computer. If you connect regularly to the host you will probably want to keep the key. This prevents an attack where someone can steal your connection.

Figure : The Host Identification dialog.

  • Yes

    You can save the host key to the local database by clicking Yes.

  • No

    You can continue without saving the host key by clicking No. If you choose not to save the host key locally, you will be asked to the make this selection again next time you connect to this host.

  • Cancel

    You can also cancel the connection by clicking on the Cancel button. This causes an authentication failure, and the connection will be canceled.

  • Help

    Click the Help button to view the online help.

If you save the host key, you do not have to go through this procedure again the next time you login. The host's public key will still be checked with each connection, but this will be done automatically, without user intervention.

The known host keys will be saved in a local database that is specific to each user of the local computer. This way each user will build a personal database of the public keys of known and trusted hosts.


SSH: Connect to Remote Host Dialog

Connect to Remote Host Dialog

The Connect to Remote Host dialog allows you to specify the host name (or IP address), user name, port number and authentication method for the new connection.

Figure : Identify yourself to the remote host computer.

The client remembers your previous connection. If you are going to reconnect to the same host, you do not have to type in all of the same information all over again.

  • Host Name

    Enter the name (or IP address) of the remote host computer in this field. Unless this is your first connection, the Host Name field shows the name used in the previous connection. If you want to connect to the same computer as previously, you do not have to edit this field.

  • User Name

    Enter your user name as used in the remote host computer. Unless this is your first connection, the User Name field shows the name used in the previous connection. If you want to connect using the same user name as previously, you do not have to edit this field.

  • Port Number

    Type the number of the port used in the connection in the Port Number field. The standard port for Secure Shell connections is 22. The port used in the previous connection is already filled in.

  • Authentication Method

    Select the desired authentication method from the pulldown menu. Possible authentication methods are Password, Public Key, SecurID, PAM, Keyboard Interactive and <Profile Settings>.

    • Password

      When you login using password authentication, you will have to type your password each time you establish a new connection to the remote host computer.

    • Public Key

      Public-key authentication is based on the use of digital signatures. If you want to use public-key authentication, first you will need to create a pair of 'key' files (see section Key Generation).

      Before you can login using public-key authentication, you have to upload your public key to the remote host computer (see section Uploading Your Public Key).

      For more information on the use of public keys, see section Using Public-Key Authentication.

    • SecurID

      Using SecurID authentication requires that you have a SecurID device that generates the numeric codes that are needed to login.

    • PAM

      The Pluggable Authentication Modules (PAM) is an authentication method that has gained wide popularity especially on UNIX platforms.

    • Keyboard-Interactive

      Keyboard-Interactive is designed to allow the Secure Shell client to support several different types of authentication methods. For more information on Keyboard-Interactive, see Section Keyboard-Interactive Authentication.

    • <Profile Settings>

      The authentication method specified in the active profile is used. The profile-specific authentication method can be defined using the Connection page of the Settings dialog (see section Connection).

  • Connect

    Click the Connect button to connect to the remote host computer.

  • Cancel

    Click the Cancel button if you change your mind and want to abort the connection.


SSH: Uploading Your Public Key

Uploading Your Public Key

If you want to use public-key authentication when connecting to the remote host computer, you have to upload your public key to the host. If you have not yet generated your own public key, see section Key Generation.

Public keys can be uploaded automatically to a server. After a connection has been made to the server, a key pair can be selected from the Keys page of the Settings dialog - see Keys. Click the Upload button to display the Upload Public Key dialog that allows you to automatically upload the public key to the specified directory and automatically add an entry for the key to the authorization file.

Note: The automatical key uploading process will use the SFTP protocol. The administrator of the remote host computer may have restricted the user access so that users are not able to configure public-key authentication for themselves even if public-key authentication is allowed in the server configuration. If you do not have the proper file permissions to the key directory, the automatic upload will fail.

Even if the automatic upload succeeds, it may be that the server administrator has configured the system to store keys elsewhere than in the default .ssh2 directory. In this case the keys and the authorization file additions have to be moved manually in the proper directory.

If you do not use the automatic upload facility, you will need to place your public key file in the .ssh2 subdirectory in your home directory on the remote host computer. The default location for UNIX servers is $HOME/.ssh2 and for Windows servers the .ssh2 directory under the user profile directory. The authorization file residing in the .ssh2 directory must be edited to take the newly transferred key into use.

Figure : The Upload Public Key dialog.

  • Destination Folder

    This is the subdirectory on the server where the public key file will be uploaded to. If this directory does not exist then it will be created under your home directory on the server (for example /home/username/.ssh2/ or C:\Documents and Settings\username\.ssh2\). The default value is .ssh2

  • Authorization File

    This is the file on the server that contains details of your public keys. If this file does not exist then it will be created. The default value is authorization.

  • View Authorization File

    Checking this box will allow you to view and edit the authorization file before it is uploaded to the server.

Manually Copying the Key File

Manually Editing the Authorization File


SSH: Manually Copying the Key File

Manually Copying the Key File

The easiest way to manually copy your public key file is to open the Profile Settings page of the Settings dialog (select the Settings option from the Edit menu) and to click the Browse button next to the User Settings Folder field.

The folder containing your user settings is opened. The folder contains a subfolder called UserKeys. Double-click on the UserKeys folder to open it.

The folder containing your user keys is opened. Select the file that contains the public key that you want to copy to the remote host computer. Note that the public key has the file extension .pub. Be careful that you copy the file with the .pub extension, and not a similarly named file without a file extension (which would be your private key that you have to keep secure)!

Copy the file to the Windows clipboard by pressing Control+C on the keyboard, or by clicking the file icon with the right mouse button and selecting Copy from the shortcut menu.

Now connect to the remote host server and open a file transfer window, as described in Chapter File Transfer.

Your home directory should contain a subdirectory named .ssh2. If you do not see the .ssh2 directory, check that you have the Show Hidden Files option selected from the View menu.

Enter the .ssh2 directory and copy the key file there from the clipboard (press Control+V on the keyboard or click the right mouse button and select Paste from the shortcut menu).


SSH: Manually Editing the Authorization File

Manually Editing the Authorization File

The authorization file can be edited either locally on your own computer and then transferred to the remote host computer, or directly on the remote host.

Editing the authorization file locally

Create a plain text file called authorization on the your local computer (for example by using Notepad).

When in the text editor, add a new line containing the word key, a space and the file name of the public key. For example, if the public key file name is id_dsa_1024_a.pub, add the following line to the authorization file:

key id_dsa_1024_a.pub

(Substitute your public key filename for id_dsa_1024_a.pub.) If you have multiple keypairs which you use to authenticate, put each on a separate line:

key pub_key_one.pub
key pub_key_two.pub

Make sure to save the file as "authorization" (to omit the default file extension .txt, enclose the file name in quotation marks) and exit the text editor.

Then upload the authorization file to the ~/.ssh2 directory (or, in case of a Windows Server, in the .ssh2 directory located under your user profile directory).

Editing the authorization file on a UNIX server

Alternatively you can edit the authorization file remotely on a UNIX server. Connect to the host using the terminal window. Your home directory should contain the .ssh2 subdirectory (note that the first character of the folder name is a full stop).

First make sure that your current directory is your home directory. Type the following command after the remote host computer command prompt and press the Enter key:

cd

Then enter the .ssh2 subdirectory by issuing the following command after the command prompt:

cd .ssh2

The .ssh2 directory should contain a text file called authorization. You have to edit that file and add your public key file name on a separate line in that file. If the authorization file does not yet exist, you will create it now.

Start your favorite text editor by typing authorization as a parameter after the name of the text editor. For example, if your favorite text editor is Pico, type the following after the remote host computer's command prompt:

pico authorization

When in the text editor, add a new line containing the word key, a space and the file name of the public key. For example, if the public key file name is id_dsa_1024_a.pub, add the following line to the authorization file:

key id_dsa_1024_a.pub

Now save the authorization file and exit the text editor.

When you login the next time, public-key authentication should be working. If it does not work, check that you have typed the public key file name correctly in the authorization file, and that the correct public key file is located in the .ssh2 directory on the remote host computer. Also if you connected using the Quick Connect option, check that you have "Public Key" selected as the authentication method.


SSH: Using Public-Key Authentication

Using Public-Key Authentication

When you connect to a remote host computer using public-key authentication, you will first see the Connect to Remote Host dialog. When you hit the Enter key, public-key authentication will be attempted and if that fails the client will try password authentication.

If there is a suitable public key, the Enter Passphrase for Private Key dialog should be shown. This dialog indicates that the remote host computer is willing to accept your public key to authenticate you. If you do not see the Enter Passphrase for Private Key dialog, check that you have properly uploaded your public key, as described in section Uploading Your Public Key.

Type in the passphrase associated with this key. You defined the passphrase when you create the public key - see section Key Generation - Enter Passphrase for more information.

(If you again just press the Enter key, the key will not be used and the system will ask your password instead.)

If you enter the correct passphrase, you will connect to the remote host computer.

Note: In some cases the remote host computer may be configured to use both public-key authentication and some other type of authentication for increased security. In that case you may first have to authenticate yourself by some other method, and only then to use also public-key authentication.


SSH: Tunneling Explained

Tunneling Explained

Tunneling, or port forwarding, is a way to forward otherwise insecure TCP traffic through SSH Secure Shell for Workstations. You can secure for example POP3, SMTP and HTTP connections that would otherwise be insecure - see Figure Encrypted SSH2 tunnel.

Figure : Encrypted SSH2 tunnel

The tunneling capability of SSH Secure Shell for Workstations is a feature that allows, for example, company employees to access their email, company intraweb pages and shared files securely by even when working from home or on the road.

Tunneling makes it possible to access email from any type of Internet service (whether accessed via modem, a DSL line or a cable connection, or a hotel Internet service). As long as the user has an IP connection to the Internet she can get her mail and access other resources from anywhere in the world securely.

This often is not the case with more traditional IPSec based VPN technologies because of issues with traversing networks that are implementing Network Address Translation (NAT) - this is especially the case in hotels. NAT breaks an IPSec connection unless special protocols such as NAT-Traversal are implemented on the client and gateway.

The client-server applications using the tunnel will carry out their own authentication procedures, if any, the same way they would without the encrypted tunnel.

The protocol/application might only be able to connect to a fixed port number ( e.g. IMAP 143). Otherwise any available port can be chosen for port forwarding.

Tunneling settings are configured using the Tunneling page of the Settings dialog - for more information on configuration settings, see Section Tunneling.

Local And Remote Forwarding

Forwarding FTP

Tunneling Example - Email

Tunneling Example - FTP


SSH: Local And Remote Forwarding

Local And Remote Forwarding

There are two kinds of port forwarding: local and remote forwarding. They are also called outgoing and incoming tunnels, respectively.

Local port forwarding forwards traffic coming to a local port to a specified remote port. For example, all traffic coming to port 1234 on the client could be forwarded to port 23 on the server (host).

Note: The value of localhost is resolved after the Secure Shell connection has been established - so when defining local forwarding (outgoing tunnels), localhost refers to the server (remote host computer) you have connected to.

Remote port forwarding does the opposite: it forwards traffic coming to a remote port to a specified local port. For example, all traffic coming to port 1234 on the server (host) could be forwarded to port 23 on the client (localhost).

It is important to realize that if you have three hosts, client, sshdserver, and appserver, and you forward the traffic coming to the client's port x to the appserver's port y, only the connection between the client and sshdserver will be secured. See Figure Forwarding to a third host.

Figure : Forwarding to a third host.


SSH: Forwarding FTP

Forwarding FTP

FTP forwarding is an extension to the generic port forwarding mechanism. The FTP control channel can be secured by using generic port forwarding, but since the FTP protocol requires creating separate TCP connections for the files to be transferred, all the files would be transferred unencrypted when using generic port forwarding, as these separate TCP connections would not be forwarded automatically.

To protect also the transferred files, use FTP forwarding instead. It works similarly to generic port forwarding, except that the FTP forwarding code monitors the forwarded FTP control channel and dynamically creates new port forwardings for the data channels as they are requested.

However, the only port we need to worry about is TCP Port 21 which is the port the client uses to establish a connection with the remote server for an FTP session. The TCP port locally assigned to the client is always going to be different since it is only used as a method to ensure the FTP server's traffic is sent back to the appropriate machine.

This is important in situations where multiple users may be FTPing files to the same server. If the user's machines are sitting behind a NAT device such as firewall, all of packets coming to the server will look as though they are from the same machine. The dynamic port numbers assigned to each client enables the firewall to route the return packets to the correct user.

To see exactly how this dynamically created port forwarding is done, two different cases need to be examined: the active mode and the passive mode of the FTP protocol.

FTP in Passive Mode

In passive mode, the FTP client sends the command 'PASV' to the server, which reacts by opening a listener port for the data channel and sending the IP address and port number of the listener as a reply to the client. The reply is of the form '227 Entering Passive Mode (10,1,60,99,6,12)'.

When the Secure Shell client notices the reply to the PASV command, it will create a local port forwarding to the destination mentioned in the reply. After this the client will rewrite the IP address and port in the reply to point to the listener of the newly created local port forwarding (which exists always in a local host address, 127.0.0.1) and pass the reply to the FTP client. The FTP client will open a data channel based on the reply, effectively tunneling the data through the SSH connection, to the listener the FTP server has opened. The net effect is that the data channel is secure all the way except from the Secure Shell server to the FTP server, if they are on different machines. This sequence of events happens automatically for every data channel.

Since the port forwarding is opened to a local host address, the FTP client must be run on the same machine as the Secure Shell client if passive mode is used.

FTP in Active Mode

In active mode, the FTP client creates a listener on a local port, for a data channel from the FTP server to the FTP client, and requests the channel by sending the IP address and the port number to the FTP server in a command of the following form: 'PORT 10,1,60,99,6,12'. The Secure Shell client intercepts this command and creates a remote port forwarding from the Secure Shell server's localhost address to the address and port specified in the PORT command.

After creating the port forwarding, the Secure Shell client rewrites the address and port in the PORT command to point to the newly opened remote forwarding on the Secure Shell server and sends it to the FTP server. Now the FTP server will open a data channel to the address and port in the PORT command, effectively forwarding the data through the SSH connection. The Secure Shell client passes the incoming data to the original listener created by the FTP client. The net effect is that the data channel is secure the whole way except from the Secure Shell client to the FTP client. This sequence of events happens automatically for every data channel.

Since the port forwarding is made to a local host address on the Secure Shell client machine, the FTP client must be run in the same host as the Secure Shell client if passive mode is used.

Where end-to-end encryption of FTP data channels is desired, the FTP server and Secure Shell server need to reside on the same host, and the FTP client and the Secure Shell client will likewise need to reside on the same host. If this is the case, both active or passive mode can be used.

Note: Consider using sftp2 or scp2 (see Appendices) instead of FTP forwarding to secure file transfers. It will require less configuration than FTP forwarding, since the server already has sftp-server2 as a subsystem, and sftp2 and scp2 clients are included in the distribution.


SSH: Tunneling Example - Email

Tunneling Example - Email

In this example we are going to use tunneling to enable secure access to email using Microsoft Outlook.

Part 1 - SSH Secure Shell for Workstations Configuration

  1. On the SSH Secure Shell for Workstations menu bar, click Edit -> Settings...-> Profile Settings -> Tunneling -> Outgoing.
  2. Let's first define the server connection for outgoing email. Click on the Add button. In the Name field, type for example smtp. For Listen Port, type 25. For Destination Host, type the name of your SMTP server (such as mail.domain.com). For the Destination Port, type 25. Then click OK.

    Figure : Tunneling an SMTP connection for outgoing email.
  3. Let's now define the server connection for incoming email. Click again on the Add button. In the Name field, type for example imap. For Listen Port, type 143. For Destination Host, type the name of your IMAP server (such as imap.domain.com). For Destination Port, type 143. Then click OK.

    Figure : Tunneling an IMAP connection for incoming email.
  4. Click OK to exit the Settings dialog.
  5. Click File -> Save, and then File -> Exit.

Part 2 - Reading Email Using Outlook

  1. Dial up to your ISP (Internet Service Provider) as you would normally. Once your connection is established, launch SSH Secure Shell for Workstations and press Enter. Then connect to your mailserver (or some other server inside your firewall), or to your firewall if you are coming from outside the firewall.
  2. Launch Microsoft Outlook and choose Accounts from the Tools menu.
  3. Click the Add button and choose Mail from the menu.
  4. Enter your full name for Display Name. Click Next.
  5. Enter your email address (such as username@yourdomain.com). Click Next.
  6. In the dropdown menu next to My incoming mail server is a text, choose IMAP.
  7. In the Incoming mail (POP3 or IMAP) server field, type: localhost
  8. In the Outgoing mail (SMTP) server field, type again: localhost
  9. Click Next.
  10. Enter your account name in the Account name field.
  11. Enter your password in the Password field.
  12. Click Next.
  13. Click Finish.
  14. Close the Internet accounts dialog by clicking Close.
  15. Now you are ready to download the contents of your mailboxes securely through an encrypted tunnel.


SSH: Tunneling Example - FTP

Tunneling Example - FTP

In this example we are going to use tunneling to enable secure FTP access.

Part 1 - SSH Secure Shell for Workstations Configuration

  1. On the SSH Secure Shell for Workstations menu bar, click Edit -> Settings...-> Profile Settings -> Tunneling -> Outgoing.
  2. Click on the Add button. In the Name field, type for example ftp. From the Type dropdown menu, select FTP. For Listen Port, type 21. For Destination Host, type the name of the FTP server (such as ftp.domain.com). For the Destination Port, type 21. Then click OK.

    Figure : Tunneling an FTP connection to secure file transfer operations.
  3. Click OK to exit the Settings dialog.
  4. Click File -> Save, and then File -> Exit.

Part 2 - FTP Client Configuration

  1. Start your the FTP client software of your choice.
  2. Create a new profile that has localhost (or 127.0.0.1) specified as the Address (or Server, or Host Name, depending on the FTP client). (Refer to your FTP client documentation for more specific instructions.)
  3. Enable Passive transfer mode for this profile.
  4. Save the settings for the new profile.


SSH: Command Line Options

Command Line Options

For some purposes it may be useful to operate SSH Secure Shell for Workstations from the command line (command prompt).

The command line syntax for SSH Secure Shell for Workstations () is the following:

sshclient [-r] [-p port] [-u user] [-h host] [profile.ssh2]

The meaning of the command line parameters is the following:

  • -r

    The -r option will reset all customizations made to the user interface (toolbars and menus). A confirmation dialog will be displayed.

  • -p [port_number]

    The -p option specifies the port number used for the connection. If this option is not specified, the port number defined in the default profile will be used.

  • -u [user_name]

    The -u option specifies the user name for the connection. If this option is not specified, the user name defined in the default profile will be used.

  • -h [host_name]

    The -h option specifies the host name for the connection. If this option is not specified, the host name defined in the default profile will be used.

  • [profile.ssh2]

    If a profile is specified, it must the last option on the command line. Any command line parameters will override the profile settings. If no profile is specified, the default profile (default.ssh2) will be used.

For example, the following command would immediately start a connection to a host called remotehost and connect as guest. The port number is not specified, so the connection would use the port specified in the default profile.

sshclient -h remotehost -u guest

The following command would immediately start a connection to remotehost using the settings defined in the profile file custom.ssh2.

sshclient -h remotehost custom.ssh2

If the host is not specified (using the -h option) and no profile is specified, the login dialog will open, automatically filled with the values specified on the command line.

For example, the following command would display the login dialog with the port number already defined as 222 and the user name as guest.

sshclient -u guest -p 222

Note: A pure command line version of SSH Secure Shell for Workstations is shipped with the Windows client. The command line client SSH2.EXE is a port of the UNIX version of SSH Secure Shell for Workstations, and may be useful also in the Windows command line environment, especially for when creating scripts. For a more detailed description of the SSH2.EXE syntax, see Appendix SSH.EXE.

Also several other command line utilities are shipped with the Windows and command line clients. For more information, see the appendices section (Appendices).


SSH: Terminal Window

Terminal Window

The terminal window is a secure replacement for Telnet connections. It offers a command line interface to the remote host computer. Note that the most important function of the terminal window is to allow you to operate the remote host computer. Therefore the terminal window does not capture some common keyboard shortcuts (such as Ctrl+C for copy), but passes them instead to the remote host computer, where they can be used to control remote program execution.

Apart from the text display itself, a lot of connection information is visible in title and status bars of the Terminal window.

Figure : The Terminal window.

Terminal Window Title Bar

Terminal Window Status Bar

Terminal Window Shortcut Menu


SSH: Terminal Window Title Bar

Terminal Window Title Bar

The title bar is located on the top of the window.

The leftmost item on the title bar is the window icon. Click it to display the Window menu or doubleclick it to close the window.

The next item on the title bar is the window's sequence number. This helps you to distinguish between different windows using the same connection.

Next on the title bar is displayed the remote computer's host name. For example, a second window associated with a connection to a host computer called 'remote' would display as 2:remote.

After the host name, the next item on the title bar is the name of the settings file in use. If you are not using a settings file that has been saved with a specific file name (using the Save As option on the File menu), a settings file called default is in use.

If you have changed the settings without saving them, an asterisk (*) is displayed on the title bar, after the name of the current settings file (for example: default*). For information on saving the changed settings, see Section Saving Settings.

The last text item on the title bar is the name of the client, SSH Secure Shell for Workstations.


SSH: Terminal Window Status Bar

Terminal Window Status Bar

The status bar is located at the bottom of the Terminal window. When browsing through the menu options or toolbar buttons, the status bar displays a short context sensitive help text.

When the menus or toolbars are not browsed, the left side of the status bar indicates to which remote host computer you are currently connected. If you are not connected, the status bar displays the text Not connected - Press Enter/Space to connect.

The next status bar field shows the current protocol version, encryption algorithm, and MAC algorithm separated by dashes (for example: ssh2 - 3des-cbc - hmac-md5). Note that the status bar displays some of the algorithm names in a longer form than the Connection screen of the Settings dialog.

The next field displays the number of columns and rows of the terminal window. If you change the size of the terminal window, this window size indicator will be immediately updated.

If you are connecting through a firewall, the next field of the status bar displays a firewall icon when the firewall is in use. Click the firewall field to open the Firewall page of the Settings dialog. For more information, see the section Firewall.

The next field displays the SSH Accession icon. If SSH Accession is running, the icon is displayed normally, otherwise it is grayed out. Click the SSH Accession field to open the SSH Accession page of the Settings dialog. For more information, see the section SSH Accession.

If you have a smart card reader active, you should see a small card reader icon on the next column of the status bar. When a token is inserted, a smart card appears in the card reader in the icon. When a key is acquired from the token, a key symbol appears on top of the card reader icon. Click the smart card reader field to open the PKCS #11 page of the Settings dialog. For more information, see the section PKCS 11. If the smart card reader icon does not appear, see section PKCS 11 Provider for troubleshooting information.

The next field displays the text CAP if your Caps Lock key is currently on.

The last field of the terminal window status bar displays the text NUM if your Num Lock key is currently on.

Figure : Terminal window status bar.


SSH: Terminal Window Shortcut Menu

Terminal Window Shortcut Menu

If you have not set the Paste on Right Mouse Click option (see Appearance), a shortcut menu appears when you click the terminal window with the right mouse button.

By default, the following menu options are available:

  • Copy

    Copy text into the Windows clipboard.

  • Paste

    Paste text from the Windows clipboard.

  • Paste Selection

    Copy the currently selected text into the cursor location without first copying it into the Windows clipboard.

  • Select All

    Select all of the scrollback buffer.

  • Select Screen

    Select all text currently displayed on the screen. The rest of the scrollback buffer will not be selected.

  • Select None

    Cancel the current selection.

  • Find

    Search for text from the scrollback buffer.

  • New Terminal

    Open a new terminal window.

  • New File Transfer

    Open a new File Transfer window.

  • Close Window

    Close the current window.

  • Settings

    Open the Settings dialog.

The available options can be configured using the Customize dialog (see section Customize).


SSH: File Transfer

File Transfer

The default file transfer settings can be configured using the File Transfer page of the Settings dialog. The new settings will affect subsequently started File Transfer windows.

Figure : The global File Transfer page of the Settings dialog.

  • Show Root Directory

    Select the Show Root Directory check box to show the root directory in the File Transfer window by default.

  • Show Hidden Files

    Select the Show Hidden Files check box to show hidden files in the File Transfer window by default.

  • Check and Confirm Overwrite

    Select the Check and Confirm Overwrite check box if you want the File Transfer utility to ask for confirmation when you try to transfer a file that already exists in the target system.

Display Items by Using

With the Display Items by Using setting you can select the default view for the File Transfer window by choosing one of the four possible views.

  • Large Icons

    Select the Large Icons option to display the File Transfer file view as a Large Icons view. Each file and folder has a large icon associated with it, making for a clear and uncluttered display.

  • Small Icons

    Select the Small Icons option to display the File Transfer file view as a Small Icons view. Each file and folder has a small icon associated with it. This makes it possible to display several times more items than the Large Icons view.

  • List

    Select the List option to display the File Transfer file view as a List view. Each file and folder has a small icon associated with it, and the files and folders are displayed in one single column underneath each other.

  • Details

    Select the Details option to display the File Transfer folder view as a Details view. The files and folders are displayed with a small icon, their file name, file size, file type, their last modification date and attributes visible.

    By clicking on the Name, Size, Type, Modified and Attributes sort bars located on top of the File view, you can sort the files and folders based on their file name, file size, file type and the time they were last modified. Clicking the same sort option again reverses the sorting order.

    Note that the sort function is not case sensitive: upper case text is sorted together with lower case text.

    The file type associations are derived from the your local computer. If you have defined a new file type description for files with a certain file name extension, also the files in the remote computer are shown to be of that file type. This makes it easy to recognize particular file types also on the host computer.

Missing File Association

SSH Secure Shell for Workstations uses file type associations in the same way as Windows Explorer does. When you double-click a file in the File Transfer window, it will be opened using the application with which its file type has been associated.

All file types are not associated with any application. With this field you can define what application will be used to open a file that has no file type association. The default application is Notepad, which is a reasonable choice for files containing text.

To change the default association for unknown file types, click the button next to the text field. A Select Application dialog will be displayed, allowing you to select the desired application.

Formatting string for file time

In the formatting string field you can type a string that presents how the time and date stamps of the files are displayed in the File Transfer window. The default value is %c, which means that the date and time will be presented in the format defined in the Windows country settings (locale).

To change the format of the time and date stamps, replace the default value with a string consisting of some of the following character combinations.

  • %a

    Abbreviated weekday name

  • %A

    Full weekday name

  • %b

    Abbreviated month name

  • %B

    Full month name

  • %c

    Date and time representation appropriate for locale

  • %d

    Day of month as decimal number (01 - 31)

  • %H

    Hour in 24-hour format (00 - 23)

  • %I

    Hour in 12-hour format (01 - 12)

  • %j

    Day of year as decimal number (001 - 366)

  • %m

    Month as decimal number (01 - 12)

  • %M

    Minute as decimal number (00 - 59)

  • %p

    Current locale's A.M. / P.M. indicator for 12-hour clock

  • %S

    Second as decimal number (00 - 59)

  • %U

    Week of year as decimal number, with Sunday as first day of week (00 - 53)

  • %w

    Weekday as decimal number (0 - 6; Sunday is 0)

  • %W

    Week of year as decimal number, with Monday as first day of week (00 - 53)

  • %x

    Date representation for current locale

  • %X

    Time representation for current locale

  • %y

    Year without century, as decimal number (00 - 99)

  • %Y

    Year with century, as decimal number

  • %z, %Z

    Time-zone name or abbreviation; no characters if time zone is unknown

  • %%

    Percent sign

View Layout

You can select how the File Transfer window positions the local and remote view panes. The following options are available:

  • Remote view on top, local view on bottom

  • Remote view on right, local view on left

  • Remote view on left, local view on right

  • Wide folder view on file bar

    Select this checkbox to show fewer buttons on the file bar, leaving more room for the favorite folders lists.


SSH: File Transfer Window Layout

File Transfer Window Layout

The File Transfer window works a lot like Windows Explorer: it displays the contents of any open directories represented as icons and optionally gives basic information (such as size and type) on each file.

The File Transfer windows consists of three panes: Local View (displaying the files on your local computer), Remote View (displaying files on the server) and Transfer View (displaying files transferred between the local and remote computers).

By default, Local View is displayed on the left-hand side of the window, Remote View on right-hand side of the window, and Transfer View below the Local and Remote Views. You can change the default layout on the File Transfer page on the Global Settings section of the Settings dialog - for more information, see section File Transfer.

File Transfer Title Bar

File Transfer Menu Bar

File Transfer Toolbars

File Transfer Status Bar

Contents of the File Transfer Window

Local View

Local Folder View

Remote View

Remote Folder View

Transfer View


SSH: File Transfer Title Bar

File Transfer Title Bar

The title bar is located on the top of the File Transfer window.

The leftmost item on the title bar is the window icon. Click it to display the Window menu or doubleclick to close the window. If a file transfer is active when you attempt to close the window, a confirmation dialog asks if you actually want to cancel the transfer operation.

The next item on the title bar is the window's sequence number. This helps you to distinguish between different windows using the same connection.

Next on the title bar is displayed the remote computer's host name. For example, a second window associated with a connection to a host computer called 'remote' would display as 2:remote.

After the host name, the next item on the title bar is the name of the settings file in use. If you are not using a settings file that has been saved with a specific file name (using the Profiles option), a settings file called default is in use.

If you have changed the settings without saving them, an asterisk (*) is displayed on the title bar, after the name of the current settings file (for example: default*). For information on saving the changed settings, see Section Saving Settings.

The last text item on the title bar is the name of the client, SSH Secure Shell for Workstations File Transfer.


SSH: File Transfer Menu Bar

File Transfer Menu Bar

Under the File Transfer window's title bar lies the menu bar. Most of the menu options are the same as in the terminal window, but the Operation menu is unique to the File Transfer window, and some file transfer specific options have been added to the View menu, and some terminal windows specific options have been removed from the Edit menu. The File Transfer window's menu options are detailed in Chapter Menu Reference.

The position and contents of the menu bar can be freely customized - see sections Moving Menus and Customize.


SSH: File Transfer Toolbars

File Transfer Toolbars

Three individual toolbars are available in the File Transfer window, all of them initially located below the menu bar:

  • Toolbar

    The basic toolbar that is displayed also in the terminal window, augmented for some file transfer specific toolbar buttons. For more information, see Chapter Toolbar Reference.

  • Profile Bar

    A separate toolbar for managing the server profiles and the Quick Connect option. For more information, see section Profile Bar.

  • File Bar

    A separate toolbar for the most commonly used file management tasks. For more information, see section File Bar.

The layout and contents of the tool bar and the profile bar can be freely customized - see sections Configuring Toolbars and Customize. The file bar is a dynamically created toolbar, and therefore it cannot be customized.


SSH: File Transfer Status Bar

File Transfer Status Bar

The status bar is located at the bottom of the File Transfer window. When browsing through the menu options or toolbar buttons, the status bar displays a short context sensitive help text on the currently active user interface element (such as toolbar button or menu item).

When the menus or toolbars are not browsed, the left side of the status bar displays the current remote host computer (server) and the current directory on the remote host.

Figure : The File Transfer status bar displaying the size of a selected file.

The next status bar field shows the current protocol version, encryption algorithm, and MAC algorithm separated by dashes (for example: ssh2 - 3des-cbc - hmac-md5). Note that the status bar displays some of the algorithm names in a longer form than the Connection screen of the Settings dialog.

The next field of the File Transfer status bar displays the number of files and subfolders in the current folder, as well as the total size of the files. If you select file(s) in the folder view, the field changes to display the number and total file size of the current selection. This is especially useful when estimating the amount of total data to be transferred.

If you are connecting through a firewall, the next field of the status bar displays a firewall icon when the firewall is in use. Click the firewall field to open the Firewall page of the Settings dialog. For more information, see the section Firewall.

The next field displays the SSH Accession icon. If SSH Accession is running, the icon is displayed normally, otherwise it is grayed out. Click the SSH Accession field to open the SSH Accession page of the Settings dialog. For more information, see the section SSH Accession.

If you have a smart card reader active, you should see a small card reader icon in the last field of the status bar. When a token is inserted, a smart card appears in the card reader in the icon. When a key is acquired from the token, a key symbol appears on top of the card reader icon. Click the smart card reader field to open the PKCS 11 page of the Settings dialog. For more information, see section PKCS 11. If the smart card reader icon does not appear, see section PKCS 11 Provider for troubleshooting information.


SSH: Contents of the File Transfer Window

Contents of the File Transfer Window

Local and Remote Views can display their contents in four different ways, as defined in the global File Transfer page of the Settings dialog - see File Transfer. The available views are the following:

  • Large Icons

    Each file and folder has a large icon associated with it, making for a clear and uncluttered display. The only information displayed about each file is the icon and the file name.

  • Small Icons

    Each file and folder has a small icon associated with it. This makes it possible to display several times more items than the Large Icons view. No more information than the icon and the name of each file is displayed.

  • List

    Each file and folder has a small icon associated with it, and the files and folders are displayed in one single column underneath each other. Only the icons and the file names are displayed.

  • Details

    The files and folders are displayed with a small icon, their file name, file size, file type, their last modification date. The files in the Remote View have also their attributes visible. This is the default view.

    By clicking on the Name, Size, Type, Modified or Attributes sort bars located on top of the directory listing, you can sort the files and folders based on their file name, file size, file type, the time they were last modified, and file attributes. Clicking the same sort option again reverses the sorting order.

    Note: The sort function is not case sensitive - upper case text is sorted together with lower case text.

    The following information is displayed in each column:

    • Name

      The file name of each file. Note that the local and remote file systems limit what file names are acceptable on which computer. (For example, UNIX file names are case sensitive while Windows file names are not. Thus a UNIX directory may contain both File.txt and file.txt, but a Windows directory may not.)

    • Size

      The size of each file, expressed in bytes.

    • Type

      The type of each file is based on the file extension. The descpription given in the Type field is based on the file types recognized by Windows Explorer. If you have defined a new file type description for files with a certain file name extension, also the files in the remote computer are shown to be of that file type. This makes it easy to recognize particular file types also on the remote computer.

    • Modified

      The last time when each particular file has been changed.

    • Attributes

      The attributes of each file.

      On Windows systems, the file may have the following attributes:

      • R

        The file can be read.

      • W

        The file can be written to.

      • X

        The file can be executed (run).

      On UNIX systems, the attributes signify the file permissions given to each file:

      • d

        The entry is a directory.

      • r

        The file can be read.

      • w

        The file can be written to.

      • x

        The file can be executed.

      After the d attribute, the r w and x attributes may be repeated up to three times. If the file does not have a particular attribute, the attribute is replaced with a hyphen (-).

      The first three attributes specify the permissions given to the owner of the file, the second triplet specifies the permissions for the user group associated with the file, and the last triplet specifies the permissions given to all other users. For more information on file permissions, please consult the server's documentation.


SSH: Local View

Local View

The contents of current directory on your local computer are visible on the Local View of the File Transfer window. By default, Local View displays the contents of your local home directory - usually your Windows desktop. You can change the home directory on the Local Favorites page of the Settings dialog - see section Local Favorites.


SSH: Local Folder View

Local Folder View

Local View can optionally contain a separate window pane for the local directory structure. By default, the Local Folder View pane is hidden. You can show and hide it again by clicking the Show/Hide Local Folders button on the File bar.

The directory structure is presented as a tree-like folder structure, familiar from Windows Explorer. Folders that have a plus sign (+) next to them can be opened by clicking on the plus sign. Open folders have a minus sign (-) next to them and can be closed by clicking on the minus sign.

You can click on a folder to view its contents on the right hand side pane of Local View. The displayed folder shows up highlighted in the folder view.

Just opening or closing a folder in the folder view does not affect the file view on the right hand side, unless you close the displayed folder's parent folder. In that case the closed folder becomes the new displayed folder.


SSH: Remote View

Remote View

The contents of current directory on the remote host computer (server) are visible on the Remote View of the File Transfer window. By default, Remote View displays the contents of your home directory on the remote host computer. You can change the default directory on the Remote Favorites page of the Settings dialog - see section Remote Favorites.


SSH: Remote Folder View

Remote Folder View

Remote View can optionally contain a separate window pane for the remote directory structure. By default, the Remote Folder View pane is hidden. You can show and hide it again by clicking the Show/Hide Remote Folders button on the File bar.

The directory structure is presented as a tree-like folder structure, familiar from Windows Explorer. Folders that have a plus sign (+) next to them can be opened by clicking on the plus sign. Open folders have a minus sign (-) next to them and can be closed by clicking on the minus sign.

You can click on a folder to view its contents on the right hand side pane of Remote View. The displayed folder shows up highlighted in the folder view.

Just opening or closing a folder in the folder view does not affect the file view on the right hand side, unless you close the displayed folder's parent folder. In that case the closed folder becomes the new displayed folder.


SSH: Transfer View

Transfer View

Select the Transfer View option to toggle Transfer View on and off. When Transfer View is visible, a checkmark appears next to the Transfer View option.


SSH: Navigating in the File Transfer Window

Navigating in the File Transfer Window

You can change the current directory in the Local or the Remote View by any of the following methods:

  • Double-click the folders displayed in the current view to open them. (Use the Up button on the file bar to return to the parent directory.) In Local View, you can access other drives by clicking the Up button until you are on the Windows desktop directory and then double-clicking the My Computer icon.
  • Select other drives and directories from the favorites drop-down list box displayed on the file bar. You can modify the contents of the Local Favorites list on the Local Favorites page of the Settings dialog (see section Local Favorites) and the contents of the Remote Favorites list on the Remote Favorites page of the Settings dialog (see section Remote Favorites).
  • Type in the path to the desired directory (for example C:\Program Files or ./.ssh2) in the favorites drop-down list and press the Enter key to move to that directory.

Drag And Drop Operations


SSH: Drag And Drop Operations

Drag And Drop Operations

You can use the mouse to drag and drop files between the local and remote computers. This works in a similar fashion to the standard Windows drag and drop operations. If you hold down the Shift or Control keys when selecting files with the mouse, you can select multiple files and copy them all at the same time. If you hold down the Shift key, all the files and folders between the first and last selection will be selected. If you hold down the Control key, you can select individual files and folders one by one.

If you doubleclick a file, the file will be opened by using a custom application. (Notepad will be used by default.) For more information on specifying the custom application, see section Missing File Association.


SSH: File Transfer Shortcut Menus

File Transfer Shortcut Menus

Click the File Transfer window with the right mouse button to display a shortcut menu. The available menu options vary depend on whether you click on the Local or the Remote View and whether you have selected a file or not.

Local View

Remote View

Transfer Page

Queue Page


SSH: Local View

Local View

The following shortcut menu options are available in Local View when you have not selected a file or a folder:

  • Up

    Move the File Transfer window focus into the parent directory of the current directory.

  • Home

    Move the File Transfer window focus into your home directory.

  • Refresh

    Redraw the File Transfer window.

  • Select All

    Select all files and folders in the current folder. The shortcut key for Select All is Ctrl+A.

  • View

    Opens a submenu from which you can select the view type (large icons, small icons, list or details view).

  • New Folder

    Creates a new folder and prompts you to enter a name for it. If you enter nothing, the folder will not be created.

The following shortcut menu options are available in Local View when you have selected a file or a folder:

  • Open

    Open the currently selected file or folder. The shortcut key for Open is Ctrl+O.

  • Upload

    Transfer a file from the local computer into the remote host computer.

  • Delete

    Remove the currently selected file.

  • Rename

    Change the name of the currently selected file. The shortcut key for Rename is F2.

  • Properties

    Display the attributes of the currently selected file, including the file permissions (on UNIX systems).


SSH: Remote View

Remote View

The following shortcut menu options are available in Remote View when you have not selected a file or a folder:

  • Up

    Move the File Transfer window focus into the parent directory of the current directory.

  • Home

    Move the File Transfer window focus into your home directory. The shortcut key for Home is Ctrl+H.

  • Go to Folder

    Opens the Go to Remote Folder dialog where you can type in a path of the folder which you want to open.

  • Refresh

    Redraw the File Transfer window. The shortcut key for Refresh is F5.

  • Select All

    Select all files and folders in the current folder. The shortcut key for Select All is Ctrl+A.

  • Paste

    Paste a file from the File Transfer 'clipboard'. The shortcut key for Paste is Ctrl+V.

  • Upload Dialog

    Opens the Upload - Select Files dialog that allows you to select a file and transfer it from the local computer into the remote host computer. The shortcut key for Upload Dialog is Ctrl+U.

  • View

    Opens a submenu from which you can select the view type (large icons, small icons, list or details view).

  • Arrange Icons

    Opens a submenu from which you can select how the icons are arranged (by name, by type, by size or by date).

  • New Folder

    Creates a new folder and prompts you to enter a name for it. If you enter nothing, no folder will be created. The shortcut key for New Folder is Ctrl+N.

The following shortcut menu options are available in Remote View when you have selected a file or a folder:

  • Open

    Open the currently selected file or folder. The shortcut key for Open is Ctrl+O.

  • Download

    Transfer the currently selected file into the local computer.

  • Download Dialog

    Open the Download - Select Folder dialog that allows you to select a folder on the local computer and transfer the currently selected file into it. The shortcut key for Download Dialog is Ctrl+D.

  • Copy

    Copy the currently selected file into the File Transfer 'clipboard'. The shortcut key for Copy is Ctrl+C.

  • Delete

    Remove the currently selected file.

  • Rename

    Change the name of the currently selected file. The shortcut key for Rename is F2.

  • Properties

    Display the attributes of the currently selected file, including the file permissions (on UNIX systems).

The available shortcut menu options can be configured using the Customize dialog (see section Customize).


SSH: Transfer Page

Transfer Page

The following shortcut menu options are available on the Transfer Page of the Transfer View:

  • Cancel

    To stop transferring the files, select the files that you do not want to be transferred, right-click the Transfer page and then select the Cancel option from the shortcut menu.

  • Remove

    To delete files from the queue, select the files that you do not want to keep in the Transfer page, right-click the Transfer page and then select the Remove option from the shortcut menu.

  • Retry

    To transfer again files that were not succesfully transferred previously, select the files, right-click the Transfer page and then select the Retry option from the shortcut menu.

  • Delete Local File

    To remove files from the local directory, select the files that you do not want to keep in the local directory, right-click the Transfer page and then select the Delete Local File option from the shortcut menu.

  • Delete Remote File

    To remove files from the remote directory, select the files that you do not want to keep in the remote directory, right-click the Transfer page and then select the Delete Remote File option from the shortcut menu.

  • Clear Finished

    To remove completely transferred and cancelled files from the Transfer page, right-click the Transfer page and then select the Clear Finished option from the shortcut menu.

  • Export List

    To export the list into a text file, right-click the Transfer page and then select the Export List option from the shortcut menu. The Save As dialog appears, allowing you to specify the location and name of the text file. The text file will contain the path and file names of the transferred files in both the remote and local system, and the file size, separated by commas. This option can be used to maintain a log of your file transfers.


SSH: Queue Page

Queue Page

The following shortcut menu options are available on the Queue Page of the Transfer View:

  • Transfer

    To transfer single files, select them, right-click the Queue page and choose Transfer from the shortcut menu.

  • Transfer All

    To transfer all the queued files, right-click the Queue page and choose Transfer All from the shortcut menu.

  • Add

    To add more files to the transfer queue, right-click on the Queue page and select the Add option from the shortcut menu. The Edit Transfer Queue dialog appears. Then click the New button above the list area to type in the path to a new file to be transferred, or click the ellipsis button (...) to open a file selector dialog.

  • Edit

    To edit the target locations of the queued files, select a file to edit, right-click the Queue page and choose Edit from the shortcut menu. The Edit Transfer Queue dialog appears, allowing you to type in a new destination directory for the file. You can also click the ellipsis button (...) to open a file selector dialog that you can use to select the destination directory.

    You can use the Edit option for several files at the same time, but the direction of the transfer (upload or download) must be the same for all of the files.

  • Remove

    To delete files from the queue, select the unwanted files, right-click the Queue page and choose Remove from the shortcut menu.


SSH: Differences From Windows Explorer

Differences From Windows Explorer

The file transfer window operates very much the same way as the familiar Windows Explorer. However, due to the different nature of handling files locally in your own computer (as per Windows Explorer) and handling them over a secured remote connection in the host computer (as per SSH Secure Shell for Workstations file transfer), there are some differences in operation.

  • Deleting folders

    It is not possible to delete a remote folder that is not empty. Delete the files and subfolders residing in the folder first.

  • Multiple paste operations

    During copy and paste operations, the file names are not changed when the files are pasted. Therefore it is not possible to paste files several times into one location, creating 'copies of' the pasted files as in Windows Explorer.

Note: The maximum size of transferred files is limited only by the file system. (On many systems the maximum file size is 2 gigabytes.)


SSH: Downloading Files

Downloading Files

By using the File Transfer window it is easy to download files from the remote host computer into your local computer. There are several different ways to download a file - or several files at the same time.

To select multiple files, hold down the Shift or Control keys when selecting files with the mouse. If you hold down the Shift key, all the files and folders between the first and last selection will be selected. If you hold down the Control key, you can select individual files and folders one by one.

  • Drag and drop

    Dragging and dropping is probably the easiest way to download files. Simply click on the file(s) you want to download, hold down the mouse button and move the file to a location where you want it - for example on the Windows desktop - and release the button.

  • Download button

    You can click the Download button on the toolbar to download the selected file(s).

  • Shortcut menu

    When you right-click on a file in Remote View, a shortcut menu appears. Select the Download or Download Dialog option from the menu.

If you have selected the Download Dialog option, a Download - Select Folder dialog will appear, allowing you to select where the downloaded file(s) should be saved. After you have selected the appropriate folder (or other location), Transfer View shows the current downloading status.


SSH: Download - Select Folder Dialog

Download - Select Folder Dialog

When you start a download operation, a Download - Select Folder dialog is displayed. This is a standard Windows file selection dialog, where you can select the location where you want the selected file(s) to be downloaded.

You can use the Look in selection box to select a folder, a local or network drive or your desktop.

Note: Transferring files to or from a network drive is not supported on Windows 95.

Another way to select the desired folder is to type its directory path in the Folder field. Note that you can use this field only to specify the folder name. Do not write in a file name after the selected directory path. The file name will be the same the file has in the remote host computer.

Figure : Creating a new directory for downloaded files.

The most common operations can be achieved by clicking on the four buttons on the right hand side of the Look in selection box. You can click on the Up One Level button to move to the parent folder of the current folder. If you want to create a new folder, click on the Create New Folder button. You can also select between the Small Icons and Details views by clicking on the appropriate buttons.


SSH: Uploading Files

Uploading Files

The File Transfer window can be used to upload files from your local computer to the remote host computer. There are several different ways to upload a file.

It is also possible to upload several files at the same time. To select multiple files, hold down the Shift or Control keys when selecting files with the mouse. If you hold down the Shift key, all the files and folders between the first and last selection will be selected. If you hold down the Control key, you can select individual files and folders one by one.

  • Drag and drop

    Dragging and dropping is probably the easiest way to upload files. Simply click on the local file(s) you want to upload (for example on the desktop or the Windows Explorer), hold down the mouse button, move the file(s) into the File Transfer window's file view and release the button.

  • Upload button

    You can click the Upload button on the File Transfer window's toolbar to upload the selected file(s).

  • Shortcut menu

    When you right-click on a file in Local View or on an empty space in the Remote View, a shortcut menu appears. Select the Upload or Upload Dialog option from the menu.

If you have selected the Upload Dialog option, a Upload - Select Files dialog will appear, allowing you to select the file(s) to upload. After you have selected the files, Transfer View shows the current downloading status.

Upload - Select Files Dialog


SSH: Upload - Select Files Dialog

Upload - Select Files Dialog

When you start an upload operation, a Upload - Select Files dialog is displayed. This is a standard Window file selection dialog, where you can select which file(s) you want to upload.

You can use the Look in selection box to select the location of the file(s): a folder, a local or network drive or your desktop.

Figure : Select the file you want to upload.

Note that the grayed out File name field displayed at the bottom of the dialog displays the selected file name. The field is read-only - you cannot type in the desired file name. Select the files by clicking them with the mouse instead.

The most common operations can be achieved by clicking on the four buttons on the right hand side of the Look in selection box. You can click on the Up One Level button to move to the parent folder of the current folder. If you want to create a new folder, click on the Create New Folder button. You can also select between the Small Icons and Details views by clicking on the appropriate buttons.


SSH: File Properties

File Properties

Selecting a file in Local View or Remote View and then selecting the Properties option (from the shortcut menu or the Operation menu) brings up the File Properties dialog which allows you to view and change some of the file's properties.

Figure : Properties page for a file.

  • File Name

    At the top of the page the file name and icon are shown. If multiple files are selected, a count of the number of files and folders is displayed.

  • Type

    The type of the selected file(s).

  • Location

    The directory where the selected file(s) are located on the remote host.

  • Size

    The size of the selected file. If multiple files are selected the total size of all the files is diplayed.

  • Modified Date

    The last modified date for the selected file.

  • Permissions

    The Permissions check boxes are displayed for files residing in a UNIX system. The 9 check boxes can be used to set the permissions of a file or a group of files. If multiple files are selected with conflicting permissions then some of the check boxes will appear grayed out. Clicking on a greyed out check box will clear the check mark. If there are any check boxes are grayed out when the OK button is pressed it will have the effect of leaving that value unchanged on the remote file.

    Permissions can also be set by entering standard octal UNIX permissions (as with the UNIX chmod command) in the Permission mode field. Values entered here override and update the check box values.

    For more information on file permissions, see section Contents of the File Transfer Window.

  • Attributes

    The Attributes check boxes are displayed for files residing in a Windows system. The 5 check boxes (Read-only, Hidden, Archive, System and Compressed) can be used to set the attributes of a local file or a local group of files. If multiple files are selected with conflicting permissions, then some of the check boxes will appear grayed out. Clicking on a greyed out check box will clear the check mark. If there are any check boxes are grayed out when the OK button is pressed, it will have the effect of leaving that value unchanged on the remote file.

    Note: Due to the limitations of the Windows architecture, it is not possible to set the Windows file attributes for remote files residing on a Windows server.

    For more information on file attributes, see section Contents of the File Transfer Window.


SSH: Toolbar Reference

Toolbar Reference

The most commonly used functions of SSH Secure Shell for Workstations terminal and file transfer windows can be accessed using the toolbar. By default the basic Toolbar is located on top of the SSH Secure Shell for Workstations window, right under the menubar.

Figure : The basic Toolbar contains buttons for the most frequently used functions.

Initially the Profiles bar is located under the basic toolbar, containing the Quick Connect and Profiles options.

Figure : The Profiles bar contains the Quick Connect and Profiles buttons.

In the File Transfer window, a third toolbar is available. The default position of the File bar is below the Profiles toolbar.

Figure : The File bar is specific to the File Transfer window.

Configuring Toolbars

Save Settings

Print

Print Preview

Connect

Disconnect

Copy

Paste

Paste Selection

Find

New Terminal Window

New File Transfer Window

Settings

Contents

Get Help On

File Transfer Specific Toolbar Buttons

Profiles Bar

File Bar


SSH: Configuring Toolbars

Configuring Toolbars

SSH Secure Shell for Workstations has a dynamic user interface that is very easy to modify to match to your tastes. You can select the position of the toolbars, and even move individual buttons from one place to another.

Note: The file bar displayed in the File Transfer window is dynamically created, and therefore it cannot be customized.

Moving Toolbars

Moving Toolbar Buttons

Permanent Toolbar Changes


SSH: Moving Toolbars

Moving Toolbars

You can use the mouse to grab the toolbars by their handles (located on the left-hand end of each toolbar) and move them around the SSH Secure Shell for Workstations window.

You can have the toolbars floating freely in the window, or anchor them in the top, bottom or even either side of the window. Experiment to find the toolbar positions that you like best.


SSH: Moving Toolbar Buttons

Moving Toolbar Buttons

You can also move individual toolbar buttons around and arrange them so that they best serve your needs.

To move a toolbar button, keep the Alt key on the keyboard pressed down and grab a button with your mouse. You will see a new mouse pointer appear. Click the button with your left mouse button, keep the mouse button pressed down and move the button around. When you release the mouse button, the toolbar button will be move to a new position.

Note: If you move a button to somewhere else than a toolbar (for example, in the terminal window text area), it is removed from the window. But don't worry - the changes become permanent only if you use the Save Settings option (see section Save Settings).


SSH: Permanent Toolbar Changes

Permanent Toolbar Changes

If you want to make the new toolbar positions permanent, use the Save Settings option (from the toolbar or the File menu) to save your settings.

If you change your mind and want to return the toolbars to their original positions, select the Reset Toolbars option from the View menu. A confirmation dialog will open, asking if you really want to discard the changes you have made. If you select Yes, the toolbars will return to their original configuration. If have modified your menus, this option will reset them as well.


SSH: Save Settings

Save Settings

Select the Save Settings option (from the File menu or the toolbar) to save any changes you have made to your current settings. The default settings file where the configuration will be saved is default.ssh2.

If you want to save your current settings in a new settings file, select the Add Profile option under the Profiles option (see Section Profiles).


SSH: Print

Print

Select the Print option to output the contents of the current scrollback buffer to your printer. The standard Windows Print dialog will appear, allowing you to select the printer settings.

Figure : The Print dialog allows you to specify the printer settings.

The print range can also be selected from this dialog. Selecting All will print the entire contents of the terminal scrollback buffer. If the whole scrollback buffer will fill more than one page when printed, a range of pages to print can be selected. If any text is selected when you use the Print option, the default print range will be Selection, which will only print the currently selected text.

You can use the Print Preview option (see section Print Preview) to help you to determine which pages to print and how the printout will look like.

Note: If you use a network printer, the area selected for printing will be sent unencrypted over the network to the printer. This is a security risk you should consider when printing confidential information.

The Print option is available only in the terminal window.


SSH: Print Preview

Print Preview

Select the Print Preview option to display the entire contents of the terminal scrollback buffer, split into pages in the same way as the scrollback buffer will appear when printed.

Figure : The Print Preview option show the scrollback buffer as it would appear when printed.

The following buttons can be used to preview the print result:

  • Print

    The Print button opens the Print dialog, allowing you to specify the printer settings and print the result.

  • Next Page

    Click the Next Page button to preview the next page of output. The keyboard shortcut for Next Page is the Page Down key.

  • Prev Page

    Click the Prev Page button to preview the previous page of output. The keyboard shortcut for Prev Page is the Page Up key.

  • One Page / Two Pages Toggle

    Click the One Page / Two Pages Toggle button to display two pages of output side by side. When in two page print preview mode, the Two page button is replaced by One Page button, which allows you to return to the one page print preview mode. This button cannot be used when you have zoomed the page.

  • Zoom In

    Click the Zoom In button to see a closeup of the currently displayed print preview page. You can use this button to zoom up to the natural size of the printout. You can zoom in also by clicking the left mouse button on the preview view.

  • Zoom Out

    Click the Zoom Out button to return from a zoomed in view of the print preview page. You can zoom out until the whole page is displayed.

  • Close

    Click the Close button to close the Print Preview dialog. The dialog can be closed also by pressing the Esc key.

The Print Preview option is available only in the terminal window.


SSH: Connect

Connect

Select the Connect option to connect to a remote host computer. A Connect to Remote Host dialog will open.

Figure : The Connect to Remote Host dialog.

For more information on this dialog, see section Connect to Remote Host Dialog.


SSH: Disconnect

Disconnect

Select the Disconnect option to quit the current connection. A Confirm Disconnect dialog is displayed, allowing you to confirm if you really want to disconnect. Select Cancel to keep the connection open, or Yes to end the connection. If you do not want to see the Disconnect confirmation dialog again, select the Remember my answer check box.

Figure : The Confirm Disconnect dialog gives you the last change option of changing your mind.

Note that one connection can have several windows open (such as a terminal window and a file transfer window). Disconnecting affects all windows associated with a single connection.

However, if you have started other, separate clients, they are not affected by this disconnect operation. Disconnecting quits one connection and all of its associated windows, but no other, separate connections.


SSH: Copy

Copy

Select the Copy option to create a temporary copy of the selected text or files.

If you are copying text (in the terminal window), the text is placed on the Windows clipboard and can be pasted in the terminal window or any Windows text window.

If you are copying files (in the File Transfer window), a Download dialog is displayed, but the selected files are not yet copied to any specific location. This resembles using the Windows clipboard: You can copy files to a temporary storage and paste them later into another location.

If you do a new copy operation when the previously copied text or files have not yet been copied anywhere, the previous selection is lost, as the new selection replaces the old one.

Note that the copy option is not available until you have selected some text (in the terminal window) or one or several files or folders (in the File Transfer window).

You can do a copy operation also by using the keyboard shortcut Ctrl+Insert. This shortcut is available in both Terminal and File Transfer windows.


SSH: Paste

Paste

Select the Paste option to add previously copied text or files or folders into a new location.

If you are pasting text (in the terminal window), the text that was copied earlier into the clipboard will be inserted in the cursor location. You can paste text that was copied from the terminal window or any other Windows text window.

If you are pasting files (in the File Transfer window), an Upload dialog is displayed when the files are pasted to the new location. This resembles using the Windows clipboard: You can copy files to a temporary storage and paste them later into another location. The file names of the pasted files and folders do not change during the operation. Therefore it is not possible to paste files or folders several times into one location.

Note that the paste operation is not available until you have previously copied something in the clipboard.

You can do a paste operation also by using the keyboard shortcut Shift+Insert on the keyboard. This shortcut is available in both Terminal and File Transfer windows.


SSH: Paste Selection

Paste Selection

Select the Paste Selection option to paste text into the terminal window without first copying anything to the clipboard. The Paste Selection operation copies whatever is currently selected in the terminal window to the present cursor position. If no text is selected, Paste Selection pastes the single character in the current cursor position.

This function is almost like having two different clipboards available at the same time. Paste Selection is especially useful for quick copying of text from the output of previous commands.

The Paste Selection toolbar button is available only in the terminal window.


SSH: Find

Find

Select the Find option to locate text (or any other characters) from the scrollback buffer. Regular expressions can be used to select characters matching a specific pattern. The Find option is only available in the Terminal window.

Figure : The Find dialog helps you to locate text from the scrollback buffer.

  • Find what

    Type in the characters that you want to search for in the Find what field. If you want to use regular expressions to define the search term, select the Regular expression option, or select a ready defined regular expression by clicking the ellipsis button (...) on the right hand side of the Find what field.

  • ...

    Click the ellipsis button (...) to select from a ready list regular expressions. Using this option will turn on the Regular expression option.

    The following regular expression types can be selected:

    • Any Character

    • Character in Range

    • Character not in Range

    • Beginning of Line

    • End of Line

    • Or

    • 0 or More Matches

    • 1 or More Matches

    • Optional Match

    • Match exactly n times

    • Match n or more times

    • Match at most n times

    • Match no less than n times and no more than m times

  • Match whole word only

    Select the Match whole word only option to limit the search to match only whole words (i.e. so that "wave" would not match "waves").

  • Match case

    Select the Match case option to specify that the search result should be case sensitive (i.e. so that "Wave" would not match "wave" or "waVe").

  • Regular expression

    Select the Regular expression option to specify the search term using regular expressions. This option is automatically selected if you click the ellipsis button (...) on the right hand side of the Find what field.

  • Direction

    Use the Direction option to specify whether the search should start upwards on downwards from the present position in the scrollback buffer.

    The direction of the search is relative to the last match made in the current search. If there have been no previous matches, Up will search from the bottom of the buffer upwards, and Down will search downwards from the very beginning of the buffer.

    • Up

      The Up option specifies that the search should start backwards from the present position.

    • Down

      The Down option specifies that the search should start forward from the present position.

  • Find Next

    Click the Find Next button to find the next match for the search term. Note that the direction where the search will continue is defined by the Direction option.

  • Cancel

    Click the Cancel button to close the Find dialog.


SSH: New Terminal Window

New Terminal Window

Select the New Terminal Window option to open a new SSH Secure Shell for Workstations terminal window. The new window is immediately connected to the same remote host computer as the current window, saving you the trouble of typing your password again.

Multiple windows to a single connection allow you to for example debug your code in one window, execute it in another, display reference information in a third one and read your mail in a fourth window.

The sequence number of each window is displayed on the window's title bar, in front of the remote host computer's name. For example, a second window associated with a connection to a host computer called remote would display as 2:remote.

Note: To close any extra windows when you no longer need them, click on the X-shaped close button located on the window's title bar on the upper right hand corner of the window. Do not click on the Disconnect button or select the Disconnect option from the File menu, as this would close the connection in all windows associated with this particular connection.


SSH: New File Transfer Window

New File Transfer Window

Select the New File Transfer Window option to open a File Transfer window. To make file handling as easy as possible, you can open an unlimited number of File Transfer windows.

The sequence number of each window is displayed on the window's title bar, in front of the remote host computer's name. For example, a third window associated with a connection to a host computer called remote would display as 3:remote.

Note: To close any extra windows when you no longer need them, click on the X-shaped close button located on the window's title bar on the upper right hand corner of the window. Do not click on the Disconnect button or select the Disconnect option from the File menu, as this would close the connection in all windows associated with this particular connection.


SSH: Settings

Settings

Select the Settings option to bring up the Settings dialog. Settings can be used to control both the global settings and the profile settings for each particular remote host computer. For more information on the Settings dialog, see chapter Configuration.


SSH: Contents

Contents

Select the Contents option from the Help menu to view the help as Web pages. A browser will open and the HTML based help files will be loaded locally, from your own computer. The contents page will appear. Click on a chapter you want to explore, or click the Index link to see an alphabetical listing of keywords.

If you want to check the Web help instead of the locally installed help files, see the SSH Secure Shell for Workstations Web help: http://www.ssh.com/products/ssh/winhelp/.


SSH: Get Help On

Get Help On

Select the Get Help On option to change the mouse pointer to a help pointer. You can use the help pointer to click on buttons, menu items or other details of the user interface to see context sensitive help on any particular item.


SSH: File Transfer Specific Toolbar Buttons

File Transfer Specific Toolbar Buttons

The following toolbar buttons are available only in the File Transfer window.

Figure : The buttons that are available only in the File Transfer window are located between the Settings button and the Contents button.

Download Dialog

Upload Dialog

Toggle Transfer View

Large Icons

Small Icons

List

Details

ASCII

Binary

Auto Select

Cancel Transfer


SSH: Download Dialog

Download Dialog

Select the Download Dialog option to open the Download - Select Folder dialog that allows you to select a folder on the local computer and transfer the currently selected file into it. The shortcut key for Download Dialog is Ctrl+D.


SSH: Upload Dialog

Upload Dialog

Select the Upload Dialog option to open the Upload - Select Files dialog that allows you to select a file and transfer it from the local computer into the remote host computer. The shortcut key for Upload Dialog is Ctrl+U.


SSH: Toggle Transfer View

Toggle Transfer View

Select the Toggle Transfer View option to hide or show the Transfer View pane.


SSH: Large Icons

Large Icons

Select the Large Icons option to display the file view as a Large Icons view. Each file and folder has a large icon associated with it, making for a clear and uncluttered display.


SSH: Small Icons

Small Icons

Select the Small Icons option to display the file view as a Small Icons view. Each file and folder has a small icon associated with it. This makes it possible to display several times more items than the Large Icons view.


SSH: List

List

Select the List option to display the file view as a List view. Each file and folder has a small icon associated with it, and the files and folders are displayed in one single column underneath each other.


SSH: Details

Details

Select the Details option to display the file view as a Details view. The files and folders are displayed with a small icon, their file name, file size, file type, last modification date and attributes visible.

By clicking on the Name, Size, Type and Modified sort bars located on top of the File view, you can sort the files and folders based on their file name, file size, file type and the time they were last modified. Selecting the same sort option again reverses the sorting order.

Note that the sort function is not case sensitive: upper case text is sorted together with lower case text.

The file types are derived from the your local computer. If you have defined a new file type description for files with a certain file name extension, also the files in the remote computer are shown to be of that file type. This makes it easy to recognize particular file types also on the remote computer.


SSH: ASCII

ASCII

Select the ASCII option to transfer files in ASCII mode.


SSH: Binary

Binary

Select the Binary option to transfer files in binary mode.


SSH: Auto Select

Auto Select

Select the Auto Select option to automatically change the transfer mode based on the file extension. Files using a file extension specified on the ASCII Extensions list on the Mode page of the Settings dialog will be transferred in ASCII mode. All other files will be transferred in binary mode. For more information, see section Mode.


SSH: Cancel Transfer

Cancel Transfer

Select the Cancel Transfer option to stop ongoing file transfers.


SSH: Profiles Bar

Profiles Bar

The Profiles bar contains buttons that allow a fast way to connect to different servers.

  • Quick Connect

    Click the Quick Connect button on the profiles toolbar to open a new connection using the default settings. For more information, see section Quick Connect.

  • Profiles Button

    Click the Profiles button on the profiles toolbar to open the Profiles menu. For more information on how to use profiles, see section Profiles.


SSH: File Bar

File Bar

The File bar contains buttons that can be used to perform the most commonly used file management tasks. The file bar is dynamically created, so it cannot be customized like the other toolbars.

Note: It is possible to have the file bar trimmed down so that it shows less buttons and leaves more room for the favorite folders lists. The file bar with the wide folder view displays only the Show/Hide Local Folders, Local Home and Up buttons above the Local View, and the corresponding Show/Hide Remote Folders, Remote Home and Up buttons above the Remote View. See File Transfer for more information.

Show/Hide Local Folders

Local Home

Up

Refresh Local

New Local Folder

Delete Local

Local Favorites

Add

Show/Hide Remote Folders

Remote Home

Up

Refresh Remote

New Remote Folder

Delete Remote

Remote Favorites

Add


SSH: Local Home

Local Home

Select the Home option to return to your home directory on the local computer. This is useful if you are exploring a complex directory tree and want to quickly return to where you came from.


SSH: Up

Up

Select the Up option to move the view from the current folder to its parent folder.

For example: You have a directory called home and it has a subdirectory called mail. If you are currently viewing the mail folder and click the Up button, the focus moves to the home folder.


SSH: Refresh Local

Refresh Local

Select the Refresh Local option to redraw the contents of Local View. This may be necessary if you have for example downloaded a file that does not immediately become visible in Local View.


SSH: New Local Folder

New Local Folder

Select the New Local Folder option to create a new subdirectory in the current local directory. A new folder icon appears in Local View and you can type in the name of the new folder. (If you do not enter a name for the folder, it will not be created.)


SSH: Delete Local

Delete Local

Select local files or folders that you want to remove, and then select the Delete Local option to remove them. A Confirm Delete dialog will be displayed, asking you to confirm the removal.


SSH: Add

Add

Select the Add option to add the current directory in the Local Favorites list.


SSH: Remote Home

Remote Home

Select the Remote Home option to return to your home directory on the remote computer. This is useful if you are exploring a complex directory tree and want to quickly return to where you came from. The shortcut key for the Remote Home option is Ctrl+H.


SSH: Refresh Remote

Refresh Remote

Select the Refresh Remote option to redraw the contents of Remove View. This may be necessary if you have for example uploaded a file that does not immediately become visible in Remote View. The shortcut key for the Refresh option is F5.


SSH: New Remote Folder

New Remote Folder

Select the New Remote Folder option to create a new subdirectory in the current remote directory. A new folder icon appears in Remote View and you can type in the name of the new folder. (If you do not enter a name for the folder, it will not be created.) The shortcut key for the New Remote Folder option is Ctrl+N.


SSH: Delete Remote

Delete Remote

Select remote files or folders that you want to remove, and then select the Delete Remote option to remove them. A Confirm Delete dialog will be displayed, asking you to confirm the removal.


SSH: Remote Favorites

Remote Favorites

You can use the Remote Favorites drop-down list box to open the contents of other remote drives and directories in Remote View. You can modify the contents of the Remote Favorites list on the Remote Favorites page of the Settings dialog (see section Remote Favorites).


SSH: Add

Add

Select the Add option to add the current directory in the Remote Favorites list.


SSH: Menu Reference

Menu Reference

Together with the toolbar, the menus allow quick access to different terminal and file transfer operations. The following menus are available: File, Edit, View, Operation (only in the File Transfer window), Window and Help.

Configuring Menus

File_Menu

Edit Menu

Terminal Window View Menu Options

File Transfer View Menu Options

Operation Menu

Window Menu

Help Menu


SSH: Configuring Menus

Configuring Menus

The SSH Secure Shell for Workstations menus can be configured as easily as the toolbars. You can freely select the position of the menus, and even move them into toolbars.

Moving Menus

Permanent Menu Changes


SSH: Moving Menus

Moving Menus

You can move the SSH Secure Shell for Workstations menus into new positions and arrange them so that they best serve your needs.

To move a menu, keep the Alt key on the keyboard pressed down and click a menu with your mouse. You will see a new mouse pointer appear. Keep the mouse button pressed down and move the menu around. When you release the mouse button, the menu will be move to a new position.

This way you can arrange the order of the menus, or even move menus into toolbars. Experiment to find the best configuration for you.

It also possible to move the individual menu options. This can be done using the Commands page of the Customize dialog (see section Customize).

Note: If you move a menu to somewhere else than the menu bar or a toolbar (for example, in the terminal window text area), it is removed from the window. But don't worry - the changes become permanent only if you use the Save Settings option (see section Save Settings).


SSH: Permanent Menu Changes

Permanent Menu Changes

If you want to make the new menu positions permanent, use the Save Settings option (from the toolbar or the File menu) to save your settings.

If you change your mind and want to return the menus to their original positions, select the Reset Toolbars option from the View menu. A confirmation dialog will open, asking if you really want to discard the changes you have made. If you select Yes, the menus will return to their original configuration. If have modified also your toolbars, this option will reset them, too.


SSH: File_Menu

File_Menu

The File menu allows access to the settings file and connect/disconnect operations.

Save Settings

Save Layout

Quick Connect

Profiles

Print

Print Preview

Page Setup

Log Session

Connect

Disconnect

Exit


SSH: Save Layout

Save Layout

Select the Save Layout option to save both the current settings and the current window layout.


SSH: Profiles

Profiles

Select the Profiles option from the File menu to open the Profiles menu. For more information on how to use profiles, see section Profiles.


SSH: Page Setup

Page Setup

The Page Setup option allows you to specify how printed pages will look. For more information, see section Printing.

The Page Setup menu option is available only in the terminal window.


SSH: Log Session

Log Session

Select the Log Session option to save an entire transcript of the current terminal session to a file.

When Log Session is selected, the Save As dialog opens, asking for a file name for the log file. This file will be created if it does not already exist, and it will contain a transcript of the connection. Selecting the Log Session menu item for a second time stops logging.

When logging is active, a checkmark appears next to the Log Session menu option.

The Log Session menu option is available only in the terminal window.


SSH: Connect

Connect

Select the Connect option to establish a new SSH connection to a remote host computer. A Connect to Remote Host dialog will appear, allowing you to specify the host name (or IP address), user name and password for the new connection.

An alternative way to establish a new connection is to press the Enter key on the keyboard when disconnected.

Note: The Connect option is available only when you are not connected to any remote host computer. If you want to establish a completely new, separate SSH connection, select the Quick Connect option instead.


SSH: Disconnect

Disconnect

Select the Disconnect option to disconnect from the present remote host computer. A Confirm Disconnect dialog appears, allowing you to confirm if you really want to disconnect. Select Cancel to keep the connection open, or Yes to end the connection.

Note: One connection can have several windows open (such as a terminal window and a File Transfer window). Disconnecting affects all windows associated with a single connection.

However, if you have launched other, separate clients, they are not affected by this disconnect operation. Disconnecting quits one connection and all of its associated windows, but none of the separate connections.


SSH: Exit

Exit

Select the Exit option to quit SSH Secure Shell for Workstations. A Confirm Exit dialog appears, allowing you to confirm if you really want to exit. Select Cancel to keep the Secure Shell client running, or Yes to exit.

Note: One connection can have several windows open (for example several File Transfer windows and several terminal windows). Exiting affects all windows associated with a single connection.

However, if you have started other, separate clients, they are not affected by this exit operation. Exiting quits one connection and all of its associated windows, but none of the separate connections.


SSH: Edit Menu

Edit Menu

The Edit menu allows you to copy and paste text in the terminal window and to make changes to your connection settings.

Copy

Paste

Paste Selection

Select All

Select Screen

Select None

Find

Settings


SSH: Copy

Copy

In the terminal window the Copy option can be used to copy selected text to the Windows clipboard.

In the File Transfer window the Copy option can be used to create a temporary copy of the selected file(s) in the File Transfer window. This resembles using the Windows clipboard: You can copy files to a temporary storage and paste them later into another location.

If you do a new copy operation when the previously copied files have not yet been copied anywhere, the previous selection is lost, as the new selection replaces the old one. Note that the copy operation is not available until you have selected one or several files or folders.

The keyboard shortcut for the copy option is Ctrl+Insert.


SSH: Paste

Paste

In the terminal window the Paste option can be used to attach previously copied text from Windows clipboard into the current cursor position.

In the File Transfer window Paste option can be used to add previously copied files or folders into a new location. This resembles using the Windows clipboard: You can copy files to a temporary storage and paste them later into another location. You can do a paste operation also by pressing Ctrl+V on the keyboard.

The file names of the pasted files and folders do not change during the operation. Therefore it is not possible to paste files or folders several times into one location.

Note that the paste operation is not available until you have previously copied something in the clipboard. The keyboard shortcut for paste is Shift+Insert.


SSH: Paste Selection

Paste Selection

The Paste Selection option is only available in the terminal window.

Select Paste Selection to paste text without first copying anything to the clipboard. The Paste Selection operation copies whatever is currently selected in the terminal window to the present cursor position. If no text is selected, Paste Selection pastes the single character in the current cursor position.

This function is almost like having two different clipboards available at the same time. Paste Selection is especially useful for quick copying of text from the output of previous commands.


SSH: Select All

Select All

Choose the Select All option to select all the text in the current terminal window and the scrollback buffer, or all the files and folders in the current directory in the File Transfer window.

Note that in the terminal window, the selection can span quite a few lines backwards from what is currently visible. If you want to select just what is currently displayed on screen, use the Select Screen menu option instead.

When used in the terminal window, this operation makes it fast and easy for example to save long command output strings or to create a temporary log of what is displayed on the screen.

For file transfer, this enables you to operate on the whole contents of a directory at one time. This can be especially useful when downloading, copying or deleting files.

The keyboard shortcut for Select All is Ctrl+A.


SSH: Select Screen

Select Screen

The Select Screen option is available only in the terminal window.

Choose the Select Screen option to select all the text that is currently visible in the terminal window. Note that unlike the Select All option, Select Screen does not capture the scrollback buffer. This operation can be especially useful for screen captures and quick snapshots of the command output.


SSH: Select None

Select None

The Select None option is available only in the terminal window.

Choose the Select None option to cancel any previous selection. This operation immediately clears the selection in the terminal window.


SSH: Settings

Settings

Select the Settings option to bring up the Settings dialog. Settings can be used to control both the global settings and the profile settings for each particular remote host computer. For more information on the Settings dialog, see section Configuration.


SSH: Terminal Window View Menu Options

Terminal Window View Menu Options

The View menu allows you to select the way the SSH Secure Shell for Workstations windows are displayed. The terminal window has different set of View menu options than the File Transfer window.

Toolbar

Status Bar

Profiles Bar

Customize

Reset Toolbars

Reset Terminal


SSH: Toolbar

Toolbar

Select the Toolbar option to toggle the toolbar on and off. When the toolbar is visible, a checkmark appears next to the Toolbar option.


SSH: Status Bar

Status Bar

Select the Status Bar option to toggle the status bar on and off. When the status bar is visible, a checkmark appears next to the Status Bar option.


SSH: Profiles Bar

Profiles Bar

Select the Profiles Bar option to toggle the profiles bar on and off. When the toolbar is visible, a checkmark appears next to the Profiles Bar option.


SSH: Customize

Customize

Select the Customize option to modify the menu options, toolbars, menu settings and general settings. The Customize dialog opens. For more information on customizing the user interface, see section Customize.


SSH: Reset Toolbars

Reset Toolbars

Select the Reset Toolbars option to reset the toolbar and menu positions to their original state. This is a good choice if you regret the changes you have made, or have misplaced some menu or toolbar option.


SSH: Reset Terminal

Reset Terminal

Select the Reset Terminal option to reset the terminal settings to the state they were in when connecting. This will clear the terminal window and the scrollback buffer and reset the keymap, character set and fonts.


SSH: File Transfer View Menu Options

File Transfer View Menu Options

The View menu allows you to select the way the SSH Secure Shell for Workstations windows are displayed. The File Transfer window has different set of View menu options than the terminal window.

Toolbar

Profiles Bar

File Bar

Status Bar

Local View

Transfer View

Customize

Reset Toolbars

Large Icons

Small Icons

List

Details

Arrange Icons

Show Root Directory

Show Hidden Files

Refresh


SSH: File Bar

File Bar

Select the File Bar option to toggle the file bar on and off. When the toolbar is visible, a checkmark appears next to the File Bar option.


SSH: Local View

Local View

Select the Local View option to toggle Local View on and off. When Local View is visible, a checkmark appears next to the Local View option.


SSH: Large Icons

Large Icons

Select the Large Icons option to display the file view as a Large Icons view. Each file and folder has a large icon associated with it, resulting in a clear and uncluttered display.

If the Large Icons option is selected, a selection marker appears next to the menu option.


SSH: Small Icons

Small Icons

Select the Small Icons option to display the file view as a Small Icons view. Each file and folder has a small icon associated with it. This makes it possible to display several times more items than the Large Icons view.

If the Small Icons option is selected, a selection marker appears next to the menu option.


SSH: List

List

Select the List option to display the file view as a List view. Each file and folder has a small icon associated with it, and the files and folders are displayed in one single column underneath each other.

If the List option is selected, a selection marker appears next to the menu option.


SSH: Details

Details

Select the Details option to display the file view as a Details view. The files and folders are displayed with a small icon, their file name, file size, file type, last modification date and attributes visible.

By clicking on the Name, Size, Type, Modified or Attributes sort bars located on top of the folder view, you can sort the files and folders based on their file name, file size, file type, the time they were last modified and their file attributes. Selecting the same sort option again reverses the sorting order.

Note that the sort function is not case sensitive: upper case text is sorted together with lower case text.

The file types are derived from the your local computer. If you have defined a new file type description for files with a certain file name extension, also the files in the remote computer are shown to be of that file type. This makes it easy to recognize particular file types also on the host computer.


SSH: Arrange Icons

Arrange Icons

Select the Arrange Icons option to open a submenu where you can select in which order the files and folders are displayed in the file view. A selection marker appears next to the currently selected Arrange Icons option.

By Name: The files and folders are arranged alphabetically based on their file name.

By Type: The files and folders are arranged alphabetically based on their file type.

By Size: The files are arranged by their file size. Folders are arranged alphabetically.

By Date: The files and folders are arranged by the time they were last modified.

If you have selected the Details view, you can achieve the same effect by clicking on the Name, Size, Type and Modified sort bars located on top of the folder view. Selecting the same Arrange Icons option again reverses the sorting order.

Note that the sort function is not case sensitive: upper case text is sorted together with lower case text.


SSH: Show Root Directory

Show Root Directory

Select the Show Root Directory option to toggle if the root directory is displayed in the folder view. If the root directory is not displayed, you are not able to select or view any folders above your home directory in the directory tree hierarchy. By default the root directory is not displayed.

If the Show Root Directory option is selected, a selection marker appears next to the menu option.


SSH: Show Hidden Files

Show Hidden Files

Select the Show Hidden Files option to toggle if the normally hidden files are displayed in the folder view.

By default, UNIX hosts do not display any files or directories that begin with the dot (.) character, such as .rhosts or .profile. Selecting the Show Hidden Files option corresponds to specifying the -a switch of the ls command.

If the Show Hidden Files option is selected, a selection marker appears next to the Show Hidden Files menu option.


SSH: Refresh

Refresh

Select the Refresh option to redraw the File Transfer window. This may be necessary if you have for example uploaded a file that does not immediately become visible on the remote host computer.

The keyboard shortcut for Refresh is F5.


SSH: Operation Menu

Operation Menu

The Operation menu is available only in the File Transfer window.

The Operation menu allows you to copy files to and from the remote host computer, and to navigate the remote directory structure.

Open

Upload

Download

Upload Dialog

Download Dialog

Cancel

Up

Home

Go To Folder

New Folder

Delete

Rename

Properties

File Transfer Mode


SSH: Open

Open

The Open option can be used to view a file on the remote host computer. First select a file from the File Transfer window and the select the Open option. The file will be downloaded and displayed.


SSH: Upload

Upload

Select the Upload option to upload a file - i.e. to copy it from your local computer to the remote host computer (server). The keyboard shortcut for Upload is Ctrl+U.


SSH: Download

Download

Select the Download option to download a file - i.e. to copy it from the remote host computer to your local computer.

Note that you must first select the remote file(s) before selecting Download. If no files or folders are selected, the Download menu option is grayed out. The keyboard shortcut for Download is Ctrl+D.


SSH: Cancel

Cancel

Select the Cancel option to stop ongoing file transfers.


SSH: Home

Home

Select the Home option to return to your home directory. This is useful if you are exploring a complex directory tree and want to quickly return to where you came from. The keyboard shortcut for Home is Ctrl+H.


SSH: Go To Folder

Go To Folder

Select the Go to Folder option to enter a remote folder where you want to move directly. A Go to Remote Folder dialog appears, allowing you to type in the path to the desired directory in the remote host computer. The current directory path is displayed in the text field for your reference, eliminating the need to type in long directory paths from scratch. Type in the desired directory path and press Enter. The specified directory instantly appears. The keyboard shortcut for Go To Folder is Ctrl+G.


SSH: New Folder

New Folder

Select the New Folder option to create a new folder on the remote host computer. A new folder appears on folder view along with a text field where you can type in the name for the new folder.

If you do not type a name for the new folder but just hit Enter, a new folder is not created. The keyboard shortcut for New Folder is Ctrl+N.


SSH: Delete

Delete

Select the Delete option to delete file(s) or folder(s) on the remote host computer. A Confirm Delete dialog appears, allowing you to confirm if you really want to delete the selected files or folders. Select Cancel to keep the selected items, or Yes to delete them. The keyboard shortcut for Delete is the Delete key.


SSH: Rename

Rename

First select a file from the File Transfer window and then the Rename option to give the file a new name. The keyboard shortcut for rename is F2.

You can also rename a file by clicking on the file with the right mouse button. A shortcut menu containing the Rename option will appear.

Note: The rename operation requires an SSH Secure Shell for Workstations (SSH Secure Shell) server version 2.2.0 or later. Earlier versions do not support the rename operation, and using this option will produce the Error Renaming File message. For more information, see section Error Renaming.


SSH: Properties

Properties

Select first a file from the File Transfer window and then the Properties option to view the file properties.

You can also view a file's properties by clicking on the file with the right mouse button. A shortcut menu containing the Properties option will appear. You can select multiple files and view their properties.

For more details about the Properties page, see section File Properties.


SSH: File Transfer Mode

File Transfer Mode

Select the File Transfer Mode option to set in which transfer mode files will be transferred. A submenu opens, containing the following options:

ASCII

Select the ASCII option to transfer files in ASCII mode.

Binary

Select the Binary option to transfer files in binary mode.

Auto Select

Select the Auto Select option to automatically change the transfer mode based on the file extension. Files using a file extension specified on the ASCII Extensions list on the Mode page of the Settings dialog will be transferred in ASCII mode. All other files will be transferred in binary mode. For more information, see section Mode.


SSH: Window Menu

Window Menu

The Window menu allows you to open and close different types of windows.

New Terminal

New File Transfer

New Terminal in Current Directory

New File Transfer in Current Directory

New Windows Explorer

Close

Close All Others


SSH: New Terminal

New Terminal

Select the New Terminal option to open a new terminal window. The new window is immediately connected to the same remote host computer as the current window, saving you the trouble of authenticating yourself again.

Multiple windows to a single connection allow you to for example debug your code in one window, execute it in another, display reference information in a third one and read your mail in a fourth window.

The sequence number of each window is displayed on the window's title bar, in front of the remote host computer's name. For example, a second window associated with a connection to a host computer called 'remote' would display as 2:remote.

To close any extra windows when you no longer need them, click on the X-shaped close window button located on the window's title bar on the upper right hand corner of the window. Do not click on the Disconnect button or select the Disconnect option from the File menu, as this would close the connection in all windows associated with this particular connection.


SSH: New File Transfer

New File Transfer

Select the New File Transfer option to open a new File Transfer window. To make file managing as easy as possible, you can open an unlimited number of File Transfer windows.

The sequence number of each window is displayed on the window's title bar, in front of the remote host computer's name. For example, a third window associated with a connection to a host computer called 'remote' would display as 3:remote.

To close any extra windows when you no longer need them, click on the X-shaped close window button located on the window's title bar on the upper right hand corner of the window. Do not click on the Disconnect button or select the Disconnect option from the File menu, as this would close the connection in all windows associated with this particular connection.


SSH: New Terminal in Current Directory

New Terminal in Current Directory

Select the New Terminal in Current Directory option to open a new terminal window in the current remote directory.


SSH: New File Transfer in Current Directory

New File Transfer in Current Directory

Select the New File Transfer in Current Directory option to open a new File Transfer window in the current remote directory.


SSH: New Windows Explorer

New Windows Explorer

The New Windows Explorer menu option is available only in the File Transfer window.

Select the New Windows Explorer option to open a new Windows Explorer window. The Windows Explorer is the familiar Windows utility that can be used to manage the files and folders on your local computer. You can have multiple Explorer windows open at the same time to make file management easier.


SSH: Close

Close

Select the Close option to close the current window. Other windows are unaffected, even if they are associated with the same connection.


SSH: Close All Others

Close All Others

Select the Close all Others option to close all the other SSH Secure Shell for Workstations windows associated with the active connection.

A single connection can have several windows open (such as an SSH Secure Shell for Workstations terminal window and a file transfer window). The Close All Others operation affects all the other windows associated with a particular connection.

However, if you have started other, separate clients, they are not affected by this operation. Close All Others only affects one connection and all of its associated windows, but no other, separate connections.


SSH: Help Menu

Help Menu

The Help menu allows you to access the help and copyright information.

Contents

Get Help On

SSH on the Web

Troubleshooting

Debugging

Import License File

About SSH Secure Shell for Workstations


SSH: Contents

Contents

Select the Contents option to display the contents of the SSH Secure Shell for Workstations help. In the help window you can browse, search and print help information.


SSH: SSH on the Web

SSH on the Web

Select the SSH on the Web option to open a submenu containing Web links to SSH Secure Shell for Workstations Web pages.

Online Help

Select the Online Help option to load the Web version of SSH Secure Shell for Workstations help (http://www.ssh.com/products/ssh/winhelp/). This is useful if you want to see the most up-to-date version of the help.

Frequently Asked Questions

Select the Frequently Asked Questions option to load the online version of the SSH Secure Shell for Workstations FAQ (http://www.ssh.com/faq/).

Home Page

Select the Home Page option to open the SSH Communications Security home page (http://www.ssh.com).


SSH: Troubleshooting

Troubleshooting

Select the Troubleshooting option to display the Troubleshooting dialog. If you encounter problems when using SSH Secure Shell for Workstations, you can send a bug report by using the support web form at http://www.ssh.com/support. To make the support team's work easier, you should describe your system and the problem situation as carefully as possible. The Troubleshooting dialog helps you to achieve this.

Click the Copy to Clipboard button to copy the troubleshooting report on the Windows clipboard. You can then paste (Ctrl+V) the report into the support web form. But please describe your problem also in your own words - the Troubleshooting dialog cannot do that for you!

Figure : The Troubleshooting dialog.


SSH: Debugging

Debugging

Select the Debugging option to gather debugging information useful for tracking possible errors. The Debugging dialog opens.

Figure : The Debugging dialog

Enable Debugging

Select the Enable Debugging check box to log debugging information. Enabling this option slows down the client, so it should be only done to track error situations, for example when requested by SSH technical support.

Debug

The Debug options define how much debugging information will be collected and where the data will be saved.

  • Level

    Type in a number to indicate the debug level. Higher numbers will produce more debugging data. A typical value for debug level is 3 or 4. Debug levels approaching 10 will produce large amounts of debugging data and make the software very slow.

    Alternatively you can specify different debug levels for different operations. For example the debug value 4, ssheventloop=7 would define the general debug level as 4, but for activity performed in the SSH event loop the debug level would be 7.

  • File

    Select the file where debug data will be saved. Either type in the path and filename, or click the button on the righthand side of the text field to open a Save As dialog, allowing you to locate the save file. If you do not specify a path, the default user path will be used.

  • Clear File on Startup

    Select the Clear File on Startup check box to delete the debug data every time SSH Secure Shell for Workstations is launched.

    Note: If this option is not checked, the log file will keep continuosly growing and must be manually manually cleared.

Debug File

The Debug File displays a scrollable view of the currently gathered debug data. If the debug file is very large (over 3 megabytes), it will not be displayed.

  • Clear File

    Click the Clear File button to empty the current debug data file.

  • Open File in Editor

    Click the Open File in Editor button to open the current debug data file in a text editor, allowing you to view, edit, save or print the data.

  • OK

    Click the OK button to accept the current settings and close the Debugging dialog.

  • Cancel

    Click the Cancel button to discard the changes and close the Debugging dialog.


SSH: Import License File

Import License File

SSH Secure Shell for Workstations (SSH Secure Shell) 3.1.1 and later require a license file to function in commercial mode (without the license file, the software will function in non-commercial mode, with PKI functionality disabled).

With the Import License File option you can register your copy of SSH Secure Shell for Workstations.

Note: In commercial distributions, the license file is already included in the installation executable, and no separate license installation is necessary. However, in some cases, such as when installing SSH Secure Shell for Workstations in a corporate environment, the license file may be available separately and requires that it is imported in the client.

If you have received a separate license file (which is called license.dat by default), select the Import License File option from the Help menu. You will be presented with a dialog requesting a file name. Locate the license file and click the OK button. You should see a dialog telling that the license file was successfully imported and copied to the installation directory. Click the OK button to continue. Your copy of SSH Secure Shell for Workstations is now registered.


SSH: About SSH Secure Shell for Workstations

About SSH Secure Shell for Workstations

Select the About SSH Secure Shell for Workstations option to view the copyright information on SSH Communications Security's SSH Secure Shell for Workstations. Also version and license information is displayed. Click the OK button to close the dialog.

Figure : The About dialog displays copyright, licensing and version information.


SSH: Advanced Information

Advanced Information

SSH is a protocol for secure remote login and other secure network services over an insecure network. It consists of three major components:

  • Transport layer protocol [SSH-TRANS] provides server authentication, confidentiality, and integrity. It may optionally also provide compression. The transport layer will typically be run over a TCP/IP connection, but might also be used on top of any other reliable data stream.
  • User authentication protocol [SSH-USERAUTH] authenticates the client-side user to the server. It runs over the transport layer protocol.
  • Connection protocol [SSH-CONN] multiplexes several logical channels into the encrypted tunnel. It runs over the user authentication protocol.

The client sends a service request once a secure transport layer connection has been established. A second service request is sent after user authentication is complete. This allows new protocols to be defined and coexist with the protocols listed above.

The connection protocol provides channels that can be used for a wide range of purposes. Standard methods are provided for setting up secure interactive shell sessions and for forwarding ("tunneling") arbitrary TCP/IP ports and X11 connections.

SSH2 Functionality

Public-Key Infrastructure (PKI)

Using Certificate Authentication

Keyboard-Interactive Authentication


SSH: SSH2 Functionality

SSH2 Functionality

The SSH Secure Shell for Workstations connects and logs into the specified remote host computer. Upon login, the user must prove his identity to the remote host computer by using some authentication method.

Public-key authentication is based on the use of digital signatures. Each user creates a public / private key pair for authentication purposes. The server knows the user's public key, but only the user has her private key.

When the user tries to authenticate herself, the server sends a challenge to the user. User is authenticated by signing the challenge using the private key.

Private / public key pairs can be created with a built-in key generation wizard. (See section Key Generation Wizard.)

Other authentication methods can be used as well. If other methods fail, the SSH Secure Shell for Workstations prompts for a password. Since all communications is encrypted, the password will not be available for eavesdroppers.

When the user's identity has been accepted by the server, the server either executes the given command, or logs into the remote host computer and gives the user a normal shell on the remote computer. All communication with the remote command or shell will be automatically encrypted. The session can be transparent and can be used to reliably transfer binary data.

The session terminates when the command or shell on the remote machine exits and all X11 and TCP/IP connections have been closed. The exit status of the remote program is returned as the exit status of ssh2.

If the user is using X11, the connection to the X11 display is automatically forwarded to the remote side in such a way that any X11 programs started from the shell (or command) will go through the encrypted channel, and the connection to the real X server will be made from the local machine.

SSH2 will also automatically set up Xauthority data on the server machine. For this purpose, it will generate a random authorization cookie, store it in Xauthority on the server, and verify that any forwarded connections carry this cookie and replace it by the real cookie when the connection is opened. The real authentication cookie is never sent to the server machine (and no cookies are sent in the plain).

If the user is using an authentication agent, the connection to the agent is automatically forwarded to the remote side unless disabled.

Forwarding of arbitrary TCP/IP connections over the secure channel can be specified. TCP/IP forwarding can be used for secure connections to electronic wallets or going through firewalls.

SSH2 automatically maintains and checks a database containing public keys of hosts. When logging on to a host for the first time, the host's public key is stored to a file in the user's personal directory. If a host's identification changes, SSH2 issues a warning and disables password authentication to prevent for example a malicious Trojan horse program from getting the user's password. Another purpose of this mechanism is to prevent man-in-the-middle attacks that could otherwise be used to circumvent the encryption.

SSH2 also has built-in support for SOCKS version 4 for traversing firewalls.

Host Keys

Security Properties


SSH: Host Keys

Host Keys

Each server host must have a host key. Hosts may have multiple host keys using multiple different algorithms. Multiple hosts may share the same host key. Every host must have at least one key using each required public key algorithm.

The server host key is used during key exchange to verify that the client is really communicating with the correct server. For this to be possible, the client must have prior knowledge of the server's public host key.

Two different trust models can be used:

  • The client has a local database that associates each host name (as typed by the user) with the corresponding public host key. This method requires no centrally administered infrastructure, and no third-party coordination. The downside is that the database of name-key associations may become burdensome to maintain.
  • The host name - key association is certified by a trusted certification authority. The client knows only the CA root key, and can verify the validity of all host keys certified by accepted CAs. The second alternative eases the maintenance problem, since ideally only a single CA key needs to be securely stored on the client. On the other hand, each host key must be appropriately certified by a central authority before authorization is possible. Also, a lot of trust is placed on the central infrastructure.


SSH: Security Properties

Security Properties

The primary goal of the SSH protocols is improved security on the Internet.

  • All encryption, integrity, and public key algorithms used are well-known, well-established algorithms.
  • All algorithms are used with cryptographically sound key sizes that are believed to provide protection against even the strongest cryptanalytic attacks for decades.
  • All algorithms are negotiated, and in case some algorithm is broken, it is easy to switch to some other algorithm without modifying the base protocol.


SSH: Public-Key Infrastructure (PKI)

Public-Key Infrastructure (PKI)

A system that uses digital certificates for authentication and thus helps establish secure communications is called a public-key infrastructure (PKI). A PKI consists of end entities, certification authorities (trusted parties who sign and issue certificates), and registration authorities (parties who handle the identification of end entities).

A PKI provides a means for reliable authentication of parties in an online environment by using asymmetric encryption. In addition to authentication, the PKI also enables secure digital communications and transactions.

In asymmetric encryption, every entity (communicating party) has a key pair that consists of a public key and a private key. Private keys are secret and are known only to their owners. Private keys are used for signing and decrypting messages.

Public keys are, as the name implies, public and can be published on, for example, a web server. Public keys are used for validating signatures and encrypting messages. Before public-key operations can be made, the public key has to be received securely so that no one can substitute the genuine key with a tampered one. Certificates can be used for distributing public keys of end entities.

Certificates are digital documents that are used for secure authentication of communicating parties. Certificates are also used for sending the public keys of the entities to other entities. A certificate binds identity information about an entity to the entity's public key for a certain validity period. Certificates can be thought of as analogous to passports that guarantee the identity of their bearers.

To enable wide usage of certificates and interoperable implementations from multiple vendors, certificates have to be based on standards. The most advanced and widespread certificate specifications at the moment are defined by the PKIX Working Group of the IETF (Internet Engineering Task Force).

CA

Certificate Enrollment

Certificate Revocation

Directory Services


SSH: CA

CA

The trusted parties that sign, issue and manage certificates are called certification authorities (CA). A CA is the instance that vouches for the identity and trustworthiness of the end entity it grants the certificates to. Certification authorities can be thought of as being analogous to governments issuing passports for their citizens.

CA can be a third party trusted by everyone in the PKI, or it can belong to the same organization as the end entities. CAs can also certify other CAs (to issue certificates) by signing so-called CA certificates. This leads to a tree-like structure of CA hierarchies. The top CA in the "tree" is called a root CA. A new root CA is established in two steps:

  1. Generation of a CA key pair and a CA certificate.
  2. Exporting the CA public key "out-of-band" to all end entities in the PKI.

The public keys of CAs are usually built into specific client applications. CA keys are then distributed when the client applications are installed to the end users' devices (workstations, laptops, PDAs). Before end entities can communicate securely, also their public keys need to be certified by enrolling the end entities into the PKI and having their certificates issued by the CA.


SSH: Certificate Enrollment

Certificate Enrollment

Certificate enrollment is an action in which a CA certifies a public key. A certification authority can delegate authentication of the end entities as well as certain other administrational tasks to so-called registration authorities (RA). Using local RAs a large geographically or operationally distributed PKI can work in a scalable way, even when the actual certificate issuing is centralized.

The actual enrollment process consists of the following steps:

  1. Generation of a key pair
  2. End entity requesting certification for the public key
  3. CA or RA verifying the identity of the end entity
  4. CA generating a certificate for the end entity and making it available (if the request is approved).

End entities can use standard request formats to request certificates from a CA. The CA uses the underlying policy to decide whether to approve the request or not. The policy decision and the approval/denial can be automatic, or it may be required that the operator of the CA has to approve certificate requests manually. If identification of the end entity is needed, the RA may perform this function. If the request is approved, a signed certificate will be issued and delivered to a public directory. Finally, when the issued certificates are available in the directories, all entities in the PKI can verify each other's certificates with the CA's public key.


SSH: Certificate Revocation

Certificate Revocation

If a private key of an end entity is compromised or the right to authenticate with a certificate is lost during the certificate's validity period, the certificate has to be revoked, and all PKI users have to be informed about this. Certificate revocation lists (CRL) can be used for this purpose.

A CRL is a time-stamped list identifying the revoked certificates and is signed by a CA. The presence of the signature allows CRLs to be distributed via un-trusted channels in public directories, just like the certificates. Each CA issues CRLs on a regular basis, the issuance period being defined in the CA's security policy. Certificate validation has to include the retrieval of the latest CRL to check the status of the certificate. X.509 v2 CRL is a standard PKIX CRL format.

As the certificate revocation lists are updated on a periodic basis, they don't provide real-time status information for the PKI. If more strict security needs to be followed, online status data has to be provided for relying end entities. In Online Certificate Status Protocol (OCSP) OCSP responders respond to end entities' status requests with signed responses about the revocation status of a certificate. This kind of function is required for example in a PKI where high-value business transactions are digitally signed.


SSH: Directory Services

Directory Services

Certificates and CRLs have to be distributed to directories in order to be available to PKI users. Information about how CRLs are to be obtained can be indicated in an extension field (distribution point) of an X.509 v3 certificate.

The Lightweight Directory Access Protocol (LDAP) has become a de facto standard procedure for CRL and certificate distribution. This enables interoperability with third party directory servers based on the LDAP standard. OCSP can be seen as an replacement for LDAP since with it revocation lists are not needed. However, encryption certificates still need to be fetched from somewhere, such as an LDAP directory.


SSH: Using Certificate Authentication

Using Certificate Authentication

In order to use certificate authentication you need to issue certificates for users and hosts using a certification authority (CA) software such as SSH Tectia Certifier™.

The first requirement for using certificates is to import the certificates of the CAs that you trust. Trusting a CA means that to the best of your knowledge the private key of the CA has not been compromised. The CA certificates will be the connecting links between entities that have been issued a certificate.

Requesting a CA to issue a certificate is called certificate enrollment. SSH Secure Shell for Workstations supports the CMPv2 enrollment protocol. If CMPv2 is not available in the CA software, the enrollment can be done in another application and the resulting certificates can be imported to SSH Secure Shell for Workstations using the PKCS #12 format.

PKCS #12 format files can contain one or more user or CA certificates and private keys. SSH Secure Shell for Workstations determines the contents of the file and writes the entries to the corresponding directories for subsequent use. Standard PKCS #12 files generated using applications such as Netscape Navigator and Microsoft Internet Explorer are supported.

Other supported formats for importing user and CA certificates are PKCS #7, BER and X.509 binary. If a user certificate is imported the corresponding private key must be made available to SSH Secure Shell for Workstations. For this purpose, PKCS #12 is recommended.

In the certification request you can suggest a Common Name (e.g. John Smith), Organization Unit (like Marketing), Organization (SSH Communications Security Corp.), Country (US) and Email Address (john.smith@ssh.com).

The CA can change these fields before issuing the certificate. The certificate validity period and other parameters are determined by the configuration of the CA software. Please note that certificate enrollment requiring manual acceptance in the CA software is not supported. You may be able to compensate this by using PKCS #12 file importing.

PKCS #11


SSH: PKCS #11

PKCS #11

PKCS #11 is a runtime interface to hardware tokens and software keys. To be able to use a hardware token, such as a smart card or a USB token, a third party driver is required. The driver is usually a single DLL (Dynamic Link Library) file residing in the Windows system directory. You need to install the software included with the hardware token before configuring SSH Secure Shell for Workstations.


SSH: Keyboard-Interactive Authentication

Keyboard-Interactive Authentication

Overview


SSH: Overview

Overview

What Is Keyboard-Interactive?

Keyboard-interactive is a relatively new authentication method, designed in the Secure Shell Working Group. The Working Group's abstract contains the following introduction to the subject:

This document describes a general-purpose authentication method for the SSH protocol, suitable for interactive authentications where the authentication data should be entered via a keyboard. The major goal of this method is to allow the SSH client to support a whole class of authentication mechanism(s) without knowing the specifics of the actual authentication mechanism(s)

What Can Be Done with It?

Basically, any currently supported authentication method that requires only the user's input, can be performed with keyboard-interactive.

Currently, the following methods are supported:

  • password
  • SecurID
  • PAM (but see Section What Cannot Be Done With It?).

New authentication methods that can be implemented with this method include, but are not limited to, the following:

  • S/KEY (and other One-Time-Pads)
  • hardware tokens printing a number or a string in response for a challenge sent by the server. (Like SecurID, but there are others like that.)
  • legacy authentication methods.

What Cannot Be Done with It?

If passing of some binary information is required (as in public-key authentication ), keyboard-interactive cannot be used.

PAM has support for binary messages and client-side agents, and those cannot be supported with keyboard-interactive. However, currently there are no implementations that take advantage of the binary messages in PAM, and the specification may not be cast in stone yet.


SSH: Troubleshooting

Troubleshooting

If you should encounter an error message when using SSH Secure Shell for Workstations, please read the error message carefully and follow the suggested course of action. Some possible error messages and their suggested corrective actions are described below.

Error Dialogs At Startup

Error Dialogs During Operation

PKCS #11 Keys

SSH1 Specific Error Messages


SSH: Error Dialogs At Startup

Error Dialogs At Startup

If you get an error dialog when you try to run SSH Secure Shell for Workstations, you may need to update the common controls library, comctl32.dll. The older library version is included in at least some Windows 95 installations. To obtain the update, go to the Microsoft web site http://www.microsoft.com/msdownload/ieplatform/ie/comctrl x86.asp and download the latest version.

Evaluation Period Ending

Expiration

Failed To Read Keymap File

File Open Error

Keymap Error

Your License Has Expired


SSH: Evaluation Period Ending

Evaluation Period Ending

This message indicates that the evaluation period for this copy of SSH Secure Shell for Workstations will soon end. You are allowed to use the client for free for the duration of the evaluation period, and after that you should obtain a license in order to continue using the software.

For more information on the license agreement, read the file license.txt located in the directory where SSH Secure Shell for Workstations was installed.

Now is a good time to register the software to ensure that your network connections will always be secure. The fastest and most convenient way to obtain a license for SSH Secure Shell for Workstations is to visit the SSH e-commerce web site at http://www.ssh.com/company/sales/store/.

The licensing is a quick and easy operation. The license file is a small, fast loading file that you can download immediately. You can import the license file (license.dat) by selecting the Import License File option from the Help menu.

You will be presented with a dialog requesting a file name. Locate the license.dat file and click the OK button. You should see a dialog telling that the license file was successfully imported. Click the OK button to continue. Your copy of SSH Secure Shell for Workstations is now registered.

Alternatively, if you want to download the newest version of the licensed SSH Secure Shell for Workstations software, you can download the whole package with the license already installed.

Thank you for evaluating SSH Secure Shell for Workstations!


SSH: Expiration

Expiration

This error indicates that the evaluation period for this copy of the SSH Secure Shell for Workstations has ended. The client software cannot be used until you obtain a valid license.

For more information on the license agreement, read the file license.txt located in the same directory as SSH Secure Shell for Workstations.

The fastest and most convenient way to obtain a license for SSH Secure Shell for Workstations is to visit the SSH e-commerce web site at http://www.ssh.com/company/sales/store/.

The licensing is a quick and easy operation. The license file is a small, fast loading file that you can download immediately. You can import the license file (license.dat) by selecting the Import License File option from the Help menu.

You will be presented with a dialog requesting a file name. Locate the license.dat file and click the OK button. You should see a dialog telling that the license file was successfully imported. Click the OK button to continue. Your copy of SSH Secure Shell for Workstations is now registered.

Alternatively, if you want to download the newest version of the licensed SSH Secure Shell for Workstations software, you can download the whole package with the license already installed.

Thank you for evaluating SSH Secure Shell for Workstations!


SSH: Failed To Read Keymap File

Failed To Read Keymap File

This error message indicates that for some reason SSH Secure Shell for Workstations is unable to read the KEYMAP.MAP file. When the client is started for the first time, it checks for the existence of the keymap file, and if the client does not find it, it copies it to the current user's personal directory.

For easy access to your personal data files, open the Profile Settings page of the Settings dialog and click the Browse button.

Check that the KEYMAP.MAP file is in the correct folder and that its Read-only attribute is not set.


SSH: File Open Error

File Open Error

This error indicates that a configuration file (such as KEYMAP.MAP or default.ssh2) could not be properly opened. The file may be damaged, or the file may define an unknown configuration value.

This error may indicate that you are using a configuration file that was created using an earlier version of SSH Secure Shell for Workstations. You can remedy this by saving your configuration file again (select the Save option from the File menu).


SSH: Keymap Error

Keymap Error

This error indicates that SSH Secure Shell for Workstations has not been able to read a keymap file (KEYMAP.MAP, KEYMAP22.MAP or OUTPUT.MAP) that defines how the keyboard input/output is processed. The keymap file is either missing, corrupted or renamed with an unrecognizable file name.

Close the client and check the keymap file.


SSH: Your License Has Expired

Your License Has Expired

This error indicates that the license for this copy of SSH Secure Shell for Workstations has expired. The client software cannot be used until you obtain a new license.

For more information on the license agreement, read the file license.txt located in the same directory as SSH Secure Shell for Workstations.

The fastest and most convenient way to obtain a license for SSH Secure Shell for Workstations is to visit the SSH e-commerce web site at http://www.ssh.com/company/sales/store/.

The licensing is a quick and easy operation. The license file is a small, fast loading file that you can download immediately. You can import the license file (license.dat) by selecting the Import License File option from the Help menu.

You will be presented with a dialog requesting a file name. Locate the license.dat file and click the OK button. You should see a dialog telling that the license file was successfully imported. Click the OK button to continue. Your copy of the SSH Secure Shell for Workstations software is now registered.

Alternatively, if you want to download the newest version of the licensed SSH Secure Shell for Workstations software, you can download the whole package with the license already installed.

Thank you for using SSH Secure Shell for Workstations!


SSH: Error Dialogs During Operation

Error Dialogs During Operation

The following error dialogs may occur when operating SSH Secure Shell for Workstations.

Authentication Failure

Confirm Disconnect

Confirm File Overwrite

Connection Failure

Disconnection

Enter Passcode

Enter Passphrase For Private Key

Enter PIN

Error Renaming

Failed To Create An Incoming Tunnel

Host Identification

Host Identification Failed

New PIN

PAM Response

Password Needed for PFX Integrity Check

The Remote Host Uses SSH1 Protocol

Wrong Passphrase

Wrong Password - Enter Again


SSH: Authentication Failure

Authentication Failure

This error message indicates that the authentication process between your local computer and the remote host computer has for some reason failed.

The most common cause for failed authentication is an incorrect password, likely caused by a typing mistake.

Also the user name may be incorrect. Check that you have typed it correctly.

One possible reason for authentication failure is that the remote host computer may have been configured to require several authentication methods to be used. For example both password and public key authentication could be used for increased security. Even if you entered your password correctly, some other required authentication method could have failed. A relatively common situation is one where the remote host computer is expecting public-key authentication and you have not sent your public key to the host. You can do this by following the instructions in section Uploading Your Public Key.

It may also be possible that your account on the remote host computer has been disabled or that the remote host computer is having temporary problems causing errors with the login procedure.

Try to connect again and carefully type in your user name and password. If after a couple of retries you are sure that you have entered both of them correctly, contact the system administrator of the remote host computer.


SSH: Confirm Disconnect

Confirm Disconnect

This dialog is displayed when you are disconnecting an active connection. You can either confirm the disconnect operation or cancel it.

  • Yes

    Click the Yes button to close the currently active connection.

  • Cancel

    Click the Cancel button to change your mind and abort the disconnect operation. This has the same effect as selecting No. (This option is included to make the selection more intuitive for users who have clicked the Disconnect button in error.)

  • Help

    Click the Help button to view the help.

Note that one connection can have several windows open (such as a terminal window and a file transfer window). Disconnecting affects all windows associated with a single connection. All tunnels associated with the disconnected connection will be terminated as well.

However, if you have started other, separate SSH Secure Shell for Workstations instances, they are not affected by this disconnect operation. Disconnecting quits one connection and all of its associated windows, but no other, separate connections. You can differentiate between different windows associated with a single connection by the window's sequence number, displayed on the title bar.

You can differentiate between different windows associated with a single connection by the window's sequence number, displayed on the title bar (see section Terminal Window Title Bar).


SSH: Confirm File Overwrite

Confirm File Overwrite

The Confirm File Overwrite dialog indicates that a file you are transfering already exists in the target system. You can choose if you want to replace the old file with the transferred file.

You have the following options:

  • Yes

    Click the Yes button to replace the old file.

  • Yes to All

    Click the Yes to All button to replace this file and also all the other files that already exist in the target system.

  • No to All

    Click the No to All button to keep the already existing file as well as any other already existing files that other files in the transfer queue would replace.

  • Cancel

    Click the Cancel button to abort the file transfer operation.


SSH: Connection Failure

Connection Failure

This error indicates that SSH Secure Shell for Workstations cannot establish a connection to the remote host computer. There are several reasons that might cause this situation.

It may be that you have simply made a typing mistake, and there is an error in the name of the remote host computer. In this case you should also receive an error stating that the host is unknown.

Check that you have defined the correct port number for the connection. The port can be changed on the Connection page of the Settings dialog.

There may be problems with the configuration or physical setup of the network connection. Verify that other network connections are functioning.

This problem may also arise if your local system is protected by a firewall and the firewall has not been properly configured. If you suspect that this is the case, ask your local system administrator to reconfigure the firewall.

There may also be a temporary problem with the remote host computer. If this is the case, you should wait for a while and try to connect again later. Contact the administrator of the remote host computer for additional information.


SSH: Disconnected; Authentication Error

Disconnected; Authentication Error

The error message "Disconnected; Authentication Error (No further authentication methods available.)" indicates that any of the methods that have been used to authenticate you to the server have not been successful.

A relatively common situation is one where the remote host computer is expecting public-key authentication to be used and you have not sent your public key to the host. You can do this by following the instructions in section Uploading Your Public Key.

This error is also produced if the system's name server is not doing reverse lookups correctly. Ask your system administrator to configure the name server so that it does reverse lookups properly.

If this is not possible, the system administrator has to edit the file /etc/ssh2/sshd2_config on the Secure Shell server and change the RequireReverseMapping setting to no.

This is a common problem for modem connections. Typical modem connections use dynamic IP addresses. This means that the IP address changes from one connection to another, and these dynamic IP addresses have no permanent name server entries in the Domain Name System (DNS). If this is the case, you will have to ask your service provider to edit the sshd2_config file on the SSH server.


SSH: Disconnection

Disconnection

This error indicates that the connection to the remote host computer has been lost.

There may be problems with the configuration or the physical setup of either your or the remote host computer's network connection.

It may also be that the remote host computer has been rebooted, which has disconnected your computer from the host.

Usually problems of this kind are temporary, and you can try again after waiting for a while. If this does not help, check your local network, and if necessary, contact also the system administrator of the remote host computer.


SSH: Enter Passcode

Enter Passcode

When using SecurID for authentication, you have to enter the passcode in order to authenticate the connection. In some situations you may not be able to do this immediately, but will have to wait for the token to change.


SSH: Enter Passphrase For Private Key

Enter Passphrase For Private Key

This message indicates that the remote host computer is willing to accept your public key to authenticate you in the future.

Type in the passphrase associated with this key. (You defined the passphrase when you created the public key - see section Key Generation - Enter Passphrase for more information.)

If you just press the Enter key, public authentication will not be used, and the system will ask you to type in your password instead.


SSH: Enter PIN

Enter PIN

When using certificate authentication, the Enter PIN dialog will display information on the provider used. You will have to enter the personal identification number (PIN) associated with the token.


SSH: Error Renaming

Error Renaming

This error message indicates that a file or folder on the remote host computer could not be renamed. Usually this means that the SSH server software is too old to support renaming.

The rename operation requires an SSH Secure Shell for Workstations server version 2.2.0 (or later). Earlier SSH Secure Shell for Workstations (SSH Secure Shell) server versions do not support the rename operation. Renaming remote files or folders is not possible until the system administrator of the remote host computer updates the SSH server software.


SSH: Failed To Create An Incoming Tunnel

Failed To Create An Incoming Tunnel

This error indicates that the system has not been able to create the requested tunnel.

The most common reason for this failure is that a tunnel with the same name already exists. The similarly named tunnel may have been created by another client connected to the same server.

If the system has several Secure Shell users, they may already have reserved several available ports. In this case just try again to find a free port.

Another possible reason is that you have no permission to open the requested port. The system administrator may have set a policy that restricts opening of communications ports - this is common practice especially with incoming ports. Check the local policy from the system administrator. Please note that only the system administrator (root) can open port numbers under 1024.

Please note that both incoming and outgoing tunnels produce their own error messages. If both fail, the client will display two separate error messages.


SSH: Host Identification

Host Identification

When you connect to a remote host computer for the first time, the host sends your local computer its public key in order to identify itself. To help you to verify the host's identity, the Host Identification dialog displays a fingerprint of the host's public key. The fingerprint is represented using the SSH Babble format, and it consists of a pronounceable series of five lowercase letters separated by dashes. If you have reason to suspect that the public key you have received may be forged, you can for example phone the system administrator of the remote host computer and check if the fingerprint is correct.

You can save the host key on your local computer by clicking the Yes button. This is the recommended action. If you save the host key, you won't have to answer this dialog again when connecting to the same host from the same computer.

If you do not want to save the host key, click the No button. You can connect normally, but the next time you connect to the same host, the remote host will send you its public key and you will again be asked, if you want to save the key on your local computer.

You can also cancel the connection attempt by clicking the Cancel button. This results in an authentication failure, and the connection will be canceled. The host key is not saved and your local computer will not be no connected to the remote host computer.


SSH: Host Identification Failed

Host Identification Failed

This error signifies that the identification method used by the remote host computer does not match what was expected by the client.

A change in the host identification may be caused by one of the following reasons:

  • The administrator of the remote host computer has changed the identification method.
  • The administrator of the remote host computer has changed the IP address (or the host name) of the remote host.
  • The administrator of the remote host computer has upgraded the system from Secure Shell version 1 server to Secure Shell version 2.
  • An intruder is trying to pose as the remote host computer.

If you encounter this situation, do not proceed with the connection! First you should contact the system administrator of the remote host computer (preferably by phone) and check the reason for the failed identification. Only proceed with the connection when you are sure that the error is not caused by an intruder.


SSH: New PIN

New PIN

Enter a new personal identification number (PIN) in order to continue. Enter the PIN twice, once in each field. This ensures that you have not made a typing mistake.


SSH: PAM Response

PAM Response

When using Pluggable Authentication Modules (PAM) as the authentication method, SSH Secure Shell for Workstations will ask you to provide the information that the remote host computer is requesting - typically a password.

Figure : Type in your answer to the authentication query.


SSH: Password Needed for PFX Integrity Check

Password Needed for PFX Integrity Check

When using PKCS #12 format files to import user or CA certificates and private keys, you will have to enter the password associated with the PKCS #12 file to be imported.


SSH: The Remote Host Uses SSH1 Protocol

The Remote Host Uses SSH1 Protocol

This message indicates that you are connecting to a remote host computer that is using version 1 of the Secure Shell protocol (SSH1).

Please note that an Secure Shell version 2 (SSH2) is a more advanced protocol than the legacy version SSH1. For more information on the implications of using an SSH1 connection, see the SSH Web site (http://www.ssh.com/company/newsroom/article/210/).

Note: SSH Communications Security has deprecated the SSH1 protocol and does not recommend using it.

If you choose to accept the SSH1 connection, multiple terminal windows and the file transfer operations are not available.

If you do not want to see this message again, select the appropriate SSH1 Connections setting from the Security page of the Settings dialog. For more information on this option, see section Security.


SSH: Wrong Passphrase

Wrong Passphrase

This error indicates that the passphrase you entered is incorrect and that the private key file could not be read.

It also possible that the key file has been damaged, but this is unlikely.

This error will result in authentication failure (see section Authentication Failure) and disconnection (see section Disconnection). Click the OK button on both error dialogs to continue.

Try to connect again. If this error is repeated, upload your public key to the remote host computer again. For more information on this procedure, see section Uploading Your Public Key.


SSH: Wrong Password - Enter Again

Wrong Password - Enter Again

This error indicates that the password you typed does not match what the remote host computer expected. You have probably made a typing mistake (or possibly left the password field blank, when the host computer expected to receive a password). Retype your password and hit the Enter key to try again.

If after several attempts you are sure that you have typed your password correctly, contact the system administrator of the remote host computer.


SSH: PKCS #11 Keys

PKCS #11 Keys

If you have any problems with specific PKCS #11 providers, please check first for notes on your provider at http://www.ssh.com/support/faq/.

Signing error


SSH: Signing error

Signing error

In some cases signing errors occur when using a PKCS #11 provider key for authentication. If your PKCS #11 provider (e.g. a hardware token) has multiple keys, it may be that not all the keys can be used for authentication.

Try changing the Slots value in the PKCS #11 configuration (see section PKCS 11 Provider).

When experimenting with the value, saving the settings and restarting the application, you will see different keys being used for authentication. Upload each key at a time to the remote host computer. One of the keys may be valid for authentication.


SSH: SSH1 Specific Error Messages

SSH1 Specific Error Messages

The following error message may be encountered when using SSH1 connection.

Unexpected EOF


SSH: Unexpected EOF

Unexpected EOF

This error message indicates that the connection to the server has been lost (literally meaning that the Secure Shell client has encountered an unexpected End Of File signal).


SSH: Appendices

Appendices

The SSH Secure Shell for Workstations is shipped with several command line tools. Their functionality is briefly explained in the following appendices. (For information on the command line options of the client, see Section Command Line Options.)

SSH2

SCP2

SFTP2

ssh-keygen2

Frequently Asked Questions


SSH: SSH2

SSH2

SSH2.EXE is a command line version of the SSH Secure Shell for Workstations graphical user interface (GUI) utility.

Note: From SSH Secure Shell for Workstations (SSH Secure Shell) version 3.2.3 onwards, ssh2.exe has been a port from the UNIX version. Therefore some of the option switches have changed from earlier ssh2.exe versions.

The syntax of SSH2.EXE is the following:

ssh2 [options] [user@]host[#port] [command]

The following options are available:

-l login_name  Log in using this user name.
+a             Enable authentication agent forwarding.
-a             Disable authentication agent forwarding.
+x             Enable X11 connection forwarding (treat X11 clients as
               UNTRUSTED).
+X             Enable X11 connection forwarding (treat X11 clients as
               TRUSTED).
-x             Disable X11 connection forwarding.
-k dir         Custom configuration dir where ssh2_config, hostkeys and
               userkeys are located.
-i file        Identity file for public key authentication
-F file        Read an alternative configuration file.
-t             Tty; allocate a tty even if command is given.
-v             Verbose; display verbose debugging messages. Equal to '-d 2'
-d level       Set debug level.
-V             Display version string.
-q             Quiet; don't display any warning messages.
-c cipher      Select encryption algorithm. Multiple -c options are
               allowed and a single -c flag can have only one cipher.
-m MAC         Select MAC algorithm. Multiple -m options are
               allowed and a single -m flag can have only one MAC.
-p port        Connect to this port.  Server must be on the same port.
-S             Don't request a session channel.
-L listen-port:host:port   Forward local port to remote address
-R listen-port:host:port   Forward remote port to local address
               These cause ssh to listen for connections on a port, and
               forward them to the other side by connecting to host:port.
-g             Gateway ports, i.e. remote hosts may connect to locally
               forwarded ports.
+g             Don't gateway ports.
+C             Enable compression.
-C             Disable compression.
-E prov        Use 'prov' as the external key provider
-I initstr     Use 'initstr' as initialization string for the external key
               provider
-o 'option'    Process the option as if it was read from a configuration
               file.
-h             Display this help.

The command can be either of the following:

  • remote_command [arguments] ...

    Run command in remote host.

  • -s service

    Enable a service in remote server.

Type ssh2 -h to see the command line syntax, the location of the configuration files, supported ciphers and your license type.


SSH: SCP2

SCP2

SCP2.EXE is a Windows port of the UNIX Secure Copy 2 tool (scp2).

SCP2 is used to securely copy files over the network. The program uses the SSH2 protocol for data transfer, and uses the same authentication and provides the same security as SSH2. SCP2 will ask for passwords or passphrases if they are needed for authentication.

Any file name may contain a host, user and port specification to indicate that the file is to be copied to/from that host. Copies between two remote hosts are permitted.

SCP2 uses the same host keys and user keys as the graphical client. The default location for these files is the directory used to store the user profile. The -k switch can be used to override the default location. Certificate authentication can be used in some configurations with SCP2, but SCP2 exists for scripting purposes and certificate usage is not recommended.

Note: From SSH Secure Shell for Workstations (SSH Secure Shell) version 3.2.3 onwards, some of the option switches have changed from earlier scp2.exe versions. Now scp2.exe launches ssh2.exe as a transport. Therefore the configuration and authentication features of ssh2.exe can be used in scp2.exe as well.

Also note that SCP2 offers no fallback to the SSH1 protocol.

File Name Support

SCP2 Syntax

SCP2 Return Values


SSH: SCP2 Syntax

SCP2 Syntax

The Windows command line version of SCP2 does not have its own configure file, but scp2.exe launches ssh2.exe underneath to provide a secure transport. The ssh2.exe program reads its configuration from the ssh2_config configuration file.

The following command line parameters can be used to further specify the SCP2 options:

SYNOPSIS

scp2 [options]
     [[user@]host[#port]:]file ...
     [[user@]host[#port]:]file_or_directory

OPTIONS

-D debug_level_spec  Set debug level. (Syntax is `module=level')
-d                   Force target to be a directory.
-q                   Make scp quiet (only fatal errors are displayed).
-Q                   Don't show progress indicator.
-p                   Preserve file timestamps.
-u                   Remove source files after copying.
-B                   Sets batch-mode on.
--interactive
-I                   Prompt whether to overwrite an existing
                     destination file. (doesn't work with `-B')
--overwrite[=no]     Whether to overwrite existing destination file(s)
                     (default: yes).
-r                   Recurse subdirectories.
-a[arg]              Transfer files in ascii mode. See manual page
                     for description of optional argument.
--verbose
-v                   Verbose mode; equal to `-D 2'.
-c cipher            Select encryption algorithm. Multiple -c options are
                     allowed and a single -c flag can have only one cipher.
-S ssh2-path         Tell scp2 where to find ssh2.
-P ssh2-port         Tell scp2 which port sshd2 listens on the remote machine.
-b buffer-size       Define maximum buffer size for one request
                     (default 32768 bytes).
-N max_requests      Define maximum number of concurrent requests
                     (default 10).
-m fileperm[:dirperm]
                     Set the default file/dir permission bits for upload.
-o ssh2-opt          Specify additional options for ssh2.
                     Format is -o"ConfigKeyword=value".
-k dir               Custom configuration dir where ssh2_config,
                     hostkeys and userkeys are located.
--version
-V                   Display version.
--help
-h                   Display this help.

Switches added for the Windows version of SCP2 are -C, -f, -F and -k.


SSH: SCP2 Return Values

SCP2 Return Values

The Windows command line version of SCP2 returns the following values based on the success of the operation.

0     Operation was successful.
1     Operation resulted in an undetermined error within sshfilecopy.
2     Destination is not directory, but it should be.
3     Maximum symlink level exceeded.
4     Connecting to host failed.
5     Connection broke for some reason.
6     File doesn't exist.
7     No permission to access file.
8     Undetermined error from sshfilexfer.
9     File transfer protocol mismatch.


SSH: SFTP2

SFTP2

SFTP2.EXE is a Windows port of the UNIX Secure File Transfer 2 tool (sftp2).

SFTP2 is an FTP-like client that can be used for file transfer over the network. SFTP2 uses SSH2 in data connections, so the file transport is secure.

However, it should be noted that SFTP2 is not designed to be a drop-in replacement for an FTP client. It is an application that implements secure file transfer functionality and has most features that common FTP applications have.

In order to connect using SFTP2, you need to make sure that sshd2 is running on the remote host computer you are connecting to.

Note: From SSH Secure Shell for Workstations (SSH Secure Shell) version 3.2.3 onwards, some new option switches have been introduced. Now sftp2.exe launches ssh2.exe as a transport. Therefore the configuration and authentication features of ssh2.exe can be used in sftp2.exe as well.

File Name Support

Command Syntax

SFTP2 Commands

SFTP2 Command Interpretation


SSH: SFTP2 Commands

SFTP2 Commands

When SFTP2 is ready to accept commands, it will display a prompt (sftp>). The user can then enter any of the following commands:

  • open [host name]

    Tries to connect to the specified host.

  • localopen

    Opens a local connection. This is intended for debugging and testing.

  • close

    Closes the current session.

  • quit

    Quits the application.

  • cd [directory]

    Changes the current remote working directory.

  • lcd [directory]

    Changes the current local working directory. Also works for a network share.

  • pwd

    Prints the name of the current remote working directory.

  • lpwd

    Prints the name of the current local working directory.

  • ls [-R] [-l] [file ...]

    Lists the names of the files on the remote server. For directories, the contents of the directory are listed.

    When the -R option is specified, the directory trees are listed recursively. (By default, the subdirectories of the argument directories are not visited.)

    When the -l option is specified, file sizes, modification times, permissions and owners (as supported by the file system) are also shown.

    When no arguments are given, it is assumed that the contents of the current directory are being listed. Currently the options -R and - l are mutually incompatible.

  • lls [-R] [-l] [file ...]

    The same as ls, but operates on local files.

  • get [file ...]

    Transfers the specified files from the remote end to the local end. Directories are recursively copied with their contents.

  • mget [file ...]

    Synonymous to get.

  • put [file ...]

    Transfers the specified files from the local end to the remote end. Directories are recursively copied with their contents.

  • mput [file ...]

    Synonymous to put.

  • setperm [[p]file_permission[:directory_permission]]

    Sets both the default file and directory permission bits for upload. Prefix the file permission bits with p to preserve the permissions of existing files or directories. Use octal numbers to define the permission bits. Default values are 644 for files and 755 for directories.

  • rename [source] [target]

    Renames the file source to target.

  • lrename [source] [target]

    Same as rename, but operates on local files.

  • rm [file]

    Tries to delete the specified file.

  • lrm [file]

    The same as rm, but operates on local files.

  • mkdir [directory]

    Tries to create the specified directory.

  • lmkdir [directory]

    The same as mkdir, but operates on local files.

  • rmdir [directory]

    Tries to delete the specified directory.

  • lrmdir [directory]

    The same as rmdir, but operates on local files.

  • help [topic]

    If topic is not given, lists the available topics. If topic is given, outputs the available online help on the topic.


SSH: SFTP2 Command Interpretation

SFTP2 Command Interpretation

SFTP2 understands both backslashes (\) and quotation marks (")on the command line. A backslash can be used for ignoring the special meaning of any character in the command line interpretation. It will be removed even if the character it precedes has no special meaning.

Quotation marks can be used for specifying filenames with spaces.

Also, if you do get . or put . you will get or put every file in the current directory and possibly override files in your current directory.

SFTP2 supports wild cards (also known as glob patterns) given to commands ls, lls, get, and put.


SSH: ssh-keygen2

ssh-keygen2

SSH-KEYGEN2.EXE is a Windows port of the UNIX ssh2 key generation tool (ssh-keygen2).

ssh-keygen2 is a tool that generates and manages authentication keys for ssh2. Each user wishing to use ssh2 with public-key authentication can run this tool to create authentication keys. Additionally, the system administrator may use this to generate host keys for the server.

SYNOPSIS

  ssh-keygen2 [-b bits] [-t dsa|rsa] [-c comment_string]
  [-e file] [-p passphrase] [-P] [-h] [-?] [-q] [-1 file] [-i file]
  [-D file] [-B number] [-V] [-r file] [-x file] [-k file]
  [-7 file] [-F file] [key1 key2 ...]

OPTIONS

  -b bits
         Length of the key in bits, for example 1024 bits.

  -t dsa | rsa
         Choose the type of the key. Valid options are
         dsa and rsa.

  -c comment_string
         Specify the key's comment string.

  -e file
         Edit the specified key. Makes ssh-keygen2 interactive.
         You can change the key's passphrase or comment.

  -p passphrase
         Specify the passphrase used.

  -P     Specify that the key will be saved with an empty
         passphrase.

  -h | -?
         Print a short summary of ssh-keygen2 commands.

  -q     Hide the progress indicator.

  -1 file
         Convert key from ssh1 format to ssh2 format.

  -i file
         Load and display information on 'file'.

  -D file
         Derive the public key from the private key 'file'.

  -B number
         The number base for displaying key information (default 10).

  -V     Print version string and exit.

  -r file
         Stir in data from file to the random pool.

  -x file
         Convert private key from X.509 format to ssh2 format.

  -k file
         Convert a PKCS #12 file to an ssh2 format certificate
         and private key.

  -7 file
         Extract certificates from a PKCS #7 file.

  -F file
         Dump the fingerprint of a given public key. The finger-
         print is given in the Bubble Babble format, which
         makes the fingerprint look like a string of "real"
         words (making it easier to pronounce).


SSH: Frequently Asked Questions

Frequently Asked Questions

For an up-to-date list of answers to some of the most frequently asked questions about SSH Secure Shell for Workstations, please see the SSH Secure Shell for Workstations online FAQ (http://www.ssh.com/faq).


SSH: Colors

Colors

The color settings can be defined either globally or per profile. When the colors are defined under the Global Settings display, the Use Global Colors option is not available, but the color settings will affect all connection profiles.

For more information, see section Colors.


SSH: Command Syntax

Command Syntax

SYNOPSIS

sftp2 [-D debug_level_spec] [-B batchfile] [-S path] [-h]
      [-V] [-P port] [-b buffer_size] [-N max_requests]
      [-c cipher] [-m mac] [-o option_to_ssh2]
      [-k configdir]
      [user@]host[#port]

OPTIONS

-D debug_level_spec
       Debug mode. Makes SFTP2 to send verbose debug output.
       The debugging level is either a number (0-99),
       or a comma-separated list of assignments
       ModulePattern=debug_level.

-B batchfile
       Batch mode. Reads commands from a file instead of
       standard input. Since this mode is intended for
       scripts, SFTP2 will not try to interact with the user,
       which means that only passwordless authentication methods
       will work. In batch mode, a failure to change the current
       working directory will cause SFTP2 to abort.
       Other errors are ignored.

-S path
       Specifies the path to the ssh2 binary.

-h     Prints the command syntax and exits.

-V     Prints version information and exits.

-P port
       Specifies the port to be used.

-b buffer_size
       Specifies the size of the buffer.

-N max_requests
       Specifies the maximum number of allowed requests.

-c cipher
       Specifies the cipher to be used.

-m mac
       Specifies the MAC algorithm to be used.

-o ssh2-options
       Specifies options to give to ssh2. The option has the
       same format as a line in the configuration file.
       Comment lines are not accepted. Where applicable,
       egrep regex format is used.

-k dir Custom configuration directory where ssh2_config,
       hostkeys and userkeys are located.

user   Specify the username to use when connecting.
       (Optional)

host   Specify the host to connect to.

port   Specify the port on the host to connect to.
       (Optional)


SSH: Contact Information

Contact Information

SSH Communications Security Corp.

Fredrikinkatu 42; FIN-00100 Helsinki; FINLAND
SSH Communications Security Inc.
1076 East Meadow Circle; Palo Alto, CA 94303; USA
SSH Communications Security K.K.
House Hamamatsu-cho Bldg. 5F; 2-7-1 Hamamatsu-cho, Minato-ku; Tokyo 105-0013, JAPAN

WWW: http://www.ssh.com/
E-mail: ssh-sales@ssh.com (sales), http://www.ssh.com/support/
Tel.: +358 20 5007030 (Finland), +1 650 2512700 (USA), +81 3 34596830 (Japan)
Fax: +358 20 5007031 (Finland), +1 650 2512701 (USA), +81 3 34596825 (Japan)


SSH: Copyright Notice

Copyright Notice

© 1996 - 2003 SSH Communications Security Corp. No part of this publication may be reproduced, published, stored in an electronic database, or transmitted, in any form or by any means, electronic, mechanical, recording, or otherwise, for any purpose, without the prior written permission of SSH Communications Security Corp. This software is protected by international copyright laws. All rights reserved. ssh® is a registered trademark of SSH Communications Security Corp. in the United States and in certain other jurisdictions. SSH2, the SSH logo, SSH IPSEC Express, SSH Certifier, SSH Sentinel, SSH NAT Traversal, and Making the Internet Secure are trademarks of SSH Communications Security Corp. and may be registered in certain jurisdictions. All other names and marks are property of their respective owners. THERE IS NO WARRANTY OF ANY KIND FOR THE ACCURACY OR USEFULNESS OF THIS INFORMATION EXCEPT AS REQUIRED BY APPLICABLE LAW OR EXPRESSLY AGREED IN WRITING.


SSH: File Name Support

File Name Support

Please note the following about file name support:

  • Path notation

    Both Windows style (backslash) and UNIX style (slash) paths are supported.

  • Valid characters

    Valid characters for file names include the following:

     ( ) [ ] # "
    There is no need to escape the above characters.

  • Wild cards

    Wild card (regular expression) support is limited to asterisk (*) for any number of characters and question mark (?) for any one character.

  • Wild card case sensitivity

    Wild card (regular expression) matches are case insensitive, following the Windows convention. This applies for both the local and the remote end.


SSH: File Transfer

File Transfer

SSH Secure Shell for Workstations makes it easy and convenient to transfer files between your local computer and the remote host computer (server). You can upload and download files by using an intuitive, graphical user interface similar in functionality to Windows Explorer.

You can open the File Transfer window by clicking on the New File Transfer Window button on the SSH Secure Shell for Workstations toolbar, or by selecting the New File Transfer option (or the New File Transfer in the Current Directory option) from the Window menu. You can have an unlimited number of individual File Transfer windows open at the same time.

Figure : The File Transfer window.

SSH Secure Shell for Workstations File Transfer contains several unique features that make secure transfer operations fast and easy. Note, however, that SSH Secure Shell for Workstations is not just an alternative to an FTP client. You cannot for example use the client to login to a normal, insecure FTP server. The remote host computer must be running SSH server software.

File Transfer Window Layout

Navigating in the File Transfer Window

File Transfer Shortcut Menus

Differences From Windows Explorer

Downloading Files

Uploading Files

File Properties


SSH: Find

Find

The Find option is available only in the terminal window.

Choosing the Find option allows you to search for text within the scrollback buffer. For more information on searching, see section Find.


SSH Secure Shell for Workstations Windows Client version 3.2.9

SSH Secure Shell
for Workstations
Windows Client
version 3.2.9
User Manual

Introduction

Configuration

Connecting

Terminal Window

File Transfer

Toolbar Reference

Menu Reference

Advanced Information

Troubleshooting

Appendices


SSH: .

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

.

  • ... button
    • Find
  • .bak
    • Edit Profiles
  • .profile
    • Show Hidden Files
  • .pub
    • Keys
    • Key Generation Wizard
  • .rhosts
    • Show Hidden Files
  • .ssh2
    • Loading Settings
    • Edit Profiles
    • Uploading Your Public Key
    • Manually Copying the Key File
  • .ssh2 file
    • Saving Settings
  • .sshmap
    • Keyboard


SSH: 3

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

3

  • 3DES
    • Connection
    • Cipher List


SSH: A

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

  • About SSH Secure Shell for Workstations
    • About SSH Secure Shell for Workstations
  • Accession
    • SSH Accession
    • Terminal Window Status Bar
    • File Transfer Status Bar
  • account
    • Authentication Failure
  • active mode
    • Tunneling
  • active mode FTP
    • Forwarding FTP
  • Add option
    • Add
    • Add
  • Add Profile dialog
    • Quick Connect
  • Add/Remove Programs option
    • Removing the Installation
  • adding a profile
    • Add Profile
  • administrator
    • Key Generation - Finish
    • Authentication Failure
    • Disconnected; Authentication Error
  • advanced file transfer settings
    • Advanced
  • advanced information
    • Advanced Information
  • AES
    • Connection
  • AES128
    • Cipher List
  • AES192
    • Cipher List
  • AES256
    • Cipher List
  • agent forwarding
    • Authentication
  • agent: authentication
    • SSH Accession
  • algorithm
    • Terminal Window Status Bar
    • File Transfer Status Bar
    • Security Properties
  • algorithms: cipher list
    • Connection
  • alphabetical sorting
    • File Transfer
    • Contents of the File Transfer Window
    • Details
    • Details
    • Arrange Icons
  • ANSI answerback
    • Connection
  • ANSI colors
    • Colors
  • ANSI Colors setting
    • Colors
  • ANSI control codes
    • Colors
  • answerback: ANSI
    • Connection
  • answerback: VT100
    • Connection
  • answerback: VT102
    • Connection
  • answerback: VT220
    • Connection
  • answerback: VT320
    • Connection
  • answerback: xterm
    • Connection
  • application icon
    • Desktop Icons
  • application keypad
    • Keyboard
  • Arcfour
    • Connection
    • Cipher List
  • Arrange Icons option
    • Arrange Icons
  • ASCII file transfer
    • File Transfer
  • ASCII file transfer mode
    • ASCII
    • Auto Select
  • ASCII mode
    • Mode
  • ASCII mode file transfer
    • File Transfer Mode
  • associated windows
    • Disconnect
    • Confirm Disconnect
  • association: file type
    • Loading Settings
    • File Transfer
    • Contents of the File Transfer Window
  • asterisk
    • Saving Settings
    • Terminal Window Title Bar
    • File Transfer Title Bar
  • asymmetric encryption
    • Public-Key Infrastructure (PKI)
  • attribute
    • Contents of the File Transfer Window
  • attribute: Read-only
    • Failed To Read Keymap File
  • attributes
    • File Transfer
    • Contents of the File Transfer Window
    • Details
    • Details
  • attributes of files
    • Local View
    • Remote View
  • authentication
    • Authentication
    • CA Certificates
    • Key Generation
    • SSH2 Functionality
    • Public-Key Infrastructure (PKI)
    • Using Certificate Authentication
    • Authentication Failure
  • authentication agent
    • Authentication
    • SSH Accession
    • SSH2 Functionality
  • authentication agent forwarding
    • Authentication
  • authentication cookie
    • SSH2 Functionality
  • authentication error
    • Authentication Failure
    • Disconnected; Authentication Error
  • authentication failure
    • Host Identification Dialog
    • Authentication Failure
  • authentication failure
    • Host Identification
  • authentication method
    • Connect to Remote Host Dialog
    • SSH2 Functionality
    • Disconnected; Authentication Error
  • authentication process
    • Authentication Failure
  • authentication: hardware token
    • Overview
  • authentication: keyboard-interactive
    • Keyboard-Interactive Authentication
  • authentication: legacy methods
    • Overview
  • authentication: PAM
    • Overview
  • authentication: password
    • Overview
  • authentication: public-key
    • Keys
    • Connect to Remote Host Dialog
    • Using Public-Key Authentication
    • Enter Passphrase For Private Key
  • authentication: S/KEY
    • Overview
  • authentication: SecurID
    • Overview
  • authentication: server
    • Server Authentication
  • authorization file
    • Key Generation - Finish
    • Uploading Your Public Key
    • Manually Editing the Authorization File
    • Using Public-Key Authentication
  • auto select mode
    • Mode
  • Auto Select option
    • Auto Select
    • File Transfer Mode


SSH: B

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

B

  • Babble format
    • Host Identification Dialog
    • Host Identification
  • background color
    • Colors
  • Backspace
    • Keyboard
    • Up
  • Backspace operation
    • Keyboard
  • Backspace sends Delete
    • Keyboard
  • backup file
    • Edit Profiles
  • bak
    • Edit Profiles
  • Basic Encoding Rules (BER)
    • Using Certificate Authentication
  • BER (Basic Encoding Rules)
    • Using Certificate Authentication
  • binary file transfer mode
    • Binary
    • Auto Select
  • binary mode
    • Mode
  • binary mode file transfer
    • File Transfer Mode
  • binding keys
    • Keymap Editor
  • Blowfish
    • Connection
    • Cipher List
  • border
    • Printing
  • Browse button
    • Failed To Read Keymap File
  • browser
    • Contents
  • bug fixes
    • New Features
  • bug report
    • Troubleshooting
  • business information
    • Network Security Risks
  • By Date
    • Arrange Icons
  • By Name
    • Arrange Icons
  • By Size
    • Arrange Icons
  • By Type
    • Arrange Icons


SSH: C

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

C

  • CA (certification authority)
    • Certificates
    • Certificate Enrollment Wizard
    • CA Certificates
    • CA
    • Using Certificate Authentication
  • CA certificate
    • CA
    • Password Needed for PFX Integrity Check
  • CA certificate list
    • CA Certificates
  • CA root key
    • Host Keys
  • Cancel button
    • Host Identification Dialog
    • Connect to Remote Host Dialog
  • Cancel option
    • Cancel
  • cancel selection
    • Select None
  • Cancel Transfer option
    • Cancel Transfer
  • Caps Lock key
    • Terminal Window Status Bar
  • card reader
    • Terminal Window Status Bar
    • File Transfer Status Bar
  • carriage return
    • Keyboard
  • carriage return character
    • File Transfer
  • case sensitive
    • File Transfer
    • Details
    • Details
    • Arrange Icons
  • case sensitive search
    • Find
  • case sensitivity
    • File Transfer
    • Contents of the File Transfer Window
    • Details
    • File Name Support
    • File Name Support
  • CAST
    • Connection
    • Cipher List
  • Cert.RSA.Compat.HashScheme
    • New Features
  • certificate
    • CA Certificates
    • Public-Key Infrastructure (PKI)
    • Password Needed for PFX Integrity Check
  • certificate authentication
    • Using Certificate Authentication
  • certificate enrollment
    • Certificate Enrollment
  • certificate enrollment
    • Using Certificate Authentication
  • certificate list
    • Certificates
  • Certificate Management Protocol (CMP)
    • Certificate Enrollment Wizard
  • certificate request
    • Certificate Enrollment
  • certificate revocation
    • Certificate Revocation
  • certificate revocation list (CRL)
    • CA Certificates
    • Certificate Revocation
  • certificate validity
    • Public-Key Infrastructure (PKI)
  • certificate validity period
    • Using Certificate Authentication
  • certification authority
    • Host Keys
  • certification authority (CA)
    • Certificates
    • Certificate Enrollment Wizard
    • CA Certificates
    • CA
    • Using Certificate Authentication
  • Certifier
    • Using Certificate Authentication
  • challenge
    • Key Generation
    • SSH2 Functionality
  • changed settings
    • Saving Settings
  • changing file permissions
    • Local View
    • Remote View
  • channel
    • Advanced Information
  • character encoding
    • Keyboard
  • characters: valid
    • File Name Support
    • File Name Support
  • checkmark
    • Log Session
  • chmod
    • Advanced
    • File Properties
  • cipher
    • Cipher List
  • cipher list
    • Connection
  • Cipher List page
    • Cipher List
  • clear selection
    • Select None
  • client icon
    • Desktop Icons
  • client version differences
    • File Open Error
  • clipboard
    • Security
    • Edit Profiles
    • Copy
    • Paste
    • Paste Selection
    • Copy
    • Paste
    • Paste Selection
    • Troubleshooting
  • Close All Others option
    • Close All Others
  • close button
    • New Terminal Window
    • New File Transfer Window
  • Close button
    • Print Preview
  • Close option
    • Close
  • close window button
    • New Terminal
    • New File Transfer
  • closed folder
    • Local Folder View
    • Remote Folder View
  • closing windows
    • New Terminal Window
    • New Terminal
  • CMP
    • Certificate Enrollment Wizard
  • CMPv2
    • Certificates
    • Using Certificate Authentication
  • color of text
    • Colors
  • color scheme
    • Colors
  • color settings
    • Colors
  • color: ANSI colors
    • Colors
  • color: background
    • Colors
  • color: cursor
    • Colors
  • color: disconnected
    • Colors
  • color: foreground
    • Colors
  • color: selection
    • Colors
  • color: terminal colors
    • Colors
  • command line
    • Command Line Options
  • command line interface
    • Terminal Window
  • command line options
    • Command Line Options
  • command output
    • Select All
  • command prompt
    • Command Line Options
  • comment
    • Key Generation - Enter Passphrase
  • Comment column
    • Keys
  • common controls library
    • Error Dialogs At Startup
  • Common Name
    • Certificate Enrollment Wizard
  • Common Name
    • Using Certificate Authentication
  • common settings
    • Global Settings
  • compression
    • Connection
  • compression: zlib
    • Connection
  • configuration
    • Desktop Icons
    • Configuration
    • Quick Connect
  • configuration file
    • Profile Settings
    • Save Settings
    • Save Settings
    • File Open Error
    • Keymap Error
  • configuring menu items
    • Customize
  • configuring menus
    • Configuring Menus
  • configuring toolbars
    • Configuring Toolbars
  • Confirm Disconnect dialog
    • Disconnect
  • Confirm File Overwrite dialog
    • Confirm File Overwrite
  • confirmation dialog
    • Messages
  • Connect button
    • Connect to Remote Host Dialog
  • Connect icon
    • Connecting to a Remote Host Computer
  • Connect option
    • Edit Profiles
    • Connect
  • Connect to Remote Host dialog
    • Connecting to a Remote Host Computer
    • Connect to Remote Host Dialog
  • connected window
    • Colors
  • connection
    • Connect to Remote Host Dialog
  • Connection Failure error message
    • Connection Failure
  • connection information
    • Terminal Window
  • Connection page
    • Connection
    • Connection Failure
  • connection protocol
    • Advanced Information
  • Connection screen
    • Terminal Window Status Bar
    • File Transfer Status Bar
  • connection settings
    • Configuration
    • Profile Settings
    • Connection
    • Settings
    • Settings
  • connection: IMAP
    • Tunneling
  • connection: lost
    • Unexpected EOF
  • connection: SSH1
    • Security
  • connection: VNC
    • Tunneling
  • Contents option
    • Contents
    • Contents
  • context sensitive help
    • Terminal Window Status Bar
    • Get Help On
    • Get Help On
  • Control Panel
    • Removing the Installation
  • cookie
    • SSH2 Functionality
  • copy
    • Differences From Windows Explorer
    • Copy
    • Paste
  • Copy option
    • Edit Profiles
    • Copy
    • Copy
  • copying files
    • Download Dialog
    • Upload Dialog
    • Upload
    • Download
  • copying text
    • Appearance
  • copyright information
    • About SSH Secure Shell for Workstations
  • corrective actions
    • Troubleshooting
  • Country
    • Certificate Enrollment Wizard
    • Using Certificate Authentication
  • country settings
    • File Transfer
  • CR
    • Keyboard
  • CR line break
    • File Transfer
  • cracker
    • Security of Internet Protocol
  • Create Shortcut button
    • Profile Settings
  • creating a new folder
    • Download - Select Folder Dialog
    • New Local Folder
    • New Remote Folder
  • creating new folders
    • Upload - Select Files Dialog
    • New Folder
  • CRL (certificate revocation list)
    • CA Certificates
    • Certificate Revocation
  • CRLF line break
    • File Transfer
  • Ctrl+A
    • Select All
  • Ctrl+C
    • Terminal Window
  • Ctrl+D
    • Download
  • Ctrl+G
    • Go To Folder
  • Ctrl+H
    • Home
  • Ctrl+Insert
    • Copy
    • Copy
  • Ctrl+N
    • New Folder
  • Ctrl+U
    • Upload
  • Ctrl+V
    • Paste
    • Troubleshooting
  • current directory
    • File Transfer Status Bar
  • current folder
    • Up
    • Up
  • current settings
    • Saving Settings
    • Save Settings
    • Save Settings
    • Save Layout
  • current window
    • New Terminal Window
    • New Terminal
  • cursor color
    • Colors
  • cursor keys
    • Keyboard
  • cursor position
    • Paste Selection
  • custom application
    • Drag And Drop Operations
  • Customize option
    • Customize
    • Customize
    • Customize
  • customized algorithm list
    • Connection
  • customized authentication
    • Cipher List
    • Authentication
  • cut and paste
    • Security
  • Cut option
    • Edit Profiles


SSH: D

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

D

  • data files
    • Failed To Read Keymap File
  • data files
    • Profile Settings
  • database
    • Host Keys
  • date format
    • File Transfer
  • date on printouts
    • Printing
  • date stamp
    • File Transfer
    • Advanced
  • DBCS
    • Keyboard
  • debug file
    • Debugging
  • debug level
    • Debugging
  • Debugging option
    • Debugging
  • default configuration
    • Quick Connect
  • default installation directory
    • Installation
  • default menu position
    • Permanent Menu Changes
  • default menus
    • Reset Toolbars
    • Reset Toolbars
  • default port
    • Connection
  • default profile
    • Command Line Options
  • default program group
    • Installation
  • default terminal settings
    • Reset Terminal
  • default toolbar position
    • Permanent Toolbar Changes
  • default toolbars
    • Reset Toolbars
    • Reset Toolbars
  • default view
    • File Transfer
  • default.ssh2
    • Desktop Icons
    • Saving Settings
    • Profile Settings
    • Quick Connect
    • Command Line Options
    • Save Settings
    • Save Settings
    • File Open Error
  • defaultsftp.ssh2
    • Desktop Icons
  • Delete
    • Keyboard
    • Delete
  • delete
    • Keys
    • Differences From Windows Explorer
  • Delete
    • Delete
  • Delete key
    • Keyboard
  • Delete Local option
    • Delete Local
  • Delete operation
    • Keyboard
  • Delete option
    • Delete
  • Delete Remote option
    • Delete Remote
  • Delete Sends Backspace
    • Keyboard
  • deleting files
    • Delete
  • deleting folders
    • Differences From Windows Explorer
  • DES
    • Cipher List
  • desktop
    • Desktop Icons
    • Loading Settings
    • Local View
    • Download - Select Folder Dialog
    • Uploading Files
    • Upload - Select Files Dialog
  • desktop shortcut
    • Profile Settings
  • destination host
    • Tunneling
  • destination port
    • Tunneling
  • Details option
    • Details
  • Details view
    • File Transfer
    • Details
    • Details
  • differences between Secure Shell versions
    • Security
    • File Open Error
    • The Remote Host Uses SSH1 Protocol
  • digital certificate
    • CA Certificates
    • Public-Key Infrastructure (PKI)
  • digital signature
    • Key Generation
    • Connect to Remote Host Dialog
    • SSH2 Functionality
  • Direction option
    • Find
  • directory
    • Download - Select Folder Dialog
    • Select All
    • Go To Folder
  • directory path
    • Profile Settings
    • Download - Select Folder Dialog
    • Go To Folder
  • directory server
    • LDAP Servers
  • directory services
    • Directory Services
  • directory structure
    • Local Folder View
    • Remote Folder View
    • Operation Menu
  • directory tree
    • Local Home
    • Remote Home
    • Show Root Directory
    • Home
  • directory: creating new directory
    • New Folder
  • directory: default installation
    • Installation
  • directory: installation
    • Silent Installation
  • directory: root directory
    • File Transfer
    • Show Root Directory
  • DisableVersionFallback
    • New Features
  • disconnect
    • New Terminal Window
    • New File Transfer Window
    • New Terminal
    • New File Transfer
  • Disconnect button
    • New Terminal
    • New File Transfer
  • Disconnect option
    • Disconnect
  • disconnected color
    • Colors
  • disconnected window
    • Colors
  • Disconnected; Authentication Error
    • Disconnected; Authentication Error
  • disconnecting
    • Disconnect
    • Disconnect
    • Confirm Disconnect
  • Disconnection error message
    • Disconnection
  • disk space
    • System Requirements
  • diskette
    • Host Identification Dialog
  • display colors
    • Colors
  • Display Host Name
    • Appearance
  • Display Profile Name
    • Appearance
  • DLL
    • PKCS #11
  • DNS
    • Disconnected; Authentication Error
  • DNS entry
    • Disconnected; Authentication Error
  • Domain Name System
    • Disconnected; Authentication Error
  • DOS shell
    • Command Line Options
  • double-byte character set (DBCS)
    • Keyboard
  • doubleclicking
    • Loading Settings
  • Down option
    • Find
  • Download - Select Folder dialog
    • Download - Select Folder Dialog
  • Download - Select Folder Dialog
    • Download - Select Folder Dialog
  • Download button
    • Downloading Files
  • Download dialog
    • Download Dialog
  • Download Dialog option
    • Download Dialog
  • Download option
    • Download
  • downloading
    • Downloading Files
    • Download - Select Folder Dialog
    • Download Dialog
    • Download
  • downloading status
    • Downloading Files
    • Uploading Files
  • drag and drop
    • Drag And Drop Operations
  • DSA
    • Key Generation - Key Properties
  • dynamic IP address
    • Disconnected; Authentication Error
  • dynamic link library (DLL)
    • PKCS #11


SSH: E

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

E

  • eavesdropping
    • Security of Internet Protocol
  • Edit button
    • Tunneling
  • Edit menu
    • Edit Menu
  • Edit operations
    • Security
  • Edit Profiles option
    • Edit Profiles
  • Edit Tunnel dialog
    • Tunneling
  • editing profiles
    • Edit Profiles
  • electronic wallet
    • SSH2 Functionality
  • ellipsis button
    • Find
  • Email Address
    • Certificate Enrollment Wizard
    • Using Certificate Authentication
  • email tunneling
    • Tunneling Example - Email
  • Empty Clipboard on Exit
    • Security
  • Empty Scrollback Buffer on Session Close
    • Security
  • Enable ANSI Colors checkbox
    • Colors
  • encoding: EUC-JP
    • Keyboard
  • encoding: JIS
    • Keyboard
  • encoding: Kanji
    • Keyboard
  • encoding: Katakana
    • Keyboard
  • encoding: shift-JIS
    • Keyboard
  • encrypted communications
    • Introduction
  • encrypted tunnel
    • Advanced Information
  • encryption
    • Security Properties
    • Public-Key Infrastructure (PKI)
  • encryption algorithm
    • Connection
    • Terminal Window Status Bar
    • File Transfer Status Bar
  • encryption algorithm: cipher list
    • Connection
  • End
    • Keyboard
  • End Of File (EOF)
    • Unexpected EOF
  • ending a connection
    • Disconnect
    • Disconnect
    • Confirm Disconnect
  • enhancements
    • New Features
  • enrollment
    • Certificate Enrollment
  • enrollment protocol
    • Using Certificate Authentication
  • enrollment protocol
    • Certificates
  • Enter
    • Keyboard
  • Enter sends CR + LF
    • Keyboard
  • entity
    • Public-Key Infrastructure (PKI)
  • environment variable
    • Profile Settings
  • EOF (End Of File)
    • Unexpected EOF
  • error
    • Troubleshooting
    • Expiration
    • Failed To Read Keymap File
    • File Open Error
    • Keymap Error
    • Your License Has Expired
    • Authentication Failure
    • Connection Failure
    • Disconnected; Authentication Error
    • Disconnection
    • Wrong Passphrase
    • Unexpected EOF
  • error at startup
    • Error Dialogs At Startup
  • error message
    • Troubleshooting
    • Failed To Read Keymap File
    • Authentication Failure
    • Error Renaming
  • error messages: SSH1 specific
    • SSH1 Specific Error Messages
  • error: lost connection
    • Unexpected EOF
  • error: signing
    • Signing error
  • escape sequence
    • Keyboard
  • EUC-JP encoding
    • Keyboard
  • evaluating
    • Evaluation Period Ending
    • Expiration
  • evaluation period
    • Evaluation Period Ending
  • event loop
    • Debugging
  • example: port forwarding
    • Tunneling Example - Email
    • Tunneling Example - FTP
  • example: tunneling
    • Tunneling Example - Email
    • Tunneling Example - FTP
  • Exceed
    • Tunneling
  • eXceed
    • Tunneling
  • Exit option
    • Exit
  • Explorer
    • File Transfer
    • File Transfer Window Layout
    • New Windows Explorer
  • Explorer windows: multiple
    • New Windows Explorer
  • extra windows
    • New Terminal Window
    • New File Transfer Window
  • extraneous windows
    • Desktop Icons


SSH: F

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

F

  • failed authentication
    • Authentication Failure
  • failed host identification
    • Host Identification Failed
  • Failed to create an incoming tunnel error message
    • Failed To Create An Incoming Tunnel
  • Failed To Read Keymap File
    • Failed To Read Keymap File
  • failed tunnel
    • Failed To Create An Incoming Tunnel
  • faking network addresses
    • Security of Internet Protocol
  • FAQ
    • Support
    • SSH on the Web
  • features: new
    • New Features
  • file attribute
    • Contents of the File Transfer Window
  • file attributes
    • Contents of the File Transfer Window
    • Local View
    • Remote View
    • Details
  • file bar
    • File Bar
  • File Bar option
    • File Bar
  • file conversion: ASCII text
    • File Transfer
  • file extension
    • Keyboard
    • Keys
    • Mode
    • Key Generation Wizard
    • Auto Select
    • File Transfer Mode
  • file handling
    • New File Transfer Window
  • File Local Menu 1
    • Customize
  • File Local Menu 2
    • Customize
  • file management
    • New Windows Explorer
  • file managing
    • New File Transfer
  • file name
    • Keys
    • File Transfer
    • Key Generation Wizard
    • Key Generation - Enter Passphrase
    • Contents of the File Transfer Window
    • Differences From Windows Explorer
    • Download - Select Folder Dialog
    • Paste
    • Details
    • Paste
    • Details
    • Arrange Icons
    • Rename
    • Import License File
    • Evaluation Period Ending
    • Expiration
    • Your License Has Expired
  • file name characters
    • File Name Support
    • File Name Support
  • file name extension
    • File Transfer
    • Contents of the File Transfer Window
    • Details
  • file name extension
    • Details
  • File name field
    • Upload - Select Files Dialog
  • file name support
    • File Name Support
    • File Name Support
  • file permissions
    • Advanced
    • Contents of the File Transfer Window
    • Local View
    • Remote View
  • file properties
    • Local View
    • Remote View
  • File Remote Menu 1
    • Customize
  • File Remote Menu 2
    • Customize
  • file selection dialog
    • Download - Select Folder Dialog
    • Upload - Select Files Dialog
  • file size
    • File Transfer
    • File Transfer Status Bar
    • Contents of the File Transfer Window
    • Differences From Windows Explorer
    • Details
    • Details
  • file size
    • Arrange Icons
  • file system limitations
    • Contents of the File Transfer Window
  • file time
    • File Transfer
  • file transfer
    • Security
    • Cancel Transfer
    • Cancel
    • File Transfer Mode
    • The Remote Host Uses SSH1 Protocol
  • File Transfer
    • File Transfer
    • File Transfer
  • file transfer
    • SFTP2
  • file transfer icon
    • Desktop Icons
  • file transfer mode
    • Mode
  • File Transfer Mode option
    • File Transfer Mode
  • File Transfer Protocol (FTP)
    • Tunneling Example - FTP
    • File Transfer
  • file transfer settings
    • File Transfer
    • File Transfer
    • Advanced
  • file transfer settings: profile-specific
    • File Transfer
  • File Transfer shortcut menu
    • File Transfer Shortcut Menus
  • File Transfer title bar
    • File Transfer Title Bar
  • file transfer window
    • Desktop Icons
    • Disconnect
    • Close All Others
    • Confirm Disconnect
  • File Transfer window
    • File Transfer
    • Disconnect
  • file transfer window
    • Appearance
  • File Transfer window layout
    • File Transfer Window Layout
  • File Transfer window View menu
    • File Transfer View Menu Options
  • file transfer: ASCII files
    • File Transfer
  • file transfer: ASCII mode
    • ASCII
    • Auto Select
    • File Transfer Mode
  • file transfer: binary mode
    • Binary
    • Auto Select
    • File Transfer Mode
  • file transfer: downloading
    • Downloading Files
    • Download - Select Folder Dialog
    • Download Dialog
  • File Transfer: Local View
    • Local View
  • File Transfer: navigating
    • Navigating in the File Transfer Window
  • file transfer: uploading
    • Uploading Files
    • Upload - Select Files Dialog
    • Upload Dialog
  • file type
    • File Transfer
    • Contents of the File Transfer Window
    • Details
    • Details
    • Arrange Icons
  • file type
    • Details
  • file type association
    • Loading Settings
    • File Transfer
    • Contents of the File Transfer Window
  • file type description
    • File Transfer
    • Contents of the File Transfer Window
    • Details
    • Details
  • file view
    • File Transfer
    • Large Icons
    • Small Icons
    • List
    • Details
    • Large Icons
    • Small Icons
    • List
    • Details
  • file view
    • Arrange Icons
  • file: deleting
    • Delete
  • file: license
    • Licensing
  • file: private key
    • Keys
  • file: public key
    • Keys
  • files: copying
    • Download Dialog
    • Upload Dialog
    • Upload
    • Download
  • files: hidden
    • Show Hidden Files
  • Find Next button
    • Find
  • Find option
    • Find
    • Find
  • finding text
    • Find
  • fingerprint
    • Server Authentication
    • Host Identification Dialog
    • Host Identification
  • firewall
    • Connection
    • Certificate Enrollment Wizard
    • Firewall
    • Terminal Window Status Bar
    • File Transfer Status Bar
    • SSH2 Functionality
    • Connection Failure
  • Firewall page
    • Firewall
  • firewall settings
    • Firewall
  • first connection
    • Connecting to a Remote Host Computer
    • Connect to Remote Host Dialog
  • fixed-width font
    • Font
  • folder
    • Local Folder View
    • Remote Folder View
    • Differences From Windows Explorer
    • Download - Select Folder Dialog
    • Upload - Select Files Dialog
    • Go To Folder
    • New Folder
  • Folder field
    • Download - Select Folder Dialog
  • folder management
    • New Windows Explorer
  • folder name
    • Download - Select Folder Dialog
  • folder view
    • File Transfer
    • Show/Hide Local Folders
    • Show/Hide Remote Folders
    • Show Root Directory
    • Show Hidden Files
  • folder view: local
    • Local Folder View
  • folder view: remote
    • Remote Folder View
  • folder: creating
    • New Local Folder
    • New Remote Folder
  • folder: creating new folder
    • New Folder
  • folder: root directory
    • File Transfer
    • Show Root Directory
  • folder: user settings
    • Profile Settings
  • folders: deleting
    • Differences From Windows Explorer
  • font
    • Font
  • font setting
    • Font
  • font size
    • Font
  • font: fixed-width
    • Font
  • font: installed
    • Font
  • font: non-proportional
    • Font
  • font: proportional
    • Font
  • font: terminal font
    • Font
  • footer on printouts
    • Printing
  • foreground color
    • Colors
  • forged public key
    • Host Identification Dialog
    • Host Identification
  • formatting string
    • File Transfer
  • forwarding
    • Tunneling
    • Tunneling Explained
    • Advanced Information
    • SSH2 Functionality
  • forwarding: agent
    • Authentication
  • forwarding: FTP
    • Tunneling
    • Forwarding FTP
  • forwarding: local
    • Local And Remote Forwarding
  • forwarding: remote
    • Local And Remote Forwarding
  • forwarding: X11
    • Tunneling
  • Frequently Asked Questions
    • Support
    • SSH on the Web
  • FTP
    • Introduction
    • SSH2 Protocol Features
    • Tunneling
    • SFTP2
  • FTP (File Transfer Protocol)
    • Tunneling Example - FTP
    • File Transfer
  • FTP connection
    • Tunneling
  • FTP forwarding
    • Forwarding FTP
  • FTP server
    • Tunneling
  • FTP tunneling
    • Tunneling
    • Tunneling Example - FTP
  • FTP: active mode
    • Tunneling
    • Forwarding FTP
  • FTP: passive mode
    • Tunneling
    • Forwarding FTP
  • function keys
    • Keyboard


SSH: G

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

G

  • generating keys
    • Connecting to a Remote Host Computer
  • Get Help On option
    • Get Help On
    • Get Help On
  • glob patterns
    • SFTP2 Command Interpretation
  • global colors
    • Colors
  • global configuration settings
    • Global Settings
  • global settings
    • Configuration
    • Global Settings
    • Settings
    • Settings
  • global.dat
    • New Features
    • Global Settings
  • Go To Folder
    • Go To Folder
  • Go To Folder option
    • Go To Folder
  • graphical user interface (GUI) help
    • Get Help On
  • grayed out option
    • Download
  • GUI control help
    • Get Help On


SSH: H

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

H

  • hacker
    • Security of Internet Protocol
  • hardware token
    • PKCS #11
    • PKCS #11
    • Overview
    • Signing error
  • hash algorithm
    • Connection
  • hash format
    • New Features
  • header on printouts
    • Printing
  • help
    • Support
    • Contents
    • SSH on the Web
  • Help button
    • Host Identification Dialog
  • help files
    • Contents
  • Help menu
    • Help Menu
  • help pointer
    • Get Help On
    • Get Help On
  • help text
    • File Transfer Status Bar
  • help window
    • Contents
  • help: context sensitive
    • Get Help On
    • Get Help On
  • hidden files
    • File Transfer
    • Show Hidden Files
  • hijacking
    • Security of Internet Protocol
  • HMAC-MD5
    • Connection
  • HMAC-SHA1
    • Connection
  • Home
    • Keyboard
  • home directory
    • Uploading Your Public Key
    • Local View
    • Local Home
    • Remote Home
    • Show Root Directory
    • Home
  • Home option
    • Home
  • home page
    • SSH on the Web
  • Home Page option
    • SSH on the Web
  • host
    • Host Identification Dialog
  • host computer
    • Wrong Password - Enter Again
  • host identification
    • Host Identification Dialog
    • Host Identification
    • Host Identification Failed
  • Host Identification Failed error
    • Host Identification Failed
  • host key
    • Profile Settings
    • Host Keys
    • Connecting to a Remote Host Computer
    • Host Identification Dialog
    • Host Keys
    • Host Identification
  • host key
    • Host Identification Dialog
  • host key file list
    • Host Keys
  • host key file list
    • Host Keys
  • host name
    • Connection
    • Appearance
    • Connect to Remote Host Dialog
    • Command Line Options
    • Terminal Window Title Bar
    • Connect
    • Host Keys
    • Host Identification Failed
  • host name
    • File Transfer Title Bar
  • host public key
    • Connecting to a Remote Host Computer
  • host settings
    • Connecting
    • Settings
    • Settings
  • host: unknown host
    • Connection Failure
  • HTTP proxy
    • Certificate Enrollment Wizard
  • HTTP tunneling
    • Tunneling Explained


SSH: I

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

I

  • icon
    • Desktop Icons
    • Loading Settings
    • File Transfer
    • Terminal Window Title Bar
    • File Transfer Title Bar
    • Contents of the File Transfer Window
    • Large Icons
    • Small Icons
    • List
    • Details
    • Large Icons
    • Small Icons
    • List
    • Details
  • icons: moving
    • Moving Toolbar Buttons
  • IETF
    • Public-Key Infrastructure (PKI)
  • IMAP (Internet Message Access Protocol)
    • Tunneling Example - Email
  • IMAP connection
    • Tunneling
  • Import License File option
    • Import License File
    • Evaluation Period Ending
    • Expiration
    • Your License Has Expired
  • improvements
    • New Features
  • incoming tunnel
    • Tunneling
    • Local And Remote Forwarding
  • Index link
    • Contents
  • Insert
    • Keyboard
  • installation
    • System Requirements
    • Installation
  • installation directory
    • Installation
    • Silent Installation
  • installation directory
    • Import License File
  • installation response file
    • Silent Installation
  • installation: removing
    • Removing the Installation
  • installation: silent
    • Silent Installation
  • installation: upgrading
    • Upgrading the Installation
  • installed fonts
    • Font
  • integrity
    • Security Properties
  • Internet
    • Network Security Risks
    • Security of Internet Protocol
  • Internet Engineering Task Force (IETF)
    • Public-Key Infrastructure (PKI)
  • Internet Explorer
    • Using Certificate Authentication
  • Internet Message Access Protocol (IMAP)
    • Tunneling Example - Email
  • Internet Protocol
    • Network Security Risks
  • Internet Service Provider (ISP)
    • Tunneling Example - Email
  • intruder
    • Host Identification Failed
  • IP
    • Network Security Risks
  • IP address
    • Connect to Remote Host Dialog
    • Connect
    • Disconnected; Authentication Error
  • IP address
    • Host Identification Failed
  • IP spoofing
    • Security of Internet Protocol
  • ISP (Internet Service Provider)
    • Tunneling Example - Email
  • issuer
    • Public-Key Infrastructure (PKI)


SSH: J

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

J

  • Japanese encoding
    • Keyboard
  • JIS encoding
    • Keyboard


SSH: K

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

K

  • Kanji encoding
    • Keyboard
  • Katakana encoding
    • Keyboard
  • key binding
    • Keymap Editor
  • key exchange
    • Host Keys
  • key file
    • Keys
    • Host Keys
    • Key Generation
    • Key Generation Wizard
  • key file
    • Key Generation
  • Key Generation - Enter Passphrase
    • Key Generation - Enter Passphrase
  • Key Generation - Finish
    • Key Generation - Finish
  • Key Generation - Generation
    • Key Generation - Generation
  • Key Generation - Start
    • Key Generation - Start
  • key generation wizard
    • Key Generation
  • key generation wizard
    • Key Generation Wizard
  • key length
    • Key Generation - Generation
  • key pair
    • Keys
    • Key Generation
    • Key Generation - Enter Passphrase
    • SSH2 Functionality
  • key pair: generating
    • Connecting to a Remote Host Computer
  • key security
    • Profile Settings
    • Keys
    • Key Generation
  • key: host public key
    • Connecting to a Remote Host Computer
  • key: private
    • Profile Settings
    • Keys
  • key: public
    • Keys
  • keyboard
    • Keyboard
    • Keymap Error
  • keyboard mapping
    • Profile Settings
    • Keyboard
  • keyboard settings
    • Keyboard
  • keyboard shortcut
    • Customize
    • Terminal Window
    • Copy
    • Paste
    • Go To Folder
    • Delete
  • Keyboard-Interactive
    • Connect to Remote Host Dialog
  • keyboard-interactive authentication
    • Keyboard-Interactive Authentication
  • keymap editor
    • Keyboard
  • keymap file
    • Failed To Read Keymap File
    • Keymap Error
  • KEYMAP.MAP
    • Failed To Read Keymap File
    • File Open Error
    • Keymap Error
  • KEYMAP22.MAP
    • Keymap Error
  • keypad
    • Keyboard
  • keypad mode
    • Keyboard
  • Keypad Mode
    • Keyboard
  • keywords
    • Contents


SSH: L

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

L

  • Large Icons option
    • Large Icons
  • Large Icons view
    • File Transfer
    • Large Icons
    • Large Icons
  • last modified
    • File Transfer
    • Contents of the File Transfer Window
    • Details
    • Details
  • last modified
    • Details
  • layout: File Transfer window
    • File Transfer Window Layout
  • LDAP (Lightweight Directory Access Protocol)
    • LDAP Servers
    • Directory Services
  • LDAP directory
    • Directory Services
  • LDAP server
    • LDAP Servers
  • legacy authentication methods
    • Overview
  • LF
    • Keyboard
  • LF line break
    • File Transfer
  • license
    • Import License File
    • Evaluation Period Ending
    • Expiration
    • Your License Has Expired
  • license agreement
    • Evaluation Period Ending
    • Expiration
    • Your License Has Expired
  • license file
    • Licensing
    • Import License File
  • license.dat
    • Import License File
  • license.dat
    • Evaluation Period Ending
    • Expiration
    • Your License Has Expired
  • license.txt
    • Evaluation Period Ending
    • Expiration
    • Your License Has Expired
  • licensing
    • Licensing
  • Lightweight Directory Access Protocol (LDAP)
    • LDAP Servers
    • Directory Services
  • limitations: file system
    • Contents of the File Transfer Window
  • line break conversion
    • File Transfer
  • line feed
    • Keyboard
  • Line Wrap
    • Keyboard
  • line wrapping
    • Keyboard
  • linefeed character
    • File Transfer
  • List option
    • List
  • List view
    • File Transfer
    • List
    • List
  • listen port
    • Tunneling
  • local computer
    • Uploading Files
    • Upload
    • Authentication Failure
  • local computer
    • New Windows Explorer
  • local connection
    • Tunneling
  • local connections
    • Tunneling
  • local database
    • Host Identification Dialog
  • local drive
    • Download - Select Folder Dialog
  • Local Favorites list
    • Local Favorites
  • local file folders
    • Show/Hide Local Folders
  • local file transfer settings
    • File Transfer
  • local folder view
    • Local Folder View
  • local forwarding
    • Local And Remote Forwarding
  • local forwards
    • Tunneling
  • local home directory
    • Local View
  • local port
    • Tunneling
  • Local View
    • Local View
  • Local View option
    • Local View
  • locale
    • File Transfer
  • localhost
    • Tunneling
  • locating text
    • Find
  • Lock Function Keys
    • Keyboard
  • log file
    • Silent Installation
    • Log Session
  • Log Session option
    • Log Session
  • logical channel
    • Advanced Information
  • login
    • Authentication Failure
  • lower case
    • File Transfer
    • Contents of the File Transfer Window
    • Details
    • Details
    • Arrange Icons
  • ls
    • Show Hidden Files


SSH: M

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

M

  • MAC (Message Authentication Code)
    • Connection
  • MAC algorithm
    • Terminal Window Status Bar
    • File Transfer Status Bar
  • mail tunneling
    • Tunneling Example - Email
  • man-in-the-middle attack
    • Server Authentication
    • Host Identification Dialog
    • SSH2 Functionality
  • mapping keys
    • Keyboard
  • margins
    • Printing
  • Match case option
    • Find
  • Match whole word only option
    • Find
  • maximum file size
    • Differences From Windows Explorer
  • MD5
    • New Features
    • Connection
  • menu customization
    • Customize
  • menu option
    • Terminal Window Status Bar
  • menu options: moving
    • Customize
  • menu: configuring
    • Configuring Menus
  • menu: moving
    • Moving Menus
  • menu: reset position
    • Permanent Menu Changes
  • menu: reseting
    • Reset Toolbars
    • Reset Toolbars
  • message
    • Messages
  • Message Authentication Code (MAC)
    • Connection
  • Microsoft
    • Error Dialogs At Startup
  • Microsoft Cryptographic API (MSCAPI)
    • SSH Accession
  • Microsoft Internet Explorer
    • Using Certificate Authentication
  • Microsoft Office
    • Appearance
  • Microsoft Outlook
    • Tunneling Example - Email
  • Microsoft Windows
    • System Requirements
  • mission-critical data
    • Network Security Risks
  • mode: passive
    • Tunneling
  • modem
    • Disconnected; Authentication Error
  • modification date
    • File Transfer
    • Contents of the File Transfer Window
    • Details
    • Details
    • Arrange Icons
  • Modified
    • Arrange Icons
  • mouse pointer
    • Get Help On
    • Get Help On
  • moving menu options
    • Customize
  • moving menus
    • Moving Menus
  • moving toolbar buttons
    • Moving Toolbar Buttons
  • moving toolbars
    • Moving Toolbars
  • MSCAPI (Microsoft Cryptographic API)
    • SSH Accession
  • multiple terminal windows
    • Security
    • The Remote Host Uses SSH1 Protocol
  • multiple windows
    • Desktop Icons
    • Appearance
    • File Transfer
    • New Terminal Window
    • New File Transfer Window
    • New Terminal
    • New File Transfer
    • New Windows Explorer
  • multiple Windows Explorer windows
    • New Windows Explorer
  • multiplexing
    • Advanced Information


SSH: N

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

N

  • name
    • Tunneling
    • Connect to Remote Host Dialog
    • New Terminal Window
    • New File Transfer Window
  • Name
    • Arrange Icons
  • name server
    • Disconnected; Authentication Error
  • NAT (Network Address Translation)
    • Tunneling Explained
  • NAT-Traversal
    • Tunneling Explained
  • navigating
    • Navigating in the File Transfer Window
  • Netscape Navigator
    • Using Certificate Authentication
  • Network Address Translation (NAT)
    • Tunneling Explained
  • network connection
    • Connection Failure
    • Disconnection
  • network drive
    • Download - Select Folder Dialog
    • Upload - Select Files Dialog
  • network errors
    • Network Security Risks
  • network printer
    • Print
  • new directory
    • New Folder
  • new features
    • New Features
  • New File Transfer in Current Directory option
    • New File Transfer in Current Directory
  • New File Transfer option
    • New File Transfer
  • New File Transfer Window option
    • New File Transfer Window
  • new folder
    • Download - Select Folder Dialog
    • Upload - Select Files Dialog
    • New Folder
  • New Folder option
    • Edit Profiles
    • New Folder
  • new key pair
    • Key Generation Wizard
  • New Local Folder option
    • New Local Folder
  • New Remote Folder option
    • New Remote Folder
  • new SSH connection
    • Quick Connect
  • New Terminal in Current Directory option
    • New Terminal in Current Directory
  • New Terminal option
    • New Terminal
  • New Terminal Window option
    • New Terminal Window
  • New Windows Explorer option
    • New Windows Explorer
  • next match
    • Find
  • Next Page button
    • Print Preview
  • No further authentication methods available
    • Disconnected; Authentication Error
  • No to All button
    • Confirm File Overwrite
  • non-interactive installation
    • Silent Installation
  • non-proportional font
    • Font
    • Printing
  • notation: path
    • File Name Support
    • File Name Support
  • Notepad
    • Drag And Drop Operations
  • Num Lock key
    • Terminal Window Status Bar
  • number of columns and rows
    • Terminal Window Status Bar
  • numeric keypad
    • Keyboard


SSH: O

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

O

  • OCSP
    • Certificate Revocation
  • Office XP Look
    • Appearance
  • OK button
    • Colors
  • One Page button
    • Print Preview
  • one page print preview mode
    • Print Preview
  • Online Certificate Status Protocol (OCSP)
    • Certificate Revocation
  • online help
    • Support
    • Host Identification Dialog
  • Online Help option
    • SSH on the Web
  • online purchase
    • Licensing
  • open folder
    • Local Folder View
    • Remote Folder View
  • Open option
    • Open
  • Operation menu
    • Operation Menu
  • options: command line
    • Command Line Options
  • Organization
    • Certificate Enrollment Wizard
    • Using Certificate Authentication
  • Organization Unit
    • Certificate Enrollment Wizard
  • Organization Unit
    • Using Certificate Authentication
  • organizing profiles
    • Edit Profiles
  • Outgoing page
    • Tunneling
  • outgoing tunnel
    • Tunneling
    • Local And Remote Forwarding
  • Outlook
    • Tunneling Example - Email
  • OUTPUT.MAP
    • Keymap Error


SSH: P

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

P

  • Page Down
    • Keyboard
  • page number on printouts
    • Printing
  • Page Setup option
    • Page Setup
  • Page Up
    • Keyboard
  • pages to print
    • Print
  • PAM (Pluggable Authentication Module)
    • Connect to Remote Host Dialog
    • Overview
    • PAM Response
  • parent folder
    • Download - Select Folder Dialog
    • Upload - Select Files Dialog
    • Up
    • Up
  • passive mode
    • Tunneling
  • passive mode FTP
    • Forwarding FTP
  • passphrase
    • Certificates
    • Key Generation - Enter Passphrase
    • Using Public-Key Authentication
    • Enter Passphrase For Private Key
    • Wrong Passphrase
  • password
    • Connect to Remote Host Dialog
    • New Terminal Window
    • Connect
    • SSH2 Functionality
    • Authentication Failure
    • PAM Response
    • Password Needed for PFX Integrity Check
    • Wrong Password - Enter Again
  • password authentication
    • Connect to Remote Host Dialog
    • Using Public-Key Authentication
    • SSH2 Functionality
    • Overview
  • password error
    • Wrong Password - Enter Again
  • password length masking
    • Security
  • paste
    • Appearance
    • Differences From Windows Explorer
    • Copy
    • Paste
  • Paste option
    • Edit Profiles
    • Paste
    • Paste
  • Paste Selection option
    • Paste Selection
    • Paste Selection
  • pasted file
    • Paste
    • Paste
  • path
    • Download - Select Folder Dialog
  • path notation
    • File Name Support
    • File Name Support
  • pattern matching
    • Find
  • permissions
    • Advanced
    • Contents of the File Transfer Window
  • permissions of files
    • Local View
    • Remote View
  • personal data
    • Profile Settings
  • personal data
    • Profiles
  • personal directory
    • SSH2 Functionality
  • personal directory
    • Failed To Read Keymap File
  • personal files
    • Profile Settings
  • personal folder
    • Profiles
  • personal identification number (PIN)
    • Enter PIN
    • New PIN
  • PIN
    • Enter PIN
    • New PIN
  • PKCS #11
    • PKCS #11
  • PKCS #11 provider
    • PKCS #11 Keys
    • Signing error
  • PKCS #12
    • Certificate Enrollment Wizard
    • Using Certificate Authentication
    • Password Needed for PFX Integrity Check
  • PKCS #7
    • Using Certificate Authentication
  • PKI
    • Public-Key Infrastructure (PKI)
  • PKI (Public Key Infrastructure)
    • Certificates
    • CA Certificates
  • PKIX Working Group
    • Public-Key Infrastructure (PKI)
  • platform: supported
    • System Requirements
  • Pluggable Authentication Module (PAM)
    • Connect to Remote Host Dialog
    • Overview
    • PAM Response
  • Pluggable Authentication Modules (PAM)
    • Authentication
    • Connect to Remote Host Dialog
  • pointer: help pointer
    • Get Help On
  • POP3 tunneling
    • Tunneling Explained
  • popup menu
    • File Transfer Shortcut Menus
    • Downloading Files
    • Uploading Files
  • popup menu customization
    • Customize
  • port
    • Tunneling
    • Command Line Options
    • Connection Failure
    • Failed To Create An Incoming Tunnel
  • port forwarding
    • Tunneling
    • Tunneling Explained
  • port forwarding email
    • Tunneling Example - Email
  • port forwarding example
    • Tunneling Example - Email
    • Tunneling Example - FTP
  • port forwarding FTP
    • Tunneling Example - FTP
  • port number
    • Connection
    • Connect to Remote Host Dialog
  • port: destination port
    • Tunneling
  • port: listen port
    • Tunneling
  • position of windows
    • Desktop Icons
    • Saving Settings
  • positioning menu items
    • Customize
  • positioning menus
    • Moving Menus
  • positioning toolbar buttons
    • Moving Toolbar Buttons
  • positioning toolbars
    • Moving Toolbars
  • preferred algorithms
    • Connection
  • Prev Page button
    • Print Preview
  • preview
    • Print Preview
  • previous connection
    • Connect to Remote Host Dialog
  • Print button
    • Print Preview
  • Print option
    • Print
    • Print
  • print preview mode
    • Print Preview
  • Print Preview option
    • Print Preview
  • print range
    • Print
  • print settings
    • Printing
  • printed output
    • Printing
  • printer
    • Printing
    • Print
    • Print Preview
  • printer settings
    • Print
    • Print Preview
  • printing
    • Printing
    • Print
    • Print Preview
  • printout footer
    • Printing
  • printout header
    • Printing
  • private key
    • Profile Settings
    • Keys
    • Key Generation
    • SSH2 Functionality
    • Public-Key Infrastructure (PKI)
    • Password Needed for PFX Integrity Check
  • private key
    • Key Generation
  • private key file
    • Keys
  • private key file list
    • Keys
  • Private Key File Name column
    • Keys
  • private key: comments
    • Keys
  • private key: generating
    • Keys
  • processor speed
    • Key Generation - Generation
  • profile
    • Appearance
    • Profiles
    • Add Profile
    • Edit Profiles
    • Connect to Remote Host Dialog
  • profile color settings
    • Colors
  • profile folder
    • Profile Settings
  • profile settings
    • Configuration
    • Global Settings
    • Settings
    • Settings
  • Profile Settings page
    • Profile Settings
    • Failed To Read Keymap File
  • profile tree
    • Edit Profiles
  • profile-specific file transfer settings
    • File Transfer
  • profile: adding
    • Add Profile
  • profile: default
    • Command Line Options
  • profile: editing
    • Edit Profiles
  • profile: roaming
    • Profile Settings
    • Keys
    • Key Generation
  • profiles bar
    • Profiles Bar
    • Profiles Bar
  • Profiles Bar option
    • Profiles Bar
    • Profiles Bar
  • Profiles button
    • Profiles Bar
  • Profiles option
    • Profiles
    • Profiles
  • profiles toolbar
    • Profiles Bar
  • profiles: organizing
    • Edit Profiles
  • program group
    • Installation
    • Silent Installation
  • program icon
    • Desktop Icons
  • program shortcut
    • Loading Settings
  • Programs menu
    • Installation
  • properties of files
    • Local View
    • Remote View
  • Properties option
    • Properties
  • proportional fonts
    • Font
  • protocol
    • Network Security Risks
  • protocol settings
    • Connection
  • protocol version
    • Terminal Window Status Bar
    • File Transfer Status Bar
  • protocol: connection
    • Advanced Information
  • protocol: FTP
    • Tunneling Example - FTP
  • protocol: IMAP
    • Tunneling Example - Email
  • protocol: SMTP
    • Tunneling Example - Email
  • protocol: SSH1
    • Different Secure Shell Versions
  • protocol: SSH2
    • Different Secure Shell Versions
  • protocol: transport layer
    • Advanced Information
  • protocol: user authentication
    • Advanced Information
  • provider
    • PKCS #11 Keys
    • Signing error
  • proxy: HTTP
    • Certificate Enrollment Wizard
  • pub
    • Keys
  • public host key
    • Host Keys
    • Host Keys
  • public key
    • Keys
    • Key Generation
    • Connecting to a Remote Host Computer
    • Host Identification Dialog
    • Uploading Your Public Key
    • Manually Copying the Key File
    • Using Public-Key Authentication
    • SSH2 Functionality
    • Public-Key Infrastructure (PKI)
    • Enter Passphrase For Private Key
    • Host Identification
  • public key
    • SSH2 Functionality
  • public key algorithm
    • Host Keys
  • public key file
    • Uploading Your Public Key
  • public key file
    • Manually Copying the Key File
  • Public Key Infrastructure (PKI)
    • Certificates
    • CA Certificates
  • public key, forged
    • Host Identification Dialog
    • Host Identification
  • public key: deleting
    • Keys
  • public key: generating
    • Keys
  • public key: uploading
    • Keys
    • Uploading Your Public Key
  • public-key authentication
    • Authentication
    • Keys
    • Key Generation
    • Key Generation - Finish
    • Connect to Remote Host Dialog
    • Uploading Your Public Key
    • Using Public-Key Authentication
    • SSH2 Functionality
    • Enter Passphrase For Private Key
  • public-key authentication
    • Key Generation
  • public-key infrastructure (PKI)
    • Public-Key Infrastructure (PKI)


SSH: Q

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Q

  • questions
    • Support
  • Quick Connect
    • Quick Connect
    • Profiles Bar
  • Quick Connect option
    • Quick Connect
  • quitting a connection
    • Disconnect
    • Disconnect
    • Confirm Disconnect


SSH: R

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

R

  • RA (registration authority)
    • Public-Key Infrastructure (PKI)
    • Certificate Enrollment
  • random errors
    • Network Security Risks
  • range of printed pages
    • Print
  • rcp
    • SSH2 Protocol Features
  • Read-only attribute
    • Failed To Read Keymap File
  • redraw
    • Refresh Remote
  • reference number
    • Certificate Enrollment Wizard
  • Reflection X
    • Tunneling
  • Refresh Local option
    • Refresh Local
  • Refresh option
    • Refresh
  • Refresh Remote option
    • Refresh Remote
  • refresh window
    • Refresh Local
    • Refresh Remote
    • Refresh
  • regex
    • File Name Support
    • File Name Support
  • regex (regular expression)
    • Find
  • registering
    • Import License File
    • Evaluation Period Ending
    • Expiration
    • Your License Has Expired
  • registration authority (RA)
    • Public-Key Infrastructure (PKI)
    • Certificate Enrollment
  • regular expression
    • Find
  • regular expression (regex)
    • Find
  • regular expressions
    • File Name Support
    • File Name Support
  • remote computer
    • Terminal Window Title Bar
    • File Transfer Title Bar
  • Remote Favorites list
    • Remote Favorites
  • remote file folders
    • Show/Hide Remote Folders
  • remote folder view
    • Remote Folder View
  • remote forwarding
    • Local And Remote Forwarding
  • remote host authentication
    • Host Keys
  • remote host computer
    • Introduction
    • Configuration
    • Connection
    • Colors
    • Appearance
    • Security
    • Key Generation
    • Key Generation - Finish
    • Connecting to a Remote Host Computer
    • Host Identification Dialog
    • Connect to Remote Host Dialog
    • Uploading Your Public Key
    • Manually Copying the Key File
    • Using Public-Key Authentication
    • Terminal Window
    • Terminal Window Status Bar
    • File Transfer Status Bar
    • Download - Select Folder Dialog
    • Uploading Files
    • New Terminal Window
    • New File Transfer Window
    • Settings
    • Authentication Failure
    • Enter Passphrase For Private Key
    • Host Identification
    • Wrong Password - Enter Again
  • remote host computer
    • SSH2 Functionality
    • Connection Failure
    • Disconnection
    • Host Identification Failed
    • The Remote Host Uses SSH1 Protocol
  • remote host computer
    • New Terminal
    • Authentication Failure
    • Error Renaming
  • Remote View
    • Remote View
  • removing installation
    • Removing the Installation
  • rename
    • Error Renaming
  • Rename option
    • Rename
  • replicating
    • Profile Settings
    • Keys
  • repositioning menu items
    • Customize
  • repositioning menus
    • Moving Menus
  • repositioning toolbar buttons
    • Moving Toolbar Buttons
  • repositioning toolbars
    • Moving Toolbars
  • RequireReverseMapping
    • Disconnected; Authentication Error
  • reset menus
    • Permanent Menu Changes
  • Reset Terminal option
    • Reset Terminal
  • reset toolbars
    • Permanent Toolbar Changes
  • Reset Toolbars option
    • Reset Toolbars
    • Reset Toolbars
  • reseting menus
    • Reset Toolbars
    • Reset Toolbars
  • reseting toolbars
    • Reset Toolbars
    • Reset Toolbars
  • response file
    • Silent Installation
  • return menus to default
    • Permanent Menu Changes
  • return toolbars to default
    • Permanent Toolbar Changes
  • Reverse Colors setting
    • Colors
  • reverse lookup
    • Disconnected; Authentication Error
  • reverse sorting
    • File Transfer
    • Contents of the File Transfer Window
    • Details
    • Details
    • Arrange Icons
  • Reverse Video checkbox
    • Colors
  • revocation
    • Certificate Revocation
  • rexec
    • SSH2 Protocol Features
  • rlogin
    • SSH2 Protocol Features
  • roaming profile
    • Profile Settings
    • Keys
    • Key Generation
  • root CA
    • CA
  • root directory
    • File Transfer
  • root directory
    • Show Root Directory
  • root folder
    • Show Root Directory
  • RSA
    • Key Generation - Key Properties
  • rsh
    • SSH2 Protocol Features


SSH: S

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

S

  • S-JIS encoding
    • Keyboard
  • S/KEY authentication
    • Overview
  • safety measures
    • Key Generation - Start
  • Save Layout option
    • Save Layout
  • Save Settings option
    • Save Settings
  • saving
    • Saving Settings
  • saving settings
    • Desktop Icons
    • Save Settings
    • Save Settings
  • scp2
    • SCP2
  • scp2
    • SCP2
  • SCP2.EXE
    • SCP2
  • scrollback buffer
    • Appearance
    • Security
    • Print
    • Print Preview
    • Find
    • Print Preview
    • Select All
  • Scrollback Buffer Size
    • Appearance
  • search term
    • Find
  • searching
    • Find
  • searching text
    • Find
  • secure channel
    • Introduction
    • SSH2 Functionality
  • Secure Copy 2 tool
    • SCP2
  • secure email reading
    • Tunneling Example - Email
  • secure file transfer
    • SSH2 Protocol Features
  • Secure File Transfer 2 tool
    • SFTP2
  • secure FTP access
    • Tunneling Example - FTP
  • secure network services
    • Introduction
  • secure network services
    • Advanced Information
  • Secure Shell client
    • Different Secure Shell Versions
  • Secure Shell protocol
    • Security
  • Secure Shell server
    • Disconnected; Authentication Error
  • Secure Shell version 1
    • Different Secure Shell Versions
    • Security
    • The Remote Host Uses SSH1 Protocol
  • Secure Shell version 2
    • Different Secure Shell Versions
    • Security
    • The Remote Host Uses SSH1 Protocol
  • Secure Shell version differences
    • Different Secure Shell Versions
    • Security
    • The Remote Host Uses SSH1 Protocol
  • SecurID
    • Overview
  • SecurID authentication
    • Authentication
    • Connect to Remote Host Dialog
  • SecurID device
    • Authentication
    • Connect to Remote Host Dialog
  • security issues
    • Profile Settings
    • Tunneling
    • Keys
    • Key Generation
  • Security page
    • The Remote Host Uses SSH1 Protocol
  • security settings
    • Security
  • Select All option
    • Select All
  • Select Application dialog
    • File Transfer
  • Select None option
    • Select None
  • Select Screen option
    • Select Screen
  • selected text
    • Print
  • selecting text
    • Select All
    • Select Screen
  • selection
    • Paste Selection
    • Paste Selection
  • selection color
    • Colors
  • selection: canceling
    • Select None
  • separate clients
    • Disconnect
    • Disconnect
    • Exit
    • Confirm Disconnect
  • separate connections
    • Disconnect
  • separate connections
    • Confirm Disconnect
  • sequence number
    • File Transfer Title Bar
  • sequence number
    • Terminal Window Title Bar
  • sequence number of each window
    • New Terminal Window
    • New File Transfer Window
  • server
    • Disconnected; Authentication Error
  • server authentication
    • Server Authentication
    • Host Keys
  • server connection: lost
    • Unexpected EOF
  • server software
    • Error Renaming
  • server version
    • Rename
  • server version
    • Error Renaming
  • server: FTP
    • Tunneling
  • Service Pack requirements
    • System Requirements
  • service provider
    • Disconnected; Authentication Error
  • service request
    • Advanced Information
  • session logging
    • Log Session
  • settings
    • Configuration
    • Profile Settings
    • File Transfer
  • settings categories
    • Configuration
  • Settings dialog
    • Tunneling
    • Firewall
    • Terminal Window Status Bar
    • File Transfer Status Bar
    • Failed To Read Keymap File
    • Connection Failure
    • The Remote Host Uses SSH1 Protocol
  • settings file
    • Desktop Icons
    • Saving Settings
    • Loading Settings
    • Profile Settings
    • Terminal Window Title Bar
    • File Transfer Title Bar
    • Save Settings
    • Save Settings
  • Settings option
    • Settings
    • Settings
  • settings: common
    • Global Settings
  • settings: file transfer
    • File Transfer
    • Advanced
  • settings: global
    • Global Settings
    • Settings
    • Settings
  • settings: host
    • Connecting
    • Settings
    • Settings
  • settings: profile
    • Profile Settings
    • Settings
    • Settings
  • settings: saving
    • Desktop Icons
    • Saving Settings
    • Save Settings
    • Save Settings
  • settings: upload
    • Advanced
  • setup-client.iss
    • Silent Installation
  • setup.log
    • Silent Installation
  • SFTP
    • SSH2 Protocol Features
  • sftp2
    • SFTP2
  • sftp2
    • SFTP2
  • SFTP2.EXE
    • SFTP2
  • SHA1
    • New Features
    • Connection
  • Shift+Insert
    • Paste
  • shift-JIS encoding
    • Keyboard
  • shortcut
    • Loading Settings
    • Profile Settings
    • Customize
    • Copy
    • Paste
  • shortcut key
    • Keymap Editor
  • shortcut menu
    • Terminal Window Shortcut Menu
    • File Transfer Shortcut Menus
    • Downloading Files
    • Uploading Files
    • Rename
    • Properties
  • shortcut menu customization
    • Customize
  • Show Hidden Files option
    • Show Hidden Files
  • Show Root Directory option
    • Show Root Directory
  • Show/Hide Local Folders option
    • Show/Hide Local Folders
  • Show/Hide Remote Folders option
    • Show/Hide Remote Folders
  • SI/SO
    • Keyboard
  • signature
    • Public-Key Infrastructure (PKI)
  • signing error
    • Signing error
  • silent installation
    • Silent Installation
  • Simple Mail Transfer Protocol (SMTP)
    • Tunneling Example - Email
  • single byte Katakana
    • Keyboard
  • Size
    • Arrange Icons
  • size of installation
    • System Requirements
  • size of windows
    • Font
  • Small Icons option
    • Small Icons
  • Small Icons view
    • File Transfer
    • Small Icons
    • Small Icons
  • smart card
    • PKCS #11
  • smart card reader
    • Terminal Window Status Bar
    • File Transfer Status Bar
  • SMTP (Simple Mail Transfer Protocol)
    • Tunneling Example - Email
  • SMTP tunneling
    • Tunneling Explained
  • SOCKS
    • Firewall
  • SOCKS version 4
    • SSH2 Functionality
  • SOCKS4
    • Firewall
  • SOCKS5
    • Firewall
  • software key
    • PKCS #11
  • sort bar
    • Contents of the File Transfer Window
    • Details
    • Arrange Icons
  • sorting
    • File Transfer
    • Contents of the File Transfer Window
    • Details
    • Details
    • Arrange Icons
  • sorting order
    • File Transfer
    • Contents of the File Transfer Window
    • Details
    • Details
  • sorting order
    • Arrange Icons
  • space requirements
    • System Requirements
  • spoofing
    • Security of Internet Protocol
  • SSH Accession
    • SSH Accession
    • Terminal Window Status Bar
    • File Transfer Status Bar
  • SSH Babble format
    • Host Keys
    • Host Identification Dialog
    • Host Identification
  • SSH client version differences
    • File Open Error
  • SSH Communications Security
    • About SSH Secure Shell for Workstations
  • SSH Communications Security
    • SSH on the Web
  • SSH on the Web option
    • SSH on the Web
  • SSH Secure Shell for Workstations
    • Introduction
    • SSH2
  • SSH Secure Shell for Workstations help
    • Contents
  • SSH Secure Shell for Workstations icon
    • Desktop Icons
  • SSH server
    • Error Renaming
  • SSH Tectia Certifier™
    • Using Certificate Authentication
  • SSH Web pages
    • Support
  • ssh-agent2
    • Authentication
  • SSH-CONN
    • Advanced Information
  • ssh-keygen2
    • ssh-keygen2
  • ssh-keygen2
    • ssh-keygen2
  • SSH-KEYGEN2.EXE
    • ssh-keygen2
  • SSH-TRANS
    • Advanced Information
  • SSH-USERAUTH
    • Advanced Information
  • SSH1
    • Different Secure Shell Versions
    • Security
    • The Remote Host Uses SSH1 Protocol
    • SSH1 Specific Error Messages
    • SCP2
  • SSH1 connection
    • Security
  • SSH1 connection: lost
    • Unexpected EOF
  • SSH1 Connections
    • The Remote Host Uses SSH1 Protocol
  • SSH1 Connections selection
    • Security
  • SSH1 specific error messages
    • SSH1 Specific Error Messages
  • SSH2
    • Different Secure Shell Versions
    • Security
    • The Remote Host Uses SSH1 Protocol
  • ssh2
    • Edit Profiles
    • SSH2
  • SSH2 client
    • Introduction
  • SSH2 connection
    • Connection
  • ssh2 key generation tool
    • ssh-keygen2
  • ssh2 settings file
    • Saving Settings
  • SSH2.EXE
    • SSH2
  • SshClient.exe
    • Command Line Options
  • sshclient.exe
    • Command Line Options
  • SSHCLIENT_USERPROFILE
    • Profile Settings
  • sshd2_config
    • Disconnected; Authentication Error
  • ssheventloop
    • Debugging
  • sshmap
    • Keyboard
  • SSHTectiaClient-x.y.z.exe
    • Installation
  • Start menu
    • Installation
    • Desktop Icons
  • startup error
    • Error Dialogs At Startup
  • status bar
    • Terminal Window Status Bar
    • File Transfer Status Bar
    • Status Bar
    • Status Bar
  • Status Bar option
    • Status Bar
    • Status Bar
  • status of download
    • Downloading Files
    • Uploading Files
  • subfolder
    • Differences From Windows Explorer
  • submenu
    • Arrange Icons
  • support
    • Troubleshooting
  • support service
    • Support
  • support web form
    • Troubleshooting
  • supported platforms
    • System Requirements
  • system administrator
    • Error Renaming
    • Failed To Create An Incoming Tunnel
  • system administrator
    • Authentication Failure
  • system message
    • Messages
  • system partition
    • Installation
  • system requirements
    • System Requirements


SSH: T

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

T

  • taking over a communication
    • Security of Internet Protocol
  • TCP
    • Tunneling
  • TCP traffic tunneling
    • Tunneling Explained
  • TCP/IP
    • Security of Internet Protocol
  • TCP/IP connection
    • Advanced Information
    • SSH2 Functionality
  • TCP/IP port
    • Advanced Information
  • technical support
    • Support
  • Tectia Certifier
    • Using Certificate Authentication
  • Telnet
    • Introduction
    • SSH2 Protocol Features
    • Terminal Window
  • temporary copy
    • Copy
    • Copy
  • temporary storage
    • Copy
    • Paste
    • Copy
    • Paste
  • terminal answerback
    • Connection
  • terminal colors
    • Colors
  • terminal font
    • Font
  • terminal output
    • Appearance
    • Security
  • Terminal Popup menu
    • Customize
  • terminal scrollback buffer
    • Print
    • Print Preview
  • terminal session
    • Log Session
  • terminal window
    • Desktop Icons
    • Colors
    • Keyboard
    • Appearance
    • Font
    • Terminal Window
    • Terminal Window Status Bar
    • Paste Selection
    • Disconnect
    • Select All
    • Close All Others
  • Terminal window
    • Terminal Window Status Bar
  • terminal window
    • Disconnect
    • New Terminal
    • Confirm Disconnect
  • terminal window shortcut menu
    • Terminal Window Shortcut Menu
  • Terminal Window View menu
    • Terminal Window View Menu Options
  • terminal: reset
    • Reset Terminal
  • text colors
    • Colors
  • text display
    • Terminal Window
  • text file conversion
    • File Transfer
  • text labels
    • Customize
  • text lines
    • Keyboard
  • text output
    • Colors
  • text selection
    • Print
  • text: searching
    • Find
  • text: selecting
    • Select All
    • Select Screen
  • time format
    • File Transfer
  • time on printouts
    • Printing
  • time stamp
    • File Transfer
    • Advanced
  • title bar
    • Saving Settings
    • Appearance
    • Terminal Window Title Bar
    • File Transfer Title Bar
    • New Terminal Window
    • New File Transfer Window
    • New Terminal
    • New File Transfer
  • title bar
    • Appearance
    • New Terminal
    • New File Transfer
  • title on printouts
    • Printing
  • Toggle Transfer View option
    • Toggle Transfer View
  • token
    • PKCS #11
  • toolbar
    • Configuration
    • Saving Settings
    • Customize
    • Toolbar Reference
    • Toolbar
    • Toolbar
  • toolbar button
    • Terminal Window Status Bar
  • toolbar buttons: moving
    • Moving Toolbar Buttons
  • Toolbar option
    • Toolbar
    • Toolbar
  • toolbar: configuring
    • Configuring Toolbars
  • toolbar: moving
    • Moving Toolbars
  • toolbar: reset position
    • Permanent Toolbar Changes
  • toolbar: reseting
    • Reset Toolbars
    • Reset Toolbars
  • Toolbars tab
    • Customize
  • transcript
    • Log Session
  • transfer mode
    • Mode
  • transfer mode
    • File Transfer Mode
  • Transfer View
    • Transfer View
    • Toggle Transfer View
  • Transfer View option
    • Transfer View
  • transport layer connection
    • Advanced Information
  • transport layer protocol
    • Advanced Information
  • Trojan horse
    • SSH2 Functionality
  • Troubleshooting option
    • Troubleshooting
  • troubleshooting report
    • Troubleshooting
  • trusted
    • Host Keys
  • tunnel
    • Tunneling
    • Advanced Information
    • Failed To Create An Incoming Tunnel
  • tunnel definition
    • Tunneling
  • Tunnel Failed error message
    • Failed To Create An Incoming Tunnel
  • tunnel type
    • Tunneling
  • tunnel: incoming
    • Tunneling
    • Local And Remote Forwarding
  • tunnel: outgoing
    • Tunneling
    • Local And Remote Forwarding
  • tunneling
    • Tunneling
    • Tunneling Explained
    • Advanced Information
  • tunneling email
    • Tunneling Example - Email
  • tunneling example
    • Tunneling Example - Email
    • Tunneling Example - FTP
  • tunneling FTP
    • Tunneling Example - FTP
  • tunneling settings
    • Tunneling
  • tunneling: FTP
    • Tunneling
    • Forwarding FTP
  • tunneling: X11
    • Tunneling
  • two page print preview mode
    • Print Preview
  • Twofish
    • Connection
  • Twofish128
    • Cipher List
  • Twofish192
    • Cipher List
  • Twofish256
    • Cipher List
  • Type
    • Arrange Icons
  • typing mistake
    • Connection Failure
    • New PIN
    • Wrong Password - Enter Again
  • typing mistake
    • Authentication Failure


SSH: U

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

U

  • Unexpected EOF error
    • Unexpected EOF
  • uninstalling SSH Secure Shell for Workstations
    • Removing the Installation
  • UNIX
    • SCP2
    • SFTP2
    • ssh-keygen2
  • UNIX file permissions
    • Local View
    • Remote View
  • Unix line break
    • File Transfer
  • unknown file type
    • File Transfer
  • unknown host
    • Connection Failure
  • Up option
    • Find
    • Up
  • upgrading the installation
    • Upgrading the Installation
  • upload
    • Uploading Files
  • Upload - Select Files dialog
    • Upload - Select Files Dialog
  • Upload button
    • Uploading Files
  • Upload dialog
    • Upload Dialog
  • Upload Dialog option
    • Upload Dialog
  • Upload option
    • Upload
  • upload settings
    • Advanced
  • uploading
    • Uploading Files
    • Upload - Select Files Dialog
    • Upload Dialog
    • Upload
  • upper case
    • File Transfer
    • Contents of the File Transfer Window
    • Details
    • Details
  • upper case
    • Details
    • Arrange Icons
  • USB token
    • PKCS #11
  • user authentication
    • Advanced Information
  • user authentication protocol
    • Advanced Information
  • user certificate
    • Password Needed for PFX Integrity Check
  • user interface
    • Get Help On
    • Get Help On
  • user key
    • Keys
    • Key Generation Wizard
    • Manually Copying the Key File
  • user name
    • Connection
    • Connect to Remote Host Dialog
    • Command Line Options
    • Connect
    • Authentication Failure
  • user profile
    • Profile Settings
  • user profile directory
    • Global Settings
    • Key Generation Wizard
  • user settings
    • Manually Copying the Key File
  • user settings folder
    • Profile Settings


SSH: V

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

V

  • valid characters
    • File Name Support
    • File Name Support
  • validity period
    • Public-Key Infrastructure (PKI)
    • Using Certificate Authentication
  • validity period
    • Certificate Enrollment Wizard
  • version differences
    • Security
    • File Open Error
    • The Remote Host Uses SSH1 Protocol
  • view
    • File Transfer
  • View menu
    • Terminal Window View Menu Options
    • File Transfer View Menu Options
  • view type
    • Local View
    • Remote View
  • VNC connection
    • Tunneling
  • VT100 answerback
    • Connection
  • VT102 answerback
    • Connection
  • VT220 answerback
    • Connection
  • VT320 answerback
    • Connection


SSH: W

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

W

  • Web help
    • Contents
  • wild card
    • Mode
    • SFTP2 Command Interpretation
  • wild cards
    • File Name Support
    • File Name Support
  • Window Caption
    • Appearance
  • Window Layout option
    • Appearance
  • window layout: File Transfer window
    • File Transfer Window Layout
  • Window menu
    • Terminal Window Title Bar
    • File Transfer Title Bar
    • Window Menu
  • window position
    • Saving Settings
  • window positions
    • Saving Settings
  • window size
    • Font
  • window size indicator
    • Terminal Window Status Bar
  • window: refreshing
    • Refresh Local
    • Refresh Remote
    • Refresh
  • window: sequence number
    • New Terminal Window
    • New File Transfer Window
    • New Terminal
    • New File Transfer
  • Windows
    • System Requirements
  • Windows 2000
    • Customize
  • Windows 2000
    • System Requirements
  • Windows 95
    • Error Dialogs At Startup
  • Windows 98
    • System Requirements
  • windows associated to a connection
    • Disconnect
    • Disconnect
    • Confirm Disconnect
  • Windows desktop
    • Desktop Icons
    • Loading Settings
    • Profile Settings
    • Local View
  • Windows Explorer
    • File Transfer
    • File Transfer Window Layout
    • Differences From Windows Explorer
  • Windows Explorer
    • File Transfer
  • Windows line break
    • File Transfer
  • Windows Me
    • System Requirements
  • Windows NT
    • System Requirements
  • Windows profile
    • Profile Settings
  • Windows Start menu
    • Desktop Icons
  • Windows XP
    • System Requirements
  • windows: closing
    • New Terminal Window
    • New Terminal
  • windows: multiple
    • Desktop Icons
    • Appearance
    • File Transfer
    • New Terminal Window
    • New File Transfer Window
    • New Terminal
    • New File Transfer
  • wrapping text lines
    • Keyboard
  • Wrong Password error message
    • Wrong Password - Enter Again


SSH: X

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

X

  • X emulator
    • Tunneling
  • X server
    • Tunneling
  • X- Windows
    • Tunneling
  • X.509
    • Using Certificate Authentication
  • X.509 v2
    • Certificate Revocation
  • X.509 v3
    • Directory Services
  • X11
    • SSH2 Functionality
  • X11 connection
    • Advanced Information
  • X11 tunneling
    • Tunneling
  • Xauthority data
    • SSH2 Functionality
  • xterm answerback
    • Connection


SSH: Y

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Y

  • Yes button
    • Confirm File Overwrite
  • Yes to All button
    • Confirm File Overwrite


SSH: Z

 . 3 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Z

  • zlib compression
    • Connection
  • Zoom In button
    • Print Preview
  • Zoom Out button
    • Print Preview


SSH: Local Favorites

Local Favorites

You can use the Local Favorites drop-down list box to open the contents of other local drives and directories in Local View. You can modify the contents of the Local Favorites list on the Local Favorites page of the Settings dialog (see section Local Favorites).


SSH: Multiple Settings Files

Multiple Settings Files

You can save separate settings files for each remote host computer. This can be done by using the Profiles option. For more information on using profiles, see section Profiles.


SSH: Print

Print

The Print option allows you output the contents of the current scrollback buffer to a printer. For more information on printing, see section Print.

The Print option is available only in the terminal window.


SSH: Print Preview

Print Preview

Selecting the Print Preview option will display the entire contents of the scrollback buffer split into pages in the same way it will be printed. For more information on previewing the printer output, see section Print Preview.

The Print Preview option is available only in the terminal window.


SSH: Quick Connect

Quick Connect

Select the Quick Connect option from the File menu to open a new connection using the default settings. For more information, see section Quick Connect.


SSH: Save Settings

Save Settings

Select the Save Settings option to save any changes you have made to your current settings. The default settings file where the configuration will be saved is default.ssh2.

If you want to save your current settings in a new settings file, select Add Profile from under the Profiles option (see section Profiles).


SSH: Show/Hide Local Folders

Show/Hide Local Folders

Select the Show/Hide Local Folders option to toggle whether the folder view of the local directory is displayed. The folders are displayed on the edge of the Local View pane.


SSH: Show/Hide Remote Folders

Show/Hide Remote Folders

Select the Show/Hide Remote Folders option to toggle whether the folder view of the remote directory is displayed. The folders are displayed on the edge of the Remote View pane.


SSH: Up

Up

Select the Up option to move the view from the current folder to its parent folder.

For example: You have a directory called home and it has a subdirectory called mail. If you are currently viewing the mail folder and click the Up button, the focus moves to the home folder. The keyboard shortcut for Up is the Backspace key. This has the same effect as choosing the Upload option from the Operation menu or the toolbar.